Sage 9.5.rc0 released

199 views
Skip to first unread message

Volker Braun

unread,
Jan 9, 2022, 6:15:23 AMJan 9
to sage-release
As always, you can get the latest beta version from the "develop" git branch. Alternatively, the self-contained source tarball is at http://www.sagemath.org/download-latest.html

38323507f6 (tag: 9.5.rc0, trac/develop) Updated SageMath version to 9.5.rc0
464e8c3d08 Trac #33104: Fix references to `doc-clean`
22001aa722 Trac #32759: ./configure --disable-doc
d5d2b5b0ed Trac #32860: Inaccurate documentation for number field elements_of_norm
e0ffa0f92d Trac #33097: some typos in combinat and modular
396023cf78 Trac #33087: build/bin/sage-clone-source: Use "trac" as name of the remote
771546ff82 Trac #33046: gap spkg creates absolute symlinks
be94896c70 Trac #32990: pickling support for real balls and related objects
81cc1a8156 Trac #32977: sage.features: Remove dependency on sage.misc.lazy_string
0cb2c8e457 Trac #32938: deactivation of the u-prefix doctest handler
c1f5a61578 Trac #32245: Quaternion ideals sometimes compare incorrectly
969746aadc Trac #30875: Random elements of AA aren't random
fe53f67ecd Trac #29784: Update section "Sage Development Process" in Developer's Guide
52f8223178 Trac #33080: Fix scipy-1.7.2 build failure on Cygwin
3bd8aedeb2 Trac #32868: configure tarball misses some generated files
283fef85db Trac #33036: random doctest failure in src/sage/crypto/util.py
b0b05d9493 Trac #32980: unmarked # long time tests in graphs/generators/classical_geometries.py
4990807a40 Trac #32972: Unmarked # long time tests in characteristic_cohomology_class.py
4929c5dd64 Trac #32971: unmarked # long time tests in ell_number_field.py
40a9c26056 Trac #30677: Add VS Code config for SAGE_ROOT/venv
e78700a067 Trac #33068: GH Actions: Remove ubuntu-groovy
1100bbaade Trac #33058: doctest in generic_graph.py can fail due to rounding error
7155edaef4 Trac #33019: remove more py2 or py3 tags in doctests
897e8e6d21 Trac #33031: add tolerance to is_hermitian() for sparse "double" matrices
7c823e63ad Trac #32904: Add version constraints for sage-conf, clean the sage-conf sdist
9fb5ea945f Trac #31672: Invalid latex repr from FreeAlgebra _latex_ / repr_lincomb
d6ac8199bc Trac #32062: GH Actions: Deploy sdists to PyPI
646bd9f4a8 Trac #33066: OpenSSL 3.0.1 security update
c4f76c053f Trac #32703: GH Actions (macOS): Run a job for "make build-local" first, cache image for job "make build"
039a909b6f Trac #32113: GH Actions: conda-forge tests broken
935315f002 Trac #30766: Experimental support for Python 3.10 in Sage 9.5
a34b9801ab Trac #33057: fix incorrect doctest in solve_integer of binary quadratic forms
3273e8aff6 Trac #33067: tox / GH Actions: Fix docker-based tests after #31386
bd2a8371f0 Trac #29039: pip-installable version of package sage_conf - installs non-Python bits of the Sage distribution in ~/.sage/
0cd457a745 Trac #33082: segfault: illegal (popcnt) instruction in primecount
cd124899d0 Trac #33073: Segmentation fault in face iterator (still)
da90b23cc9 Trac #29310: "make distclean" should not run "./configure"
c9093db43b Trac #13637: Add multiplicative order to complex interval field
fd0fbb9118 Trac #33040: Update matplotlib to 3.5
31d2b1c069 Trac #33012: Bug in bitset_copy_flex
02e8c4cca0 Trac #32676: logic.print_table changes your truthtable
c2810fce48 Trac #31580: Update matplotlib to 3.4
6fac484bc0 Trac #33060: pytest: Declare dependencies
599ced4e9f Trac #33059: conda-forge-macos-standard: pyzmq build fails
13a6210d75 Trac #33043: Upgrade: lcalc 2.0.5 to allow building on Cygwin
e39ff7d436 Trac #33042: givaro spkg-configure: Reject too new versions
2f510446d6 Trac #32907: Update singular to 4.2.1p3
c5af19568c (tag: 9.5.beta9) Updated SageMath version to 9.5.beta9

François Bissey

unread,
Jan 9, 2022, 10:52:21 PMJan 9
to sage-r...@googlegroups.com
It seems that after Trac #32759 I now doctest sage_setup and sage_docbuild in sage-on-gentoo. It was either broken or suppressed voluntarily on my part before. But now those files are doctested here and testing on distro revealed a few things that could be improved.

$ sage -t --long --random-seed=204418260052577960635697341654995479733 /usr/lib/python3.10/site-packages/sage_setup/find.py
too many failed tests, not using stored timings
Running doctests with ID 2022-01-10-16-39-00-700eda06.
Using --optional=pip,sage
Features to be detected: 4ti2,benzene,bliss,buckygen,conway_polynomials,csdp,database_cremona_ellcurve,database_cremona_mini_ellcurve,database_jones_numfield,database_knotinfo,dvipng,ffmpeg,graphviz,imagemagick,jupymake,kenzo,latte_int,lrslib,mcqd,meataxe,pandoc,pdf2svg,plantri,pynormaliz,rubiks,sage.combinat,sage.geometry.polyhedron,sage.graphs,sage.plot,sage.rings.number_field,sage.rings.real_double,sage.symbolic,sage_numerical_backends_coin,sagemath_doc_html,sphinx,tdlib
Doctesting 1 file.
sage -t --long --random-seed=204418260052577960635697341654995479733 /usr/lib/python3.10/site-packages/sage_setup/find.py
**********************************************************************
File "/usr/lib/python3.10/site-packages/sage_setup/find.py", line 243, in sage_setup.find._cythonized_dir
Failed example:
_cythonized_dir(SAGE_SRC, editable_install=False)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.10/site-packages/sage/doctest/forker.py", line 694, in _run
self.compile_and_execute(example, compiler, test.globs)
File "/usr/lib/python3.10/site-packages/sage/doctest/forker.py", line 1088, in compile_and_execute
exec(compiled, globs)
File "<doctest sage_setup.find._cythonized_dir[2]>", line 1, in <module>
_cythonized_dir(SAGE_SRC, editable_install=False)
File "/usr/lib/python3.10/site-packages/sage_setup/find.py", line 261, in _cythonized_dir
return Path(SAGE_ROOT) / "build" / "pkgs" / "sagelib" / "src" / "build" / "cythonized"
File "/usr/lib/python3.10/pathlib.py", line 958, in __new__
self = cls._from_parts(args)
File "/usr/lib/python3.10/pathlib.py", line 592, in _from_parts
drv, root, parts = self._parse_args(args)
File "/usr/lib/python3.10/pathlib.py", line 576, in _parse_args
a = os.fspath(a)
TypeError: expected str, bytes or os.PathLike object, not NoneType
**********************************************************************
File "/usr/lib/python3.10/site-packages/sage_setup/find.py", line 303, in sage_setup.find.find_extra_files
Failed example:
extras["sage/ext/interpreters"]
Expected:
['.../src/sage/ext/interpreters/wrapper_cdf.pxd', ...wrapper_cdf.h...]
Got:
['/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_cc.pyx',
'/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_cc.pxd',
'/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_py.pyx',
'/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_rdf.pxd',
'/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_rr.pyx',
'/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_rr.pxd',
'/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_el.pxd',
'/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_rdf.pyx',
'/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_py.pxd',
'/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_el.pyx',
'/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_cdf.pyx',
'/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_cdf.pxd',
'/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_rr.h',
'/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_cc.h',
'/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_cdf.h',
'/usr/lib/python3.10/site-packages/sage/ext/interpreters/wrapper_el.h']
**********************************************************************
2 items had failures:
1 of 4 in sage_setup.find._cythonized_dir
1 of 7 in sage_setup.find.find_extra_files
[44 tests, 2 failures, 1.08 s]
----------------------------------------------------------------------
sage -t --long --random-seed=204418260052577960635697341654995479733 /usr/lib/python3.10/site-packages/sage_setup/find.py # 2 doctests failed

The first failure should be made “# optional - build” like the test preceding it. There is no reason why one is and not the other as far as I can tell.
The second could be fixed by a slight change in the output. But if it has to rely on real source to be present for the test to be meaningful it should again be marked “# optional - build”.

$ sage -t --long --random-seed=204418260052577960635697341654995479733 /usr/lib/python3.10/site-packages/sage_setup/optional_extension.py
too many failed tests, not using stored timings
Running doctests with ID 2022-01-10-16-42-32-a9bbed7e.
Using --optional=pip,sage
Features to be detected: 4ti2,benzene,bliss,buckygen,conway_polynomials,csdp,database_cremona_ellcurve,database_cremona_mini_ellcurve,database_jones_numfield,database_knotinfo,dvipng,ffmpeg,graphviz,imagemagick,jupymake,kenzo,latte_int,lrslib,mcqd,meataxe,pandoc,pdf2svg,plantri,pynormaliz,rubiks,sage.combinat,sage.geometry.polyhedron,sage.graphs,sage.plot,sage.rings.number_field,sage.rings.real_double,sage.symbolic,sage_numerical_backends_coin,sagemath_doc_html,sphinx,tdlib
Doctesting 1 file.
sage -t --long --random-seed=204418260052577960635697341654995479733 /usr/lib/python3.10/site-packages/sage_setup/optional_extension.py
**********************************************************************
File "/usr/lib/python3.10/site-packages/sage_setup/optional_extension.py", line 74, in sage_setup.optional_extension.OptionalExtension
Failed example:
print(ext.__class__.__name__)
Expected:
Extension
Got:
CythonizeExtension
**********************************************************************
1 item had failures:
1 of 10 in sage_setup.optional_extension.OptionalExtension
[12 tests, 1 failure, 0.17 s]
----------------------------------------------------------------------
sage -t --long --random-seed=204418260052577960635697341654995479733 /usr/lib/python3.10/site-packages/sage_setup/optional_extension.py # 1 doctest failed

That one cannot possibly work in sage-on-gentoo because it fundamentally rely on “is_package_installed” from sage.misc.package. I’ll probably patch it out.

$ sage -t --long --random-seed=204418260052577960635697341654995479733 /usr/lib/python3.10/site-packages/sage_docbuild/__init__.py
too many failed tests, not using stored timings
Running doctests with ID 2022-01-10-16-46-02-4594a96b.
Using --optional=pip,sage
Features to be detected: 4ti2,benzene,bliss,buckygen,conway_polynomials,csdp,database_cremona_ellcurve,database_cremona_mini_ellcurve,database_jones_numfield,database_knotinfo,dvipng,ffmpeg,graphviz,imagemagick,jupymake,kenzo,latte_int,lrslib,mcqd,meataxe,pandoc,pdf2svg,plantri,pynormaliz,rubiks,sage.combinat,sage.geometry.polyhedron,sage.graphs,sage.plot,sage.rings.number_field,sage.rings.real_double,sage.symbolic,sage_numerical_backends_coin,sagemath_doc_html,sphinx,tdlib
Doctesting 1 file.
sage -t --long --random-seed=204418260052577960635697341654995479733 /usr/lib/python3.10/site-packages/sage_docbuild/__init__.py
**********************************************************************
File "/usr/lib/python3.10/site-packages/sage_docbuild/__init__.py", line 108, in sage_docbuild.builder_helper
Failed example:
try:
build_many(build_ref_doc, [("docname", "en", "html", {})])
except Exception as E:
"Non-exception during docbuild: abort pool operation" in str(E)
Expected:
True
Got:
False
**********************************************************************
File "/usr/lib/python3.10/site-packages/sage_docbuild/__init__.py", line 206, in sage_docbuild.DocBuilder._doctrees_dir
Failed example:
b._doctrees_dir()
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.10/site-packages/sage/doctest/forker.py", line 694, in _run
self.compile_and_execute(example, compiler, test.globs)
File "/usr/lib/python3.10/site-packages/sage/doctest/forker.py", line 1088, in compile_and_execute
exec(compiled, globs)
File "<doctest sage_docbuild.DocBuilder._doctrees_dir[2]>", line 1, in <module>
b._doctrees_dir()
File "/usr/lib/python3.10/site-packages/sage_docbuild/__init__.py", line 210, in _doctrees_dir
sage_makedirs(d)
File "/usr/lib/python3.10/site-packages/sage/misc/misc.py", line 90, in sage_makedirs
os.makedirs(dirname)
File "/usr/lib/python3.10/os.py", line 215, in makedirs
makedirs(head, exist_ok=exist_ok)
File "/usr/lib/python3.10/os.py", line 215, in makedirs
makedirs(head, exist_ok=exist_ok)
File "/usr/lib/python3.10/os.py", line 225, in makedirs
mkdir(name, mode)
PermissionError: [Errno 13] Permission denied: '/usr/share/doc/sage-doc-9999/doctrees'
**********************************************************************
File "/usr/lib/python3.10/site-packages/sage_docbuild/__init__.py", line 377, in sage_docbuild.AllBuilder.get_all_documents
Failed example:
'en/tutorial' in documents
Expected:
True
Got:
False
**********************************************************************
File "/usr/lib/python3.10/site-packages/sage_docbuild/__init__.py", line 605, in sage_docbuild.ReferenceBuilder.get_all_documents
Failed example:
refdir = os.path.join(os.environ['SAGE_DOC_SRC'], 'en', b.name)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.10/site-packages/sage/doctest/forker.py", line 694, in _run
self.compile_and_execute(example, compiler, test.globs)
File "/usr/lib/python3.10/site-packages/sage/doctest/forker.py", line 1088, in compile_and_execute
exec(compiled, globs)
File "<doctest sage_docbuild.ReferenceBuilder.get_all_documents[2]>", line 1, in <module>
refdir = os.path.join(os.environ['SAGE_DOC_SRC'], 'en', b.name)
File "/usr/lib/python3.10/os.py", line 679, in __getitem__
raise KeyError(key) from None
KeyError: 'SAGE_DOC_SRC'
**********************************************************************
File "/usr/lib/python3.10/site-packages/sage_docbuild/__init__.py", line 606, in sage_docbuild.ReferenceBuilder.get_all_documents
Failed example:
sorted(b.get_all_documents(refdir))
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.10/site-packages/sage/doctest/forker.py", line 694, in _run
self.compile_and_execute(example, compiler, test.globs)
File "/usr/lib/python3.10/site-packages/sage/doctest/forker.py", line 1088, in compile_and_execute
exec(compiled, globs)
File "<doctest sage_docbuild.ReferenceBuilder.get_all_documents[3]>", line 1, in <module>
sorted(b.get_all_documents(refdir))
NameError: name 'refdir' is not defined
**********************************************************************
File "/usr/lib/python3.10/site-packages/sage_docbuild/__init__.py", line 1093, in sage_docbuild.ReferenceSubBuilder.auto_rest_filename
Failed example:
ReferenceSubBuilder("reference").auto_rest_filename("sage.combinat.partition")
Expected:
'.../doc/en/reference/sage/combinat/partition.rst'
Got:
'/usr/share/doc/sage-doc-9999/en/reference/sage/combinat/partition.rst'
**********************************************************************
5 items had failures:
1 of 5 in sage_docbuild.AllBuilder.get_all_documents
1 of 4 in sage_docbuild.DocBuilder._doctrees_dir
2 of 5 in sage_docbuild.ReferenceBuilder.get_all_documents
1 of 3 in sage_docbuild.ReferenceSubBuilder.auto_rest_filename
1 of 10 in sage_docbuild.builder_helper
[39 tests, 6 failures, 0.32 s]
----------------------------------------------------------------------
sage -t --long --random-seed=204418260052577960635697341654995479733 /usr/lib/python3.10/site-packages/sage_docbuild/__init__.py # 6 doctests failed

I haven’t got through the details of all of those but it looks like most of them should be “# optional - build” to me.
> --
> You received this message because you are subscribed to the Google Groups "sage-release" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to sage-release...@googlegroups.com.
> To view this discussion on the web visit https://groups.google.com/d/msgid/sage-release/e59dbf22-1ec2-42d6-84cd-710731665af6n%40googlegroups.com.

Matthias Köppe

unread,
Jan 9, 2022, 11:02:34 PMJan 9
to sage-release
On Sunday, January 9, 2022 at 3:15:23 AM UTC-8 Volker Braun wrote:
38323507f6 (tag: 9.5.rc0, trac/develop) Updated SageMath version to 9.5.rc0

Thanks, Volker, for preparing the first release candidate.
Tests for Linux and macOS are running on https://github.com/sagemath/sage/actions/runs/1673712139; the first results:

ubuntu-{trusty,xenial,bionic,focal,hirsute,impish,jammy}: All clean.
debian-{stretch,buster}: Clean
 - buster ... timed out
 - bullseye: clean except for:
    sage -t --random-seed=262814732239279112879080798255409713274 src/sage/schemes/toric/sheaf/klyachko.py
     # 1 doctest failed (could be https://trac.sagemath.org/ticket/32773)
 - bookworm: clean except for:
sage -t --random-seed=136664711393402801413958433388104558783 src/sage/functions/min_max.py
# 2 doctests failed (probably from a newer giac)

homebrew-macos-usrlocal (various flavors): Clean except for various doctest failures from an unexpected message "UserWarning: Attempting to work in a virtualenv. If you encounter problems, please install IPython inside the virtualenv." (https://github.com/sagemath/sage/runs/4752779201)










 

Samuel Lelièvre

unread,
Jan 10, 2022, 12:53:00 AMJan 10
to sage-release
2022-01-10 04:02 UTC, Matthias Köppe on sage-release:
>
> On Sunday, January 9, 2022 at 3:15:23 AM UTC-8 Volker Braun wrote:
>>
>> 38323507f6 (tag: 9.5.rc0, trac/develop) Updated SageMath version to 9.5.rc0
>
> Thanks, Volker, for preparing the first release candidate.

+1

Here is a failure report on Cygwin 3.3.3-1 on Windows 10.

Attempted to build SageMath 9.5.rc0 + #33078.
The build failed on sagemath_doc_html-none.
Logs:

- https://aij.ovh/sage/logs/slel-2022-01-09-cyg-sage-9-5-c0-33078.zip

Since sagelib was built, this result in a somewhat usable Sage,
and even more so if one then runs `make -k -s V=0` (where `-k`
is equivalent to `--keep-going` and lets the build continue despite
failures, building everything it can, leaving aside things that fail
and things that depend on those).

The failure seems independent of #33078, see my post from
yesterday on the thread about Sage 9.5.beta9, which points
to logs for a build that was essentially building Sage 9.5.rc0
(just missing the commit that updates the version), without
applying #33078, also failing on sagemath_doc_html-none.

Not sure whether this has been observed and is already tracked
or worked on in some ticket, otherwise I could open one. --Samuel

Matthias Köppe

unread,
Jan 10, 2022, 1:07:18 AMJan 10
to sage-release
From the log:

[reference] WARNING: Unable to fetch /home/s/sage-9-5-c0/local/share/doc/sage/doctrees/en/reference/algebras/environment.pickle
[reference] WARNING: Unable to fetch /home/s/sage-9-5-c0/local/share/doc/sage/doctrees/en/reference/categories/environment.pickle
[reference] WARNING: Unable to fetch /home/s/sage-9-5-c0/local/share/doc/sage/doctrees/en/reference/coding/environment.pickle
[reference] WARNING: Unable to fetch /home/s/sage-9-5-c0/local/share/doc/sage/doctrees/en/reference/combinat/environment.pickle
[reference] WARNING: Unable to fetch /home/s/sage-9-5-c0/local/share/doc/sage/doctrees/en/reference/graphs/environment.pickle
[reference] WARNING: Unable to fetch /home/s/sage-9-5-c0/local/share/doc/sage/doctrees/en/reference/groups/environment.pickle
[reference] WARNING: Unable to fetch /home/s/sage-9-5-c0/local/share/doc/sage/doctrees/en/reference/knots/environment.pickle
[reference] WARNING: Unable to fetch /home/s/sage-9-5-c0/local/share/doc/sage/doctrees/en/reference/libs/environment.pickle
[reference] preparing documents... skipping loading of indexes... done
[reference] /home/s/sage-9-5-c0/src/doc/en/reference/index.rst:35: WARNING: unknown document: categories/index
[reference] /home/s/sage-9-5-c0/src/doc/en/reference/index.rst:77: WARNING: unknown document: groups/index
[reference] /home/s/sage-9-5-c0/src/doc/en/reference/index.rst:80: WARNING: unknown document: algebras/index
[reference] /home/s/sage-9-5-c0/src/doc/en/reference/index.rst:85: WARNING: unknown document: combinat/index
[reference] /home/s/sage-9-5-c0/src/doc/en/reference/index.rst:86: WARNING: unknown document: graphs/index
[reference] /home/s/sage-9-5-c0/src/doc/en/reference/index.rst:90: WARNING: unknown document: coding/index
[reference] /home/s/sage-9-5-c0/src/doc/en/reference/index.rst:105: WARNING: unknown document: knots/index
[reference] /home/s/sage-9-5-c0/src/doc/en/reference/index.rst:156: WARNING: unknown document: libs/index
[reference] The inventory files are in local/share/doc/sage/inventory/en/reference.

Haven't seen this before. Yes, please open a ticket for this

Samuel Lelièvre

unread,
Jan 10, 2022, 1:56:17 AMJan 10
to sage-release
> On Sunday, January 9, 2022 at 9:53:00 PM UTC-8 Samuel Lelievre wrote:
>>
>> 2022-01-10 04:02 UTC, Matthias Köppe on sage-release:
>> >
>> > On Sunday, January 9, 2022 at 3:15:23 AM UTC-8 Volker Braun wrote:
>> >>
>> >> 38323507f6 (tag: 9.5.rc0, trac/develop) Updated SageMath version to 9.5.rc0
>> >
>> > Thanks, Volker, for preparing the first release candidate.
>>
>> +1
>>
>> Here is a failure report on Cygwin 3.3.3-1 on Windows 10.
>>
>> Attempted to build SageMath 9.5.rc0 + #33078.
>> The build failed on sagemath_doc_html-none.
>> Logs:
>>
>> - https://aij.ovh/sage/logs/slel-2022-01-09-cyg-sage-9-5-c0-33078.zip
>>
>> Since sagelib was built, this result in a somewhat usable Sage,
>> and even more so if one then runs `make -k -s V=0` (where `-k`
>> is equivalent to `--keep-going` and lets the build continue despite
>> failures, building everything it can, leaving aside things that fail
>> and things that depend on those).
>>
>> The failure seems independent of #33078, see my post from
>> yesterday on the thread about Sage 9.5.beta9, which points
>> to logs for a build that was essentially building Sage 9.5.rc0
>> (just missing the commit that updates the version), without
>> applying #33078, also failing on sagemath_doc_html-none.
>>
>> Not sure whether this has been observed and is already tracked
>> or worked on in some ticket, otherwise I could open one. --Samuel

2022-01-10 06:07 UTC, Matthias Köppe on sage-release:
>
> From the log:
>
> [reference] WARNING: Unable to fetch
> .../local/share/doc/sage/doctrees/en/reference/algebras/environment.pickle
> [...]
> [reference] WARNING: Unable to fetch
> .../local/share/doc/sage/doctrees/en/reference/libs/environment.pickle
> [reference] preparing documents... skipping loading of indexes... done
> [reference] /home/s/sage-9-5-c0/src/doc/en/reference/index.rst:35:
> WARNING: unknown document: categories/index
> [...]
> [reference] /home/s/sage-9-5-c0/src/doc/en/reference/index.rst:156:
> WARNING: unknown document: libs/index
> [reference] The inventory files are in local/share/doc/sage/inventory/en/reference.
>
> Haven't seen this before. Yes, please open a ticket for this

Now tracked at

- Sage Trac ticket 33139
Fix sagemath_doc_html-none build failure on Cygwin
https://trac.sagemath.org/ticket/33139

No idea how to solve this but can test proposed fixes. --Samuel

François Bissey

unread,
Jan 10, 2022, 4:22:51 AMJan 10
to 'Justin C. Walker' via sage-release
This is now https://trac.sagemath.org/ticket/33141 - would be nice to get fix for 9.5 but it is not exactly critical :)

Sébastien Labbé

unread,
Jan 10, 2022, 7:52:51 AMJan 10
to sage-release
My first attempt at building the new version finishes with what is copied below (from make with V=0). I get the same thing after `make doc-clean` and also `make doc-uninstall`, a new command which I have seen recently.

[sagemath_doc_html-none] installing. Log file: /home/slabbe/GitBox/sage/logs/pkgs/sagemath_doc_html-none.log
  [sagemath_doc_html-none] error installing, exit status 2. End of log file:
  [sagemath_doc_html-none]       mod_name, mod_spec, code = _get_module_details(mod_name, _Error)
  [sagemath_doc_html-none]     File "/usr/lib/python3.8/runpy.py", line 144, in _get_module_details
  [sagemath_doc_html-none]       return _get_module_details(pkg_main_name, error)
  [sagemath_doc_html-none]     File "/usr/lib/python3.8/runpy.py", line 111, in _get_module_details
  [sagemath_doc_html-none]       __import__(pkg_name)
  [sagemath_doc_html-none]     File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 56, in <module>
  [sagemath_doc_html-none]       from sage.misc.cachefunc import cached_method
  [sagemath_doc_html-none]     File "sage/misc/cachefunc.pyx", line 1, in init sage.misc.cachefunc (build/cythonized/sage/misc/cachefunc.c:24081)
  [sagemath_doc_html-none]     File "sage/misc/function_mangling.pyx", line 40, in init sage.misc.function_mangling (build/cythonized/sage/misc/function_mangling.c:4050)
  [sagemath_doc_html-none]   ImportError: cannot import name sage_getargspec
  [sagemath_doc_html-none]   Error: './sage --docbuild --all-documents' failed
  [sagemath_doc_html-none]   make[5]: *** [Makefile:33 : doc-inventory-reference] Erreur 1
  [sagemath_doc_html-none]   Traceback (most recent call last):
  [sagemath_doc_html-none]     File "/usr/lib/python3.8/runpy.py", line 185, in _run_module_as_main
  [sagemath_doc_html-none]       mod_name, mod_spec, code = _get_module_details(mod_name, _Error)
  [sagemath_doc_html-none]     File "/usr/lib/python3.8/runpy.py", line 144, in _get_module_details
  [sagemath_doc_html-none]       return _get_module_details(pkg_main_name, error)
  [sagemath_doc_html-none]     File "/usr/lib/python3.8/runpy.py", line 111, in _get_module_details
  [sagemath_doc_html-none]       __import__(pkg_name)
  [sagemath_doc_html-none]     File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 56, in <module>
  [sagemath_doc_html-none]       from sage.misc.cachefunc import cached_method
  [sagemath_doc_html-none]     File "sage/misc/cachefunc.pyx", line 1, in init sage.misc.cachefunc (build/cythonized/sage/misc/cachefunc.c:24081)
  [sagemath_doc_html-none]     File "sage/misc/function_mangling.pyx", line 40, in init sage.misc.function_mangling (build/cythonized/sage/misc/function_mangling.c:4050)
  [sagemath_doc_html-none]   ImportError: cannot import name sage_getargspec
  [sagemath_doc_html-none]   Error: './sage --docbuild --all-documents' failed
  [sagemath_doc_html-none]   make[5]: *** [Makefile:33 : doc-inventory-reference] Erreur 1
  [sagemath_doc_html-none]   Traceback (most recent call last):
  [sagemath_doc_html-none]     File "/usr/lib/python3.8/runpy.py", line 185, in _run_module_as_main
  [sagemath_doc_html-none]       mod_name, mod_spec, code = _get_module_details(mod_name, _Error)
  [sagemath_doc_html-none]     File "/usr/lib/python3.8/runpy.py", line 144, in _get_module_details
  [sagemath_doc_html-none]       return _get_module_details(pkg_main_name, error)
  [sagemath_doc_html-none]     File "/usr/lib/python3.8/runpy.py", line 111, in _get_module_details
  [sagemath_doc_html-none]       __import__(pkg_name)
  [sagemath_doc_html-none]     File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 56, in <module>
  [sagemath_doc_html-none]       from sage.misc.cachefunc import cached_method
  [sagemath_doc_html-none]     File "sage/misc/cachefunc.pyx", line 1, in init sage.misc.cachefunc (build/cythonized/sage/misc/cachefunc.c:24081)
  [sagemath_doc_html-none]     File "sage/misc/function_mangling.pyx", line 40, in init sage.misc.function_mangling (build/cythonized/sage/misc/function_mangling.c:4050)
  [sagemath_doc_html-none]   ImportError: cannot import name sage_getargspec
  [sagemath_doc_html-none]   Error: './sage --docbuild --all-documents' failed
  [sagemath_doc_html-none]   make[5]: *** [Makefile:33 : doc-inventory-reference] Erreur 1
  [sagemath_doc_html-none] Full log file: /home/slabbe/GitBox/sage/logs/pkgs/sagemath_doc_html-none.log




Build finished. The built documents can be found in /home/slabbe/GitBox/sage/local/share/doc/sage/html/en/reference/sat
cd /home/slabbe/GitBox/sage && ./sage --docbuild --no-pdf-links reference/valuations html --no-prune-empty-dirs
[semirings] no targets are out of date.
[semirings] The HTML pages are in local/share/doc/sage/html/en/reference/semirings.
Build finished. The built documents can be found in /home/slabbe/GitBox/sage/local/share/doc/sage/html/en/reference/semirings
[schemes  ] building [html]: targets for 17 source files that are out of date
[schemes  ] WARNING: search index couldn't be loaded, but not all documents will be built: the index will be incomplete.
cd /home/slabbe/GitBox/sage && ./sage --docbuild --no-pdf-links reference/history_and_license html --no-prune-empty-dirs
[sets     ] building [html]: targets for 4 source files that are out of date
[sets     ] WARNING: search index couldn't be loaded, but not all documents will be built: the index will be incomplete.
[stats    ] building [html]: targets for 5 source files that are out of date
[stats    ] WARNING: search index couldn't be loaded, but not all documents will be built: the index will be incomplete.
[structure] building [html]: targets for 32 source files that are out of date
[sets     ] dumping search index in English (code: en)... done
[sets     ] The HTML pages are in local/share/doc/sage/html/en/reference/sets.
Error building the documentation.

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__main__.py", line 2, in <module>
    main()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 1814, in main
    builder()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 822, in _wrapper
    getattr(DocBuilder, build_type)(self, *args, **kwds)
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 133, in f
    runsphinx()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/sphinxbuild.py", line 323, in runsphinx
    sys.stderr.raise_errors()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/sphinxbuild.py", line 258, in raise_errors
    raise OSError(self._error)
OSError: WARNING: search index couldn't be loaded, but not all documents will be built: the index will be incomplete.

    Note: incremental documentation builds sometimes cause spurious
    error messages. To be certain that these are real errors, run
    "make doc-clean" first and try again.
[stats    ] dumping search index in English (code: en)... done
[stats    ] The HTML pages are in local/share/doc/sage/html/en/reference/stats.
Error building the documentation.

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__main__.py", line 2, in <module>
    main()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 1814, in main
    builder()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 822, in _wrapper
    getattr(DocBuilder, build_type)(self, *args, **kwds)
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 133, in f
    runsphinx()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/sphinxbuild.py", line 323, in runsphinx
    sys.stderr.raise_errors()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/sphinxbuild.py", line 258, in raise_errors
    raise OSError(self._error)
OSError: WARNING: search index couldn't be loaded, but not all documents will be built: the index will be incomplete.

    Note: incremental documentation builds sometimes cause spurious
    error messages. To be certain that these are real errors, run
    "make doc-clean" first and try again.
make[5]: *** [Makefile:24 : doc-html--reference-sets] Erreur 1
make[5]: *** Attente des tâches non terminées....
make[5]: *** [Makefile:24 : doc-html--reference-stats] Erreur 1
[valuation] building [html]: targets for 14 source files that are out of date
[schemes  ] dumping search index in English (code: en)... done
[schemes  ] The HTML pages are in local/share/doc/sage/html/en/reference/schemes.
Error building the documentation.

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__main__.py", line 2, in <module>
    main()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 1814, in main
    builder()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 822, in _wrapper
    getattr(DocBuilder, build_type)(self, *args, **kwds)
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 133, in f
    runsphinx()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/sphinxbuild.py", line 323, in runsphinx
    sys.stderr.raise_errors()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/sphinxbuild.py", line 258, in raise_errors
    raise OSError(self._error)
OSError: WARNING: search index couldn't be loaded, but not all documents will be built: the index will be incomplete.

The end of dochtml.log is:

$ tail -200 logs/dochtml.log
[...]
Build finished. The built documents can be found in /home/slabbe/GitBox/sage/local/share/doc/sage/html/en/reference/semirings
[schemes  ] building [html]: targets for 17 source files that are out of date
[schemes  ] WARNING: search index couldn't be loaded, but not all documents will be built: the index will be incomplete.
cd /home/slabbe/GitBox/sage && ./sage --docbuild --no-pdf-links reference/history_and_license html --no-prune-empty-dirs
[sets     ] building [html]: targets for 4 source files that are out of date
[sets     ] WARNING: search index couldn't be loaded, but not all documents will be built: the index will be incomplete.
[stats    ] building [html]: targets for 5 source files that are out of date
[stats    ] WARNING: search index couldn't be loaded, but not all documents will be built: the index will be incomplete.
[structure] building [html]: targets for 32 source files that are out of date
[sets     ] dumping search index in English (code: en)... done
[sets     ] The HTML pages are in local/share/doc/sage/html/en/reference/sets.
Error building the documentation.

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__main__.py", line 2, in <module>
    main()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 1814, in main
    builder()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 822, in _wrapper
    getattr(DocBuilder, build_type)(self, *args, **kwds)
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 133, in f
    runsphinx()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/sphinxbuild.py", line 323, in runsphinx
    sys.stderr.raise_errors()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/sphinxbuild.py", line 258, in raise_errors
    raise OSError(self._error)
OSError: WARNING: search index couldn't be loaded, but not all documents will be built: the index will be incomplete.

    Note: incremental documentation builds sometimes cause spurious
    error messages. To be certain that these are real errors, run
    "make doc-clean" first and try again.
[stats    ] dumping search index in English (code: en)... done
[stats    ] The HTML pages are in local/share/doc/sage/html/en/reference/stats.
Error building the documentation.

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__main__.py", line 2, in <module>
    main()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 1814, in main
    builder()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 822, in _wrapper
    getattr(DocBuilder, build_type)(self, *args, **kwds)
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 133, in f
    runsphinx()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/sphinxbuild.py", line 323, in runsphinx
    sys.stderr.raise_errors()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/sphinxbuild.py", line 258, in raise_errors
    raise OSError(self._error)
OSError: WARNING: search index couldn't be loaded, but not all documents will be built: the index will be incomplete.

    Note: incremental documentation builds sometimes cause spurious
    error messages. To be certain that these are real errors, run
    "make doc-clean" first and try again.
make[5]: *** [Makefile:24 : doc-html--reference-sets] Erreur 1
make[5]: *** Attente des tâches non terminées....
make[5]: *** [Makefile:24 : doc-html--reference-stats] Erreur 1
[valuation] building [html]: targets for 14 source files that are out of date
[schemes  ] dumping search index in English (code: en)... done
[schemes  ] The HTML pages are in local/share/doc/sage/html/en/reference/schemes.
Error building the documentation.

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__main__.py", line 2, in <module>
    main()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 1814, in main
    builder()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 822, in _wrapper
    getattr(DocBuilder, build_type)(self, *args, **kwds)
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py", line 133, in f
    runsphinx()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/sphinxbuild.py", line 323, in runsphinx
    sys.stderr.raise_errors()
  File "/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/sphinxbuild.py", line 258, in raise_errors
    raise OSError(self._error)
OSError: WARNING: search index couldn't be loaded, but not all documents will be built: the index will be incomplete.

    Note: incremental documentation builds sometimes cause spurious
    error messages. To be certain that these are real errors, run
    "make doc-clean" first and try again.
make[5]: *** [Makefile:24 : doc-html--reference-schemes] Erreur 1
[valuation] dumping search index in English (code: en)... done
[valuation] The HTML pages are in local/share/doc/sage/html/en/reference/valuations.
Build finished. The built documents can be found in /home/slabbe/GitBox/sage/local/share/doc/sage/html/en/reference/valuations
[history_a] building [html]: targets for 1 source files that are out of date
[structure] dumping search index in English (code: en)... done
[structure] The HTML pages are in local/share/doc/sage/html/en/reference/structure.
Build finished. The built documents can be found in /home/slabbe/GitBox/sage/local/share/doc/sage/html/en/reference/structure
[history_a] dumping search index in English (code: en)... done
[history_a] The HTML pages are in local/share/doc/sage/html/en/reference/history_and_license.
Build finished. The built documents can be found in /home/slabbe/GitBox/sage/local/share/doc/sage/html/en/reference/history_and_license
make[4]: *** [Makefile:46 : doc-html-reference] Erreur 2

There is also a bunch of deprecation warnings in the dochtml, but these are unrelated:

$ grep Deprecation logs/dochtml.log
[calculus ] <unknown>:149: DeprecationWarning: invalid escape sequence \d
[combinat ] <unknown>:121: DeprecationWarning: invalid escape sequence \c
/home/slabbe/GitBox/sage/local/lib/python3.7/site-packages/sage_setup/docbuild/__init__.py:1058: DeprecationWarning: The Sage wrappers around ppl are now superseded by the standalone pplpy. Please use import 'ppl' instead of 'sage.libs.ppl'.
/home/slabbe/GitBox/sage/local/lib/python3.7/site-packages/sage_setup/docbuild/__init__.py:1058: DeprecationWarning: the module sage.libs.ratpoints is deprecated; use pari.ellratpoints or pari.hyperellratpoints instead
/home/slabbe/GitBox/sage/local/lib/python3.7/site-packages/sage_setup/docbuild/__init__.py:1058: DeprecationWarning: the module sage.structure.misc is deprecated
[calculus ] <unknown>:149: DeprecationWarning: invalid escape sequence \d
[combinat ] <unknown>:121: DeprecationWarning: invalid escape sequence \c
/home/slabbe/GitBox/sage/local/lib/python3.7/site-packages/sage_setup/docbuild/__init__.py:1058: DeprecationWarning: The Sage wrappers around ppl are now superseded by the standalone pplpy. Please use import 'ppl' instead of 'sage.libs.ppl'.
/home/slabbe/GitBox/sage/local/lib/python3.7/site-packages/sage_setup/docbuild/__init__.py:1058: DeprecationWarning: the module sage.libs.ratpoints is deprecated; use pari.ellratpoints or pari.hyperellratpoints instead
/home/slabbe/GitBox/sage/local/lib/python3.7/site-packages/sage_setup/docbuild/__init__.py:1058: DeprecationWarning: the module sage.structure.misc is deprecated
[calculus ] <unknown>:57: DeprecationWarning: invalid escape sequence \d
[calculus ] <unknown>:57: DeprecationWarning: invalid escape sequence \d
/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py:1066: DeprecationWarning: the package sage.media is deprecated
/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py:1066: DeprecationWarning: the package sage.finance is deprecated
/home/slabbe/GitBox/sage/local/lib/python3.8/site-packages/sage_docbuild/__init__.py:1066: DeprecationWarning: the module sage.libs.ratpoints is deprecated; use pari.ellratpoints or pari.hyperellratpoints instead

Thierry Dumont

unread,
Jan 10, 2022, 8:09:44 AMJan 10
to sage-r...@googlegroups.com
On my Ubuntu 21.10 , upgrading to 9.5 rc0:

-compilation ok.

-make ptestlong:
1) pytest missing -> sge -pip install pytest

2) replaying make ptestlong, i got:
============================= test session starts
==============================
platform linux -- Python 3.9.7, pytest-6.2.5, py-1.10.0, pluggy-1.0.0
rootdir: /usr/local/sages/dev/sage/src, configfile: tox.ini
collected 10 items / 1 error / 9 selected


==================================== ERRORS
====================================
_____________ ERROR collecting sage/structure/sage_object_test.py
______________
ImportError while importing test module
'/usr/local/sages/dev/sage/src/sage/structure/sage_object_test.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
src/sage/structure/sage_object_test.py:3: in <module>
from .sage_object import SageObject
E ImportError: attempted relative import with no known parent package
=========================== short test summary info
============================
ERROR src/sage/structure/sage_object_test.py
!!!!!!!!!!!!!!!!!!!! Interrupted: 1 error during collection
!!!!!!!!!!!!!!!!!!!!
=============================== 1 error in 2.51s
===============================
make: *** [Makefile:254 : ptestlong] Erreur 1

Yours
t.d.

jonatha...@googlemail.com

unread,
Jan 10, 2022, 8:49:58 AMJan 10
to sage-release
On Debian buster incremental build fails:

[matplotlib-3.5.1]   gcc -DNDEBUG -g -fwrapv -O2 -Wall -march=native -O3 -g -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC -DMPL_DEVNULL=/dev/null -DPY_ARRAY_UNIQUE_SYMBOL=MPL_matplotlib__qhull_ARRAY_API -DNPY_NO_DEPRECATED_API=NPY_1_7_API_VERSION -D__STDC_FORMAT_MACROS=1 -I/srv/public/kliem/sage/local/var/lib/sage/venv-python3.7/lib/python3.7/site-packages/numpy/core/include -I/srv/public/kliem/sage/local/var/lib/sage/venv-python3.7/include -I/usr/include/python3.7m -c src/qhull_wrap.cpp -o build/temp.linux-x86_64-3.7/matplotlib._qhull/src/qhull_wrap.o
[matplotlib-3.5.1]   src/qhull_wrap.cpp:19:10: fatal error: libqhull_r/qhull_ra.h: No such file or directory
[matplotlib-3.5.1]    #include "libqhull_r/qhull_ra.h"
[matplotlib-3.5.1]             ^~~~~~~~~~~~~~~~~~~~~~~
[matplotlib-3.5.1]   compilation terminated.
[matplotlib-3.5.1]   error: command 'gcc' failed with exit status 1
[matplotlib-3.5.1]   Building wheel for matplotlib (setup.py): finished with status 'error'
[matplotlib-3.5.1]   ERROR: Failed building wheel for matplotlib

Config.log

This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by Sage configure 9.5.rc0, which was
generated by GNU Autoconf 2.69.  Invocation command line was

  $ ./configure --enable-download-from-upstream-url CFLAGS=-march=native -O3 -g --no-create --no-recursion

## --------- ##
## Platform. ##
## --------- ##

hostname = cofio
uname -m = x86_64
uname -r = 4.19.0-17-amd64
uname -s = Linux
uname -v = #1 SMP Debian 4.19.194-3 (2021-07-18)

/usr/bin/uname -p = unknown
/bin/uname -X     = unknown

/bin/arch              = x86_64
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo      = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /srv/public/kliem/.ccache
PATH: /home/mi/kliem/bin
PATH: /srv/public/kliem/bin
PATH: /home/mi/kliem/perl5/bin
PATH: /srv/public/kliem/.ccache
PATH: /usr/local/bin
PATH: /usr/bin
PATH: /bin
PATH: /usr/local/games
PATH: /usr/games
PATH: /home/mi/kliem/.local/bin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:4288: checking for a BSD-compatible install
configure:4356: result: /usr/bin/install -c
configure:4367: checking whether build environment is sane
configure:4422: result: yes
configure:4571: checking for a thread-safe mkdir -p
configure:4610: result: /usr/bin/mkdir -p
configure:4617: checking for gawk
configure:4633: found /usr/bin/gawk
configure:4644: result: gawk
configure:4655: checking whether make -j8 sets $(MAKE)
configure:4677: result: yes
configure:4706: checking whether make -j8 supports nested variables
configure:4723: result: yes
configure:4852: checking whether to enable maintainer-specific portions of Makefiles
configure:4861: result: yes
configure:4881: checking whether make -j8 supports the include directive
configure:4896: make -j8 -f confmf.GNU && cat confinc.out
make[2]: Entering directory '/srv/public/kliem/sage'
make[2]: Leaving directory '/srv/public/kliem/sage'
this is the am__doit target
configure:4899: $? = 0
configure:4918: result: yes (GNU style)
configure:4988: checking for gcc
configure:5004: found /usr/bin/gcc
configure:5015: result: gcc
configure:5244: checking for C compiler version
configure:5253: gcc --version >&5
gcc (Debian 8.3.0-6) 8.3.0
Copyright (C) 2018 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:5264: $? = 0
configure:5253: gcc -v >&5
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/8/lto-wrapper
OFFLOAD_TARGET_NAMES=nvptx-none
OFFLOAD_TARGET_DEFAULT=1
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 8.3.0-6' --with-bugurl=file:///usr/share/doc/gcc-8/README.Bugs --enable-languages=c,ada,c++,go,brig,d,fortran,objc,obj-c++ --prefix=/usr --with-gcc-major-version-only --program-suffix=-8 --program-prefix=x86_64-linux-gnu- --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --libdir=/usr/lib --enable-nls --enable-bootstrap --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --with-default-libstdcxx-abi=new --enable-gnu-unique-object --disable-vtable-verify --enable-libmpx --enable-plugin --enable-default-pie --with-system-zlib --with-target-system-zlib --enable-objc-gc=auto --enable-multiarch --disable-werror --with-arch-32=i686 --with-abi=m64 --with-multilib-list=m32,m64,mx32 --enable-multilib --with-tune=generic --enable-offload-targets=nvptx-none --without-cuda-driver --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 8.3.0 (Debian 8.3.0-6)
configure:5264: $? = 0
configure:5253: gcc -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:5264: $? = 1
configure:5253: gcc -qversion >&5
gcc: error: unrecognized command line option '-qversion'; did you mean '--version'?
gcc: fatal error: no input files
compilation terminated.
configure:5264: $? = 1
configure:5284: checking whether the C compiler works
configure:5306: gcc -march=native -O3 -g   conftest.c  >&5
configure:5310: $? = 0
configure:5358: result: yes
configure:5361: checking for C compiler default output file name
configure:5363: result: a.out
configure:5369: checking for suffix of executables
configure:5376: gcc -o conftest -march=native -O3 -g   conftest.c  >&5
configure:5380: $? = 0
configure:5402: result:
configure:5424: checking whether we are cross compiling
configure:5432: gcc -o conftest -march=native -O3 -g   conftest.c  >&5
configure:5436: $? = 0
configure:5443: ./conftest
configure:5447: $? = 0
configure:5435: result: no
configure:5440: checking for suffix of object files
configure:5462: gcc -c -march=native -O3 -g  conftest.c >&5
configure:5466: $? = 0
configure:5487: result: o
configure:5491: checking whether we are using the GNU C compiler
configure:5510: gcc -c -march=native -O3 -g  conftest.c >&5
configure:5510: $? = 0
configure:5519: result: yes
configure:5528: checking whether gcc accepts -g
configure:5548: gcc -c -g  conftest.c >&5
configure:5548: $? = 0
configure:5589: result: yes
configure:5606: checking for gcc option to accept ISO C89
configure:5669: gcc  -c -march=native -O3 -g  conftest.c >&5
configure:5669: $? = 0
configure:5682: result: none needed
configure:5707: checking whether gcc understands -c and -o together
configure:5729: gcc -c conftest.c -o conftest2.o
configure:5732: $? = 0
configure:5729: gcc -c conftest.c -o conftest2.o
configure:5732: $? = 0
configure:5744: result: yes
configure:5763: checking dependency style of gcc
configure:5874: result: none
configure:5893: checking build system type
configure:5907: result: x86_64-pc-linux-gnu
configure:5927: checking host system type
configure:5940: result: x86_64-pc-linux-gnu
configure:5985: checking for ld used by gcc
configure:6052: result: /usr/bin/ld
configure:6059: checking if the linker (/usr/bin/ld) is GNU ld
configure:6074: result: yes
configure:6081: checking for shared library run path origin
configure:6094: result: done
configure:6172: checking for root user
configure:6181: result: no
configure:6299: checking for a sed that does not truncate output
configure:6363: result: /usr/bin/sed
configure:6371: checking for ar
configure:6387: found /usr/bin/ar
configure:6399: result: yes
configure:6420: checking for m4
configure:6436: found /usr/bin/m4
configure:6448: result: yes
configure:6523: checking for pkg-config
configure:6541: found /usr/bin/pkg-config
configure:6553: result: /usr/bin/pkg-config
configure:6578: checking pkg-config is at least version 0.29
configure:6581: result: yes
configure:6592: checking for ranlib
configure:6608: found /usr/bin/ranlib
configure:6620: result: yes
configure:6641: checking for strip
configure:6657: found /usr/bin/strip
configure:6669: result: yes
configure:6689: checking for GNU or BSD tar
configure:6737: result: /usr/bin/tar
configure:6800: checking for Python
configure:6803: result: /usr/bin/python
configure:6814: checking for latex
configure:6830: found /usr/bin/latex
configure:6842: result: yes
configure:6866: checking for perl
configure:6884: found /usr/bin/perl
configure:6896: result: /usr/bin/perl
configure:6904: checking for Perl version 5.8.0 or later
configure:6915: result: yes
configure:6945: checking whether a conda environment is active
configure:6952: result: no
configure:7049: checking for gcc
configure:7076: result: gcc
configure:7305: checking for C compiler version
configure:7314: gcc --version >&5
gcc (Debian 8.3.0-6) 8.3.0
Copyright (C) 2018 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:7325: $? = 0
configure:7314: gcc -v >&5
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/8/lto-wrapper
OFFLOAD_TARGET_NAMES=nvptx-none
OFFLOAD_TARGET_DEFAULT=1
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 8.3.0-6' --with-bugurl=file:///usr/share/doc/gcc-8/README.Bugs --enable-languages=c,ada,c++,go,brig,d,fortran,objc,obj-c++ --prefix=/usr --with-gcc-major-version-only --program-suffix=-8 --program-prefix=x86_64-linux-gnu- --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --libdir=/usr/lib --enable-nls --enable-bootstrap --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --with-default-libstdcxx-abi=new --enable-gnu-unique-object --disable-vtable-verify --enable-libmpx --enable-plugin --enable-default-pie --with-system-zlib --with-target-system-zlib --enable-objc-gc=auto --enable-multiarch --disable-werror --with-arch-32=i686 --with-abi=m64 --with-multilib-list=m32,m64,mx32 --enable-multilib --with-tune=generic --enable-offload-targets=nvptx-none --without-cuda-driver --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 8.3.0 (Debian 8.3.0-6)
configure:7325: $? = 0
configure:7314: gcc -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:7325: $? = 1
configure:7314: gcc -qversion >&5
gcc: error: unrecognized command line option '-qversion'; did you mean '--version'?
gcc: fatal error: no input files
compilation terminated.
configure:7325: $? = 1
configure:7329: checking whether we are using the GNU C compiler
configure:7357: result: yes
configure:7366: checking whether gcc accepts -g
configure:7427: result: yes
configure:7444: checking for gcc option to accept ISO C89
configure:7520: result: none needed
configure:7545: checking whether gcc understands -c and -o together
configure:7582: result: yes
configure:7601: checking dependency style of gcc
configure:7712: result: none
configure:7732: checking how to run the C preprocessor
configure:7763: gcc -E  conftest.c
configure:7763: $? = 0
configure:7777: gcc -E  conftest.c
conftest.c:11:10: fatal error: ac_nonexistent.h: No such file or directory
 #include <ac_nonexistent.h>
          ^~~~~~~~~~~~~~~~~~
compilation terminated.
configure:7777: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:7802: result: gcc -E
configure:7822: gcc -E  conftest.c
configure:7822: $? = 0
configure:7836: gcc -E  conftest.c
conftest.c:11:10: fatal error: ac_nonexistent.h: No such file or directory
 #include <ac_nonexistent.h>
          ^~~~~~~~~~~~~~~~~~
compilation terminated.
configure:7836: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:7922: checking for g++
configure:7938: found /usr/bin/g++
configure:7949: result: g++
configure:7976: checking for C++ compiler version
configure:7985: g++ --version >&5
g++ (Debian 8.3.0-6) 8.3.0
Copyright (C) 2018 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:7996: $? = 0
configure:7985: g++ -v >&5
Using built-in specs.
COLLECT_GCC=g++
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/8/lto-wrapper
OFFLOAD_TARGET_NAMES=nvptx-none
OFFLOAD_TARGET_DEFAULT=1
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 8.3.0-6' --with-bugurl=file:///usr/share/doc/gcc-8/README.Bugs --enable-languages=c,ada,c++,go,brig,d,fortran,objc,obj-c++ --prefix=/usr --with-gcc-major-version-only --program-suffix=-8 --program-prefix=x86_64-linux-gnu- --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --libdir=/usr/lib --enable-nls --enable-bootstrap --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --with-default-libstdcxx-abi=new --enable-gnu-unique-object --disable-vtable-verify --enable-libmpx --enable-plugin --enable-default-pie --with-system-zlib --with-target-system-zlib --enable-objc-gc=auto --enable-multiarch --disable-werror --with-arch-32=i686 --with-abi=m64 --with-multilib-list=m32,m64,mx32 --enable-multilib --with-tune=generic --enable-offload-targets=nvptx-none --without-cuda-driver --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 8.3.0 (Debian 8.3.0-6)
configure:7996: $? = 0
configure:7985: g++ -V >&5
g++: error: unrecognized command line option '-V'
g++: fatal error: no input files
compilation terminated.
configure:7996: $? = 1
configure:7985: g++ -qversion >&5
g++: error: unrecognized command line option '-qversion'; did you mean '--version'?
g++: fatal error: no input files
compilation terminated.
configure:7996: $? = 1
configure:8000: checking whether we are using the GNU C++ compiler
configure:8019: g++ -c   conftest.cpp >&5
configure:8019: $? = 0
configure:8028: result: yes
configure:8037: checking whether g++ accepts -g
configure:8057: g++ -c -g  conftest.cpp >&5
configure:8057: $? = 0
configure:8098: result: yes
configure:8123: checking dependency style of g++
configure:8234: result: none
configure:8302: checking for gfortran
configure:8318: found /usr/bin/gfortran
configure:8329: result: gfortran
configure:8355: checking for Fortran compiler version
configure:8364: gfortran --version >&5
GNU Fortran (Debian 8.3.0-6) 8.3.0
Copyright (C) 2018 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:8375: $? = 0
configure:8364: gfortran -v >&5
Using built-in specs.
COLLECT_GCC=gfortran
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/8/lto-wrapper
OFFLOAD_TARGET_NAMES=nvptx-none
OFFLOAD_TARGET_DEFAULT=1
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 8.3.0-6' --with-bugurl=file:///usr/share/doc/gcc-8/README.Bugs --enable-languages=c,ada,c++,go,brig,d,fortran,objc,obj-c++ --prefix=/usr --with-gcc-major-version-only --program-suffix=-8 --program-prefix=x86_64-linux-gnu- --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --libdir=/usr/lib --enable-nls --enable-bootstrap --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --with-default-libstdcxx-abi=new --enable-gnu-unique-object --disable-vtable-verify --enable-libmpx --enable-plugin --enable-default-pie --with-system-zlib --with-target-system-zlib --enable-objc-gc=auto --enable-multiarch --disable-werror --with-arch-32=i686 --with-abi=m64 --with-multilib-list=m32,m64,mx32 --enable-multilib --with-tune=generic --enable-offload-targets=nvptx-none --without-cuda-driver --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 8.3.0 (Debian 8.3.0-6)
configure:8375: $? = 0
configure:8364: gfortran -V >&5
gfortran: error: unrecognized command line option '-V'
gfortran: fatal error: no input files
compilation terminated.
configure:8375: $? = 1
configure:8364: gfortran -qversion >&5
gfortran: error: unrecognized command line option '-qversion'; did you mean '--version'?
gfortran: fatal error: no input files
compilation terminated.
configure:8375: $? = 1
configure:8384: checking whether we are using the GNU Fortran compiler
configure:8397: gfortran -c   conftest.F >&5
configure:8397: $? = 0
configure:8406: result: yes
configure:8412: checking whether gfortran accepts -g
configure:8423: gfortran -c -g  conftest.f >&5
configure:8423: $? = 0
configure:8431: result: yes
configure:8521: checking for gcc
configure:8537: found /usr/bin/gcc
configure:8548: result: gcc
configure:8573: checking for Objective C compiler version
configure:8582: gcc --version >&5
gcc (Debian 8.3.0-6) 8.3.0
Copyright (C) 2018 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:8593: $? = 0
configure:8582: gcc -v >&5
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/8/lto-wrapper
OFFLOAD_TARGET_NAMES=nvptx-none
OFFLOAD_TARGET_DEFAULT=1
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 8.3.0-6' --with-bugurl=file:///usr/share/doc/gcc-8/README.Bugs --enable-languages=c,ada,c++,go,brig,d,fortran,objc,obj-c++ --prefix=/usr --with-gcc-major-version-only --program-suffix=-8 --program-prefix=x86_64-linux-gnu- --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --libdir=/usr/lib --enable-nls --enable-bootstrap --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --with-default-libstdcxx-abi=new --enable-gnu-unique-object --disable-vtable-verify --enable-libmpx --enable-plugin --enable-default-pie --with-system-zlib --with-target-system-zlib --enable-objc-gc=auto --enable-multiarch --disable-werror --with-arch-32=i686 --with-abi=m64 --with-multilib-list=m32,m64,mx32 --enable-multilib --with-tune=generic --enable-offload-targets=nvptx-none --without-cuda-driver --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 8.3.0 (Debian 8.3.0-6)
configure:8593: $? = 0
configure:8582: gcc -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:8593: $? = 1
configure:8582: gcc -qversion >&5
gcc: error: unrecognized command line option '-qversion'; did you mean '--version'?
gcc: fatal error: no input files
compilation terminated.
configure:8593: $? = 1
configure:8597: checking whether we are using the GNU Objective C compiler
configure:8616: gcc -c   conftest.m >&5
gcc: error trying to exec 'cc1obj': execvp: No such file or directory
configure:8616: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| /* end confdefs.h.  */
|
| int
| main ()
| {
| #ifndef __GNUC__
|        choke me
| #endif
|
|   ;
|   return 0;
| }
configure:8625: result: no
configure:8634: checking whether gcc accepts -g
configure:8654: gcc -c -g  conftest.m >&5
gcc: error trying to exec 'cc1obj': execvp: No such file or directory
configure:8654: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|   ;
|   return 0;
| }
configure:8669: gcc -c   conftest.m >&5
gcc: error trying to exec 'cc1obj': execvp: No such file or directory
configure:8669: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|   ;
|   return 0;
| }
configure:8685: gcc -c -g  conftest.m >&5
gcc: error trying to exec 'cc1obj': execvp: No such file or directory
configure:8685: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|   ;
|   return 0;
| }
configure:8695: result: no
configure:8720: checking dependency style of gcc
configure:8829: result: none
configure:8898: checking for g++
configure:8914: found /usr/bin/g++
configure:8925: result: g++
configure:8950: checking for Objective C++ compiler version
configure:8959: g++ --version >&5
g++ (Debian 8.3.0-6) 8.3.0
Copyright (C) 2018 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:8970: $? = 0
configure:8959: g++ -v >&5
Using built-in specs.
COLLECT_GCC=g++
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/8/lto-wrapper
OFFLOAD_TARGET_NAMES=nvptx-none
OFFLOAD_TARGET_DEFAULT=1
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 8.3.0-6' --with-bugurl=file:///usr/share/doc/gcc-8/README.Bugs --enable-languages=c,ada,c++,go,brig,d,fortran,objc,obj-c++ --prefix=/usr --with-gcc-major-version-only --program-suffix=-8 --program-prefix=x86_64-linux-gnu- --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --libdir=/usr/lib --enable-nls --enable-bootstrap --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --with-default-libstdcxx-abi=new --enable-gnu-unique-object --disable-vtable-verify --enable-libmpx --enable-plugin --enable-default-pie --with-system-zlib --with-target-system-zlib --enable-objc-gc=auto --enable-multiarch --disable-werror --with-arch-32=i686 --with-abi=m64 --with-multilib-list=m32,m64,mx32 --enable-multilib --with-tune=generic --enable-offload-targets=nvptx-none --without-cuda-driver --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 8.3.0 (Debian 8.3.0-6)
configure:8970: $? = 0
configure:8959: g++ -V >&5
g++: error: unrecognized command line option '-V'
g++: fatal error: no input files
compilation terminated.
configure:8970: $? = 1
configure:8959: g++ -qversion >&5
g++: error: unrecognized command line option '-qversion'; did you mean '--version'?
g++: fatal error: no input files
compilation terminated.
configure:8970: $? = 1
configure:8974: checking whether we are using the GNU Objective C++ compiler
configure:8993: g++ -c   conftest.mm >&5
g++: error trying to exec 'cc1objplus': execvp: No such file or directory
configure:8993: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| /* end confdefs.h.  */
|
| int
| main ()
| {
| #ifndef __GNUC__
|        choke me
| #endif
|
|   ;
|   return 0;
| }
configure:9002: result: no
configure:9011: checking whether g++ accepts -g
configure:9031: g++ -c -g  conftest.mm >&5
g++: error trying to exec 'cc1objplus': execvp: No such file or directory
configure:9031: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|   ;
|   return 0;
| }
configure:9046: g++ -c   conftest.mm >&5
g++: error trying to exec 'cc1objplus': execvp: No such file or directory
configure:9046: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|   ;
|   return 0;
| }
configure:9062: g++ -c -g  conftest.mm >&5
g++: error trying to exec 'cc1objplus': execvp: No such file or directory
configure:9062: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|   ;
|   return 0;
| }
configure:9072: result: no
configure:9097: checking dependency style of g++
configure:9206: result: none
configure:9247: checking how to run the C++ preprocessor
configure:9274: g++ -E  conftest.cpp
configure:9274: $? = 0
configure:9288: g++ -E  conftest.cpp
conftest.cpp:11:10: fatal error: ac_nonexistent.h: No such file or directory
 #include <ac_nonexistent.h>
          ^~~~~~~~~~~~~~~~~~
compilation terminated.
configure:9288: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:9313: result: g++ -E
configure:9333: g++ -E  conftest.cpp
configure:9333: $? = 0
configure:9347: g++ -E  conftest.cpp
conftest.cpp:11:10: fatal error: ac_nonexistent.h: No such file or directory
 #include <ac_nonexistent.h>
          ^~~~~~~~~~~~~~~~~~
compilation terminated.
configure:9347: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:9376: checking for grep that handles long lines and -e
configure:9434: result: /usr/bin/grep
configure:9439: checking for egrep
configure:9501: result: /usr/bin/grep -E
configure:9506: checking for ANSI C header files
configure:9526: g++ -c   conftest.cpp >&5
configure:9526: $? = 0
configure:9599: g++ -o conftest    conftest.cpp  >&5
configure:9599: $? = 0
configure:9599: ./conftest
configure:9599: $? = 0
configure:9610: result: yes
configure:9623: checking for sys/types.h
configure:9623: g++ -c   conftest.cpp >&5
configure:9623: $? = 0
configure:9623: result: yes
configure:9623: checking for sys/stat.h
configure:9623: g++ -c   conftest.cpp >&5
configure:9623: $? = 0
configure:9623: result: yes
configure:9623: checking for stdlib.h
configure:9623: g++ -c   conftest.cpp >&5
configure:9623: $? = 0
configure:9623: result: yes
configure:9623: checking for string.h
configure:9623: g++ -c   conftest.cpp >&5
configure:9623: $? = 0
configure:9623: result: yes
configure:9623: checking for memory.h
configure:9623: g++ -c   conftest.cpp >&5
configure:9623: $? = 0
configure:9623: result: yes
configure:9623: checking for strings.h
configure:9623: g++ -c   conftest.cpp >&5
configure:9623: $? = 0
configure:9623: result: yes
configure:9623: checking for inttypes.h
configure:9623: g++ -c   conftest.cpp >&5
configure:9623: $? = 0
configure:9623: result: yes
configure:9623: checking for stdint.h
configure:9623: g++ -c   conftest.cpp >&5
configure:9623: $? = 0
configure:9623: result: yes
configure:9623: checking for unistd.h
configure:9623: g++ -c   conftest.cpp >&5
configure:9623: $? = 0
configure:9623: result: yes
configure:9635: checking complex.h usability
configure:9635: g++ -c   conftest.cpp >&5
configure:9635: $? = 0
configure:9635: result: yes
configure:9635: checking complex.h presence
configure:9635: g++ -E  conftest.cpp
configure:9635: $? = 0
configure:9635: result: yes
configure:9635: checking for complex.h
configure:9635: result: yes
configure:9658: checking for sqrt in -lm
configure:9683: g++ -o conftest    conftest.cpp -lm   >&5
conftest.cpp:28:6: warning: declaration of 'char sqrt()' conflicts with built-in declaration 'double sqrt(double)' [-Wbuiltin-declaration-mismatch]
 char sqrt ();
      ^~~~
configure:9683: $? = 0
configure:9692: result: yes
## ---------------------------------------------------- ##
## Checking whether SageMath should install SPKG gcc... ##
## ---------------------------------------------------- ##
configure:10030: checking for C compiler vendor
configure:10077: gcc -c -march=native -O3 -g  conftest.c >&5
conftest.c: In function 'main':
conftest.c:28:9: error: 'thisisanerror' undeclared (first use in this function)
         thisisanerror;
         ^~~~~~~~~~~~~
conftest.c:28:9: note: each undeclared identifier is reported only once for each function it appears in
configure:10077: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBM 1
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|       #if !(defined(__ICC) || defined(__ECC) || defined(__INTEL_COMPILER))
|         thisisanerror;
|       #endif
|
|   ;
|   return 0;
| }
configure:10077: gcc -c -march=native -O3 -g  conftest.c >&5
conftest.c: In function 'main':
conftest.c:28:9: error: 'thisisanerror' undeclared (first use in this function)
         thisisanerror;
         ^~~~~~~~~~~~~
conftest.c:28:9: note: each undeclared identifier is reported only once for each function it appears in
configure:10077: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBM 1
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|       #if !(defined(__xlc__) || defined(__xlC__) || defined(__IBMC__) || defined(__IBMCPP__))
|         thisisanerror;
|       #endif
|
|   ;
|   return 0;
| }
configure:10077: gcc -c -march=native -O3 -g  conftest.c >&5
conftest.c: In function 'main':
conftest.c:28:9: error: 'thisisanerror' undeclared (first use in this function)
         thisisanerror;
         ^~~~~~~~~~~~~
conftest.c:28:9: note: each undeclared identifier is reported only once for each function it appears in
configure:10077: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBM 1
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|       #if !(defined(__PATHCC__) || defined(__PATHSCALE__))
|         thisisanerror;
|       #endif
|
|   ;
|   return 0;
| }
configure:10077: gcc -c -march=native -O3 -g  conftest.c >&5
conftest.c: In function 'main':
conftest.c:28:9: error: 'thisisanerror' undeclared (first use in this function)
         thisisanerror;
         ^~~~~~~~~~~~~
conftest.c:28:9: note: each undeclared identifier is reported only once for each function it appears in
configure:10077: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBM 1
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|       #if !(defined(__clang__))
|         thisisanerror;
|       #endif
|
|   ;
|   return 0;
| }
configure:10077: gcc -c -march=native -O3 -g  conftest.c >&5
conftest.c: In function 'main':
conftest.c:28:9: error: 'thisisanerror' undeclared (first use in this function)
         thisisanerror;
         ^~~~~~~~~~~~~
conftest.c:28:9: note: each undeclared identifier is reported only once for each function it appears in
configure:10077: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBM 1
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|       #if !(defined(_CRAYC))
|         thisisanerror;
|       #endif
|
|   ;
|   return 0;
| }
configure:10077: gcc -c -march=native -O3 -g  conftest.c >&5
conftest.c: In function 'main':
conftest.c:28:9: error: 'thisisanerror' undeclared (first use in this function)
         thisisanerror;
         ^~~~~~~~~~~~~
conftest.c:28:9: note: each undeclared identifier is reported only once for each function it appears in
configure:10077: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBM 1
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|       #if !(defined(__FUJITSU))
|         thisisanerror;
|       #endif
|
|   ;
|   return 0;
| }
configure:10077: gcc -c -march=native -O3 -g  conftest.c >&5
configure:10077: $? = 0
configure:10085: result: gnu
configure:10115: checking whether g++ supports C++11 features with -std=gnu++11
configure:10411: g++ -std=gnu++11 -c   conftest.cpp >&5
configure:10411: $? = 0
configure:10420: result: yes
configure:10871: checking if gcc accepts -dumpversion option
configure:10896: cat conftest.c 1>&5
int main()
{
        return 0;
}
configure:10899: $? = 0
configure:10903: gcc  -dumpversion -c conftest.c 1>&5
8
configure:10906: $? = 0
configure:10909: result: yes
configure:10936: checking gcc version
configure:10950: result: 8
configure:10964: checking if g++ accepts -dumpversion option
configure:10989: cat conftest.c 1>&5
int main()
{
        return 0;
}
configure:10992: $? = 0
configure:10996: gcc  -dumpversion -c conftest.c 1>&5
8
configure:10999: $? = 0
configure:11002: result: yes
configure:11029: checking g++ version
configure:11043: result: 8
configure:11164: checking whether C++ compiler accepts "-march=native"
configure:11183: g++ -std=gnu++11 -c   -march=native  conftest.cpp >&5
configure:11183: $? = 0
configure:11192: result: yes
configure:11212: checking for OpenMP flag of C compiler
configure:11257: gcc -o conftest -march=native -O3 -g -fopenmp   conftest.c -lm  >&5
configure:11257: $? = 0
configure:11266: result: -fopenmp
configure:11294: checking for OpenMP flag of C++ compiler
configure:11339: g++ -std=gnu++11 -o conftest  -fopenmp   conftest.cpp -lm  >&5
configure:11339: $? = 0
configure:11348: result: -fopenmp
configure:11373: will use system package and not install SPKG gcc
configure:10994: checking for the location of crti.o
configure:11004: result: /usr/lib/gcc/x86_64-linux-gnu/8/../../../x86_64-linux-gnu
## ---------------------------------------------------- ##
## Checking whether SageMath should install SPKG gmp... ##
## ---------------------------------------------------- ##
configure:11083: checking gmp.h usability
configure:11083: g++ -std=gnu++11 -c   conftest.cpp >&5
configure:11083: $? = 0
configure:11083: result: yes
configure:11083: checking gmp.h presence
configure:11083: g++ -E -std=gnu++11  conftest.cpp
configure:11083: $? = 0
configure:11083: result: yes
configure:11083: checking for gmp.h
configure:11083: result: yes
configure:11091: checking gmpxx.h usability
configure:11091: g++ -std=gnu++11 -c   conftest.cpp >&5
configure:11091: $? = 0
configure:11091: result: yes
configure:11091: checking gmpxx.h presence
configure:11091: g++ -E -std=gnu++11  conftest.cpp
configure:11091: $? = 0
configure:11091: result: yes
configure:11091: checking for gmpxx.h
configure:11091: result: yes
configure:11099: checking for library containing __gmpq_cmp_z
configure:11130: g++ -std=gnu++11 -o conftest    conftest.cpp -lm  >&5
/usr/bin/ld: /tmp/ccILxoVL.o: in function `main':
conftest.cpp:(.text+0x5): undefined reference to `__gmpq_cmp_z'
collect2: error: ld returned 1 exit status
configure:11130: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBM 1
| #define HAVE_CXX11 1
| /* end confdefs.h.  */
|
| /* Override any GCC internal prototype to avoid an error.
|    Use char because int might match the return type of a GCC
|    builtin and then its argument prototype would still apply.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| char __gmpq_cmp_z ();
| int
| main ()
| {
| return __gmpq_cmp_z ();
|   ;
|   return 0;
| }
configure:11130: g++ -std=gnu++11 -o conftest    conftest.cpp -lgmp  -lm  >&5
configure:11130: $? = 0
configure:11147: result: -lgmp
configure:11161: will use system package and not install SPKG gmp
configure:11196: checking absolute name of <gmp.h>
configure:11203: checking for gmp.h
configure:11203: result: yes
configure:11227: result: ///usr/include/x86_64-linux-gnu/gmp.h
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG zlib... ##
## ----------------------------------------------------- ##
configure:11340: checking for inflateEnd in -lz
configure:11365: g++ -std=gnu++11 -o conftest    conftest.cpp -lz  -lgmp -lm  >&5
configure:11365: $? = 0
configure:11374: result: yes
configure:11382: checking zlib.h usability
configure:11382: g++ -std=gnu++11 -c   conftest.cpp >&5
configure:11382: $? = 0
configure:11382: result: yes
configure:11382: checking zlib.h presence
configure:11382: g++ -E -std=gnu++11  conftest.cpp
configure:11382: $? = 0
configure:11382: result: yes
configure:11382: checking for zlib.h
configure:11382: result: yes
configure:11393: checking for LIBPNG
configure:11400: $PKG_CONFIG --exists --print-errors "libpng >= 1.2"
configure:11403: $? = 0
configure:11417: $PKG_CONFIG --exists --print-errors "libpng >= 1.2"
configure:11420: $? = 0
configure:11554: result: yes
configure:11565: will use system package and not install SPKG zlib
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG glpk... ##
## ----------------------------------------------------- ##
configure:11638: glpk has already been installed by SageMath
configure:11882: result: using Sage's glpk SPKG
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG 4ti2... ##
## ----------------------------------------------------- ##
configure:11936: 4ti2 has already been installed by SageMath
## ---------------------------------------------------- ##
## Checking whether SageMath should install SPKG tox... ##
## ---------------------------------------------------- ##
configure:12559: checking for tox >= 2.5.0
configure:12636: result: /home/mi/kliem/bin/tox
configure:12645: will use system package and not install SPKG tox
## ----------------------------------------------------------- ##
## Checking whether SageMath should install SPKG virtualenv... ##
## ----------------------------------------------------------- ##
configure:12738: SPKG virtualenv is not required on this system
## -------------------------------------------------------- ##
## Checking whether SageMath should install SPKG appdirs... ##
## -------------------------------------------------------- ##
configure:12849: SPKG appdirs is not required on this system
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG mpfr... ##
## ----------------------------------------------------- ##
configure:12974: checking whether any of gmp is installed as or will be installed as SPKG
configure:12983: result: no
configure:12986: checking mpfr.h usability
configure:12986: g++ -std=gnu++11 -c   conftest.cpp >&5
configure:12986: $? = 0
configure:12986: result: yes
configure:12986: checking mpfr.h presence
configure:12986: g++ -E -std=gnu++11  conftest.cpp
configure:12986: $? = 0
configure:12986: result: yes
configure:12986: checking for mpfr.h
configure:12986: result: yes
configure:12994: checking for library containing mpfr_free_pool
configure:13025: g++ -std=gnu++11 -o conftest    conftest.cpp -lgmp -lm  >&5
/usr/bin/ld: /tmp/ccxIqVSZ.o: in function `main':
conftest.cpp:(.text+0x5): undefined reference to `mpfr_free_pool'
collect2: error: ld returned 1 exit status
configure:13025: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBM 1
| #define HAVE_CXX11 1
| #define HAVE_GMP_H 1
| #define ABSOLUTE_GMP_H "///usr/include/x86_64-linux-gnu/gmp.h"
| /* end confdefs.h.  */
|
| /* Override any GCC internal prototype to avoid an error.
|    Use char because int might match the return type of a GCC
|    builtin and then its argument prototype would still apply.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| char mpfr_free_pool ();
| int
| main ()
| {
| return mpfr_free_pool ();
|   ;
|   return 0;
| }
configure:13025: g++ -std=gnu++11 -o conftest    conftest.cpp -lmpfr  -lgmp -lm  >&5
configure:13025: $? = 0
configure:13042: result: -lmpfr
configure:13060: will use system package and not install SPKG mpfr
configure:13097: result: using mpfr library from the system
## ---------------------------------------------------- ##
## Checking whether SageMath should install SPKG ntl... ##
## ---------------------------------------------------- ##
configure:13145: ntl has already been installed by SageMath
## ------------------------------------------------------ ##
## Checking whether SageMath should install SPKG flint... ##
## ------------------------------------------------------ ##
configure:13536: flint has already been installed by SageMath
## ---------------------------------------------------- ##
## Checking whether SageMath should install SPKG arb... ##
## ---------------------------------------------------- ##
configure:13835: arb has already been installed by SageMath
## -------------------------------------------------------------- ##
## Checking whether SageMath should install SPKG boost_cropped... ##
## -------------------------------------------------------------- ##
configure:14228: checking for boostlib >= 1.66.0 (106600)
configure:14260: g++ -std=gnu++11 -c   -I/usr/include conftest.cpp >&5
configure:14260: $? = 0
configure:14262: result: yes
configure:14426: will use system package and not install SPKG boost_cropped
## ------------------------------------------------------- ##
## Checking whether SageMath should install SPKG libpng... ##
## ------------------------------------------------------- ##
configure:14531: checking installing zlib?
configure:14538: result: no
configure:14542: checking for LIBPNG
configure:14611: result: yes
configure:14620: will use system package and not install SPKG libpng
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG m4ri... ##
## ----------------------------------------------------- ##
configure:14693: m4ri has already been installed by SageMath
## ------------------------------------------------------ ##
## Checking whether SageMath should install SPKG brial... ##
## ------------------------------------------------------ ##
configure:14893: brial has already been installed by SageMath
## ------------------------------------------------------ ##
## Checking whether SageMath should install SPKG bzip2... ##
## ------------------------------------------------------ ##
configure:15216: checking bzlib.h usability
configure:15216: g++ -std=gnu++11 -c   conftest.cpp >&5
configure:15216: $? = 0
configure:15216: result: yes
configure:15216: checking bzlib.h presence
configure:15216: g++ -E -std=gnu++11  conftest.cpp
configure:15216: $? = 0
configure:15216: result: yes
configure:15216: checking for bzlib.h
configure:15216: result: yes
configure:15219: checking for library containing BZ2_bzCompress
configure:15250: g++ -std=gnu++11 -o conftest    conftest.cpp -lmpfr -lgmp -lm  >&5
/usr/bin/ld: /tmp/ccTBiJBg.o: in function `main':
conftest.cpp:(.text+0x5): undefined reference to `BZ2_bzCompress'
collect2: error: ld returned 1 exit status
configure:15250: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBM 1
| #define HAVE_CXX11 1
| #define HAVE_GMP_H 1
| #define ABSOLUTE_GMP_H "///usr/include/x86_64-linux-gnu/gmp.h"
| #define HAVE_BOOST /**/
| /* end confdefs.h.  */
|
| /* Override any GCC internal prototype to avoid an error.
|    Use char because int might match the return type of a GCC
|    builtin and then its argument prototype would still apply.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| char BZ2_bzCompress ();
| int
| main ()
| {
| return BZ2_bzCompress ();
|   ;
|   return 0;
| }
configure:15250: g++ -std=gnu++11 -o conftest    conftest.cpp -lbz2  -lmpfr -lgmp -lm  >&5
configure:15250: $? = 0
configure:15267: result: -lbz2
configure:15275: checking for bzip2
configure:15293: found /usr/bin/bzip2
configure:15305: result: /usr/bin/bzip2
configure:15331: will use system package and not install SPKG bzip2
configure:15375: checking for Fortran flag needed to accept free-form source
configure:15394: gfortran -c   conftest.f >&5
conftest.f:2:3:

   program freeform
   1
Error: Non-numeric character in statement label at (1)
conftest.f:2:3:

   program freeform
   1
Error: Unclassifiable statement at (1)
conftest.f:4:26:

        print *, 'Hello ', &
                          1
Error: Expected expression in PRINT statement at (1)
conftest.f:5:11:

           'world.'
           1
Error: Invalid character in name at (1)
configure:15394: $? = 1
configure: failed program was:
|
|   program freeform
|        ! FIXME: how to best confuse non-freeform compilers?
|        print *, 'Hello ', &
|           'world.'
|        end
configure:15394: gfortran -c  -ffree-form  conftest.f >&5
configure:15394: $? = 0
configure:15403: result: -ffree-form
## --------------------------------------------------------- ##
## Checking whether SageMath should install SPKG gfortran... ##
## --------------------------------------------------------- ##
configure:15529: checking the version of gfortran
configure:15532: result: 8
configure:15583: will use system package and not install SPKG gfortran
## --------------------------------------------------------- ##
## Checking whether SageMath should install SPKG openblas... ##
## --------------------------------------------------------- ##
configure:15656: openblas has already been installed by SageMath
## ---------------------------------------------------- ##
## Checking whether SageMath should install SPKG cbc... ##
## ---------------------------------------------------- ##
configure:17084: checking whether any of openblas zlib bzip2 is installed as or will be installed as SPKG
configure:17088: result: yes; install cbc as well
configure:17189: no suitable system package found for SPKG cbc
## ------------------------------------------------------- ##
## Checking whether SageMath should install SPKG cddlib... ##
## ------------------------------------------------------- ##
configure:17248: cddlib has already been installed by SageMath
## -------------------------------------------------------- ##
## Checking whether SageMath should install SPKG cliquer... ##
## -------------------------------------------------------- ##
configure:17663: cliquer has already been installed by SageMath
## ------------------------------------------------------ ##
## Checking whether SageMath should install SPKG cmake... ##
## ------------------------------------------------------ ##
configure:17930: checking for cmake >= 3.4
configure:18008: result: /usr/bin/cmake
configure:18017: will use system package and not install SPKG cmake
## --------------------------------------------------------- ##
## Checking whether SageMath should install SPKG coxeter3... ##
## --------------------------------------------------------- ##
configure:18127: checking for library coxeter3
configure:18149: g++ -std=gnu++11 -o conftest    conftest.cpp -lbz2 -lmpfr -lgmp -lm  -lcoxeter3 >&5
conftest.cpp:28:22: fatal error: coxeter/sage.h: No such file or directory
             #include <coxeter/sage.h>
                      ^~~~~~~~~~~~~~~~
compilation terminated.
configure:18149: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBM 1
| #define HAVE_CXX11 1
| #define HAVE_GMP_H 1
| #define ABSOLUTE_GMP_H "///usr/include/x86_64-linux-gnu/gmp.h"
| #define HAVE_BOOST /**/
| /* end confdefs.h.  */
|
|
|             #include <coxeter/sage.h>
|             #include <coxeter/interactive.h>
|
| int
| main ()
| {
|
|            coxeter::CoxGroup *g = interactive::coxeterGroup("B", 2);
|
|   ;
|   return 0;
| }
|
configure:18156: result: no
configure:18188: no suitable system package found for SPKG coxeter3
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG curl... ##
## ----------------------------------------------------- ##
configure:18280: checking for curl 7.22
configure:18317: result: /usr/bin/curl
configure:18361: checking for gawk
configure:18388: result: gawk
configure:18450: checking for curl-config
configure:18468: found /usr/bin/curl-config
configure:18480: result: /usr/bin/curl-config
configure:18491: checking for the version of libcurl
configure:18498: result: 7.64.0
configure:18505: checking for libcurl >= version 7.22
configure:18518: result: yes
configure:18559: checking whether libcurl is usable
configure:18593: g++ -std=gnu++11 -o conftest     conftest.cpp -lcurl -lbz2 -lmpfr -lgmp -lm  >&5
configure:18593: $? = 0
configure:18607: result: yes
configure:18620: checking for curl_free
configure:18620: g++ -std=gnu++11 -o conftest     conftest.cpp -lbz2 -lmpfr -lgmp -lm  -lcurl >&5
configure:18620: $? = 0
configure:18620: result: yes
configure:18708: checking whether programs linking to libcurl can be executed
configure:18756: g++ -std=gnu++11 -o conftest     conftest.cpp -lcurl -lbz2 -lmpfr -lgmp -lm  >&5
configure:18756: $? = 0
configure:18756: ./conftest
configure:18756: $? = 0
configure:18767: result: yes
configure:18776: will use system package and not install SPKG curl
## -------------------------------------------------------- ##
## Checking whether SageMath should install SPKG distlib... ##
## -------------------------------------------------------- ##
configure:18868: SPKG distlib is not required on this system
## -------------------------------------------------------------- ##
## Checking whether SageMath should install SPKG libatomic_ops... ##
## -------------------------------------------------------------- ##
configure:18960: libatomic_ops has already been installed by SageMath
## --------------------------------------------------- ##
## Checking whether SageMath should install SPKG gc... ##
## --------------------------------------------------- ##
configure:19139: gc has already been installed by SageMath
## ---------------------------------------------------- ##
## Checking whether SageMath should install SPKG ecl... ##
## ---------------------------------------------------- ##
configure:19497: ecl has already been installed by SageMath
## -------------------------------------------------------- ##
## Checking whether SageMath should install SPKG ncurses... ##
## -------------------------------------------------------- ##
configure:19778: checking for NCURSES
configure:19785: $PKG_CONFIG --exists --print-errors "ncurses >= 6.0"
configure:19788: $? = 0
configure:19802: $PKG_CONFIG --exists --print-errors "ncurses >= 6.0"
configure:19805: $? = 0
configure:19983: result: yes
configure:19991: will use system package and not install SPKG ncurses
## --------------------------------------------------------- ##
## Checking whether SageMath should install SPKG readline... ##
## --------------------------------------------------------- ##
configure:20096: checking Installing ncurses?
configure:20103: result: No.
configure:20107: checking for READLINE
configure:20114: $PKG_CONFIG --exists --print-errors "readline >= 6.0"
Package readline was not found in the pkg-config search path.
Perhaps you should add the directory containing `readline.pc'
to the PKG_CONFIG_PATH environment variable
No package 'readline' found
configure:20117: $? = 1
configure:20131: $PKG_CONFIG --exists --print-errors "readline >= 6.0"
Package readline was not found in the pkg-config search path.
Perhaps you should add the directory containing `readline.pc'
to the PKG_CONFIG_PATH environment variable
No package 'readline' found
configure:20134: $? = 1
configure:20148: result: no
No package 'readline' found
configure:20166: checking readline/readline.h usability
configure:20166: g++ -std=gnu++11 -c    conftest.cpp >&5
configure:20166: $? = 0
configure:20166: result: yes
configure:20166: checking readline/readline.h presence
configure:20166: g++ -E -std=gnu++11   conftest.cpp
configure:20166: $? = 0
configure:20166: result: yes
configure:20166: checking for readline/readline.h
configure:20166: result: yes
configure:20171: checking for library containing rl_bind_keyseq
configure:20202: g++ -std=gnu++11 -o conftest     conftest.cpp -lcurl -lbz2 -lmpfr -lgmp -lm  >&5
/usr/bin/ld: /tmp/cc1n3vO3.o: in function `main':
conftest.cpp:(.text+0x5): undefined reference to `rl_bind_keyseq'
collect2: error: ld returned 1 exit status
configure:20202: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBM 1
| #define HAVE_CXX11 1
| #define HAVE_GMP_H 1
| #define ABSOLUTE_GMP_H "///usr/include/x86_64-linux-gnu/gmp.h"
| #define HAVE_BOOST /**/
| #define HAVE_LIBCURL 1
| #define LIBCURL_FEATURE_SSL 1
| #define LIBCURL_FEATURE_IPV6 1
| #define LIBCURL_FEATURE_UNIXSOCKETS 1
| #define LIBCURL_FEATURE_LIBZ 1
| #define LIBCURL_FEATURE_ASYNCHDNS 1
| #define LIBCURL_FEATURE_IDN 1
| #define LIBCURL_FEATURE_GSS_API 1
| #define LIBCURL_FEATURE_PSL 1
| #define LIBCURL_FEATURE_SPNEGO 1
| #define LIBCURL_FEATURE_KERBEROS 1
| #define LIBCURL_FEATURE_NTLM 1
| #define LIBCURL_FEATURE_NTLM_WB 1
| #define LIBCURL_FEATURE_TLS_SRP 1
| #define LIBCURL_FEATURE_HTTP2 1
| #define LIBCURL_FEATURE_HTTPS_PROXY 1
| #define LIBCURL_PROTOCOL_DICT 1
| #define LIBCURL_PROTOCOL_FILE 1
| #define LIBCURL_PROTOCOL_FTP 1
| #define LIBCURL_PROTOCOL_FTPS 1
| #define LIBCURL_PROTOCOL_GOPHER 1
| #define LIBCURL_PROTOCOL_HTTP 1
| #define LIBCURL_PROTOCOL_HTTPS 1
| #define LIBCURL_PROTOCOL_IMAP 1
| #define LIBCURL_PROTOCOL_IMAPS 1
| #define LIBCURL_PROTOCOL_LDAP 1
| #define LIBCURL_PROTOCOL_LDAPS 1
| #define LIBCURL_PROTOCOL_POP3 1
| #define LIBCURL_PROTOCOL_POP3S 1
| #define LIBCURL_PROTOCOL_RTMP 1
| #define LIBCURL_PROTOCOL_RTSP 1
| #define LIBCURL_PROTOCOL_SCP 1
| #define LIBCURL_PROTOCOL_SFTP 1
| #define LIBCURL_PROTOCOL_SMB 1
| #define LIBCURL_PROTOCOL_SMBS 1
| #define LIBCURL_PROTOCOL_SMTP 1
| #define LIBCURL_PROTOCOL_SMTPS 1
| #define LIBCURL_PROTOCOL_TELNET 1
| #define LIBCURL_PROTOCOL_TFTP 1
| #define HAVE_READLINE_READLINE_H 1
| /* end confdefs.h.  */
|
| /* Override any GCC internal prototype to avoid an error.
|    Use char because int might match the return type of a GCC
|    builtin and then its argument prototype would still apply.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| char rl_bind_keyseq ();
| int
| main ()
| {
| return rl_bind_keyseq ();
|   ;
|   return 0;
| }
configure:20202: g++ -std=gnu++11 -o conftest     conftest.cpp -lreadline  -lcurl -lbz2 -lmpfr -lgmp -lm  >&5
configure:20202: $? = 0
configure:20219: result: -lreadline
configure:20321: will use system package and not install SPKG readline
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG pari... ##
## ----------------------------------------------------- ##
configure:20394: pari has already been installed by SageMath
## ------------------------------------------------------ ##
## Checking whether SageMath should install SPKG eclib... ##
## ------------------------------------------------------ ##
configure:20950: eclib has already been installed by SageMath
## ---------------------------------------------------- ##
## Checking whether SageMath should install SPKG ecm... ##
## ---------------------------------------------------- ##
configure:21241: ecm has already been installed by SageMath
## ------------------------------------------------------- ##
## Checking whether SageMath should install SPKG givaro... ##
## ------------------------------------------------------- ##
configure:21614: givaro has already been installed by SageMath
## ------------------------------------------------------------- ##
## Checking whether SageMath should install SPKG fflas_ffpack... ##
## ------------------------------------------------------------- ##
configure:21880: fflas_ffpack has already been installed by SageMath
configure:22045: checking whether C++ compiler accepts -mavx512f -mavx512vl -mavx512dq
configure:22064: g++ -std=gnu++11 -c   -mavx512f -mavx512vl -mavx512dq   conftest.cpp >&5
configure:22064: $? = 0
configure:22072: result: yes
configure:22083: checking whether C++ compiler accepts -mfma
configure:22102: g++ -std=gnu++11 -c   -mfma   conftest.cpp >&5
configure:22102: $? = 0
configure:22110: result: yes
configure:22119: checking whether C++ compiler accepts -mfma4
configure:22138: g++ -std=gnu++11 -c   -mfma4   conftest.cpp >&5
configure:22138: $? = 0
configure:22146: result: yes
## ------------------------------------------------------- ##
## Checking whether SageMath should install SPKG ffmpeg... ##
## ------------------------------------------------------- ##
configure:22236: checking for ffmpeg
configure:22254: found /usr/bin/ffmpeg
configure:22266: result: /usr/bin/ffmpeg
configure:22281: will use system package and not install SPKG ffmpeg
## --------------------------------------------------------- ##
## Checking whether SageMath should install SPKG filelock... ##
## --------------------------------------------------------- ##
configure:22377: SPKG filelock is not required on this system
## -------------------------------------------------------- ##
## Checking whether SageMath should install SPKG flintqs... ##
## -------------------------------------------------------- ##
configure:22468: flintqs has already been installed by SageMath
## ------------------------------------------------------ ##
## Checking whether SageMath should install SPKG fplll... ##
## ------------------------------------------------------ ##
configure:22630: fplll has already been installed by SageMath
## --------------------------------------------------------- ##
## Checking whether SageMath should install SPKG freetype... ##
## --------------------------------------------------------- ##
configure:22864: checking whether any of gcc libpng is installed as or will be installed as SPKG
configure:22873: result: no
configure:22878: checking for FREETYPE
configure:22885: $PKG_CONFIG --exists --print-errors "freetype2 >= 16.1"
configure:22888: $? = 0
configure:22902: $PKG_CONFIG --exists --print-errors "freetype2 >= 16.1"
configure:22905: $? = 0
configure:22943: result: yes
configure:22955: will use system package and not install SPKG freetype
## ---------------------------------------------------------- ##
## Checking whether SageMath should install SPKG gengetopt... ##
## ---------------------------------------------------------- ##
configure:23036: gengetopt has already been installed by SageMath
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG gf2x... ##
## ----------------------------------------------------- ##
configure:23187: gf2x has already been installed by SageMath
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG gfan... ##
## ----------------------------------------------------- ##
configure:23619: checking for gfan >= 0.6.2
configure:23696: result:
configure:23705: will use system package and not install SPKG gfan
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG giac... ##
## ----------------------------------------------------- ##
configure:23778: giac has already been installed by SageMath
## ---------------------------------------------------- ##
## Checking whether SageMath should install SPKG git... ##
## ---------------------------------------------------- ##
configure:24126: checking for git
configure:24161: result: /usr/bin/git
configure:24167: will use system package and not install SPKG git
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG gp2c... ##
## ----------------------------------------------------- ##
configure:24247: checking whether any of pari is installed as or will be installed as SPKG
configure:24251: result: yes; install gp2c as well
configure:24489: pari.cfg is $SAGE_LOCAL/lib/pari/pari.cfg
## --------------------------------------------------------- ##
## Checking whether SageMath should install SPKG graphviz... ##
## --------------------------------------------------------- ##
configure:24575: checking for dot
configure:24591: found /usr/bin/dot
configure:24602: result: dot
configure:24620: checking for neato
configure:24636: found /usr/bin/neato
configure:24647: result: neato
configure:24665: checking for twopi
configure:24681: found /usr/bin/twopi
configure:24692: result: twopi
configure:24710: will use system package and not install SPKG graphviz
## ---------------------------------------------------- ##
## Checking whether SageMath should install SPKG gsl... ##
## ---------------------------------------------------- ##
configure:24783: gsl has already been installed by SageMath
configure:25557: checking for iconv
configure:25581: g++ -std=gnu++11 -o conftest     conftest.cpp -lreadline -lcurl -lbz2 -lmpfr -lgmp -lm  >&5
configure:25581: $? = 0
configure:25615: result: yes
configure:25618: checking for working iconv
configure:25747: g++ -std=gnu++11 -o conftest     conftest.cpp -lreadline -lcurl -lbz2 -lmpfr -lgmp -lm  >&5
configure:25747: $? = 0
configure:25747: ./conftest
configure:25747: $? = 0
configure:25759: result: yes
configure:25787: checking for iconv declaration
configure:25816: g++ -std=gnu++11 -c    conftest.cpp >&5
configure:25816: $? = 0
configure:25827: result:
         extern size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
## ------------------------------------------------------ ##
## Checking whether SageMath should install SPKG iconv... ##
## ------------------------------------------------------ ##
configure:25914: will use system package and not install SPKG iconv
## ------------------------------------------------------- ##
## Checking whether SageMath should install SPKG igraph... ##
## ------------------------------------------------------- ##
configure:26023: checking whether any of glpk openblas gmp is installed as or will be installed as SPKG
configure:26027: result: yes; install igraph as well
configure:26130: no suitable system package found for SPKG igraph
## ------------------------------------------------------------ ##
## Checking whether SageMath should install SPKG imagemagick... ##
## ------------------------------------------------------------ ##
configure:26222: checking for convert
configure:26240: found /usr/bin/convert
configure:26252: result: /usr/bin/convert
configure:26267: will use system package and not install SPKG imagemagick
## ---------------------------------------------------- ##
## Checking whether SageMath should install SPKG iml... ##
## ---------------------------------------------------- ##
configure:26340: iml has already been installed by SageMath
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG info... ##
## ----------------------------------------------------- ##
configure:26575: checking for info
configure:26593: found /usr/bin/info
configure:26605: result: /usr/bin/info
configure:26620: will use system package and not install SPKG info
## ---------------------------------------------------- ##
## Checking whether SageMath should install SPKG isl... ##
## ---------------------------------------------------- ##
configure:26727: checking whether any of gmp is installed as or will be installed as SPKG
configure:26736: result: no
configure:26741: checking for ISL
configure:26748: $PKG_CONFIG --exists --print-errors "isl >= 0.20"
Package isl was not found in the pkg-config search path.
Perhaps you should add the directory containing `isl.pc'
to the PKG_CONFIG_PATH environment variable
No package 'isl' found
configure:26751: $? = 1
configure:26765: $PKG_CONFIG --exists --print-errors "isl >= 0.20"
Package isl was not found in the pkg-config search path.
Perhaps you should add the directory containing `isl.pc'
to the PKG_CONFIG_PATH environment variable
No package 'isl' found
configure:26768: $? = 1
configure:26782: result: no
No package 'isl' found
configure:26834: no suitable system package found for SPKG isl
## ------------------------------------------------------ ##
## Checking whether SageMath should install SPKG lcalc... ##
## ------------------------------------------------------ ##
configure:26893: lcalc has already been installed by SageMath
## ------------------------------------------------------------ ##
## Checking whether SageMath should install SPKG libbraiding... ##
## ------------------------------------------------------------ ##
configure:27128: libbraiding has already been installed by SageMath
## ------------------------------------------------------- ##
## Checking whether SageMath should install SPKG libffi... ##
## ------------------------------------------------------- ##
configure:27367: checking for LIBFFI
configure:27374: $PKG_CONFIG --exists --print-errors "libffi"
configure:27377: $? = 0
configure:27391: $PKG_CONFIG --exists --print-errors "libffi"
configure:27394: $? = 0
configure:27580: result: yes
configure:27588: will use system package and not install SPKG libffi
## ------------------------------------------------------ ##
## Checking whether SageMath should install SPKG libgd... ##
## ------------------------------------------------------ ##
configure:27661: libgd has already been installed by SageMath
## ------------------------------------------------------------ ##
## Checking whether SageMath should install SPKG libgraphviz... ##
## ------------------------------------------------------------ ##
configure:27892: checking graphviz/cgraph.h usability
configure:27892: g++ -std=gnu++11 -c    conftest.cpp >&5
conftest.cpp:101:10: fatal error: graphviz/cgraph.h: No such file or directory
 #include <graphviz/cgraph.h>
          ^~~~~~~~~~~~~~~~~~~
compilation terminated.
configure:27892: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBM 1
| #define HAVE_CXX11 1
| #define HAVE_GMP_H 1
| #define ABSOLUTE_GMP_H "///usr/include/x86_64-linux-gnu/gmp.h"
| #define HAVE_BOOST /**/
| #define HAVE_LIBCURL 1
| #define LIBCURL_FEATURE_SSL 1
| #define LIBCURL_FEATURE_IPV6 1
| #define LIBCURL_FEATURE_UNIXSOCKETS 1
| #define LIBCURL_FEATURE_LIBZ 1
| #define LIBCURL_FEATURE_ASYNCHDNS 1
| #define LIBCURL_FEATURE_IDN 1
| #define LIBCURL_FEATURE_GSS_API 1
| #define LIBCURL_FEATURE_PSL 1
| #define LIBCURL_FEATURE_SPNEGO 1
| #define LIBCURL_FEATURE_KERBEROS 1
| #define LIBCURL_FEATURE_NTLM 1
| #define LIBCURL_FEATURE_NTLM_WB 1
| #define LIBCURL_FEATURE_TLS_SRP 1
| #define LIBCURL_FEATURE_HTTP2 1
| #define LIBCURL_FEATURE_HTTPS_PROXY 1
| #define LIBCURL_PROTOCOL_DICT 1
| #define LIBCURL_PROTOCOL_FILE 1
| #define LIBCURL_PROTOCOL_FTP 1
| #define LIBCURL_PROTOCOL_FTPS 1
| #define LIBCURL_PROTOCOL_GOPHER 1
| #define LIBCURL_PROTOCOL_HTTP 1
| #define LIBCURL_PROTOCOL_HTTPS 1
| #define LIBCURL_PROTOCOL_IMAP 1
| #define LIBCURL_PROTOCOL_IMAPS 1
| #define LIBCURL_PROTOCOL_LDAP 1
| #define LIBCURL_PROTOCOL_LDAPS 1
| #define LIBCURL_PROTOCOL_POP3 1
| #define LIBCURL_PROTOCOL_POP3S 1
| #define LIBCURL_PROTOCOL_RTMP 1
| #define LIBCURL_PROTOCOL_RTSP 1
| #define LIBCURL_PROTOCOL_SCP 1
| #define LIBCURL_PROTOCOL_SFTP 1
| #define LIBCURL_PROTOCOL_SMB 1
| #define LIBCURL_PROTOCOL_SMBS 1
| #define LIBCURL_PROTOCOL_SMTP 1
| #define LIBCURL_PROTOCOL_SMTPS 1
| #define LIBCURL_PROTOCOL_TELNET 1
| #define LIBCURL_PROTOCOL_TFTP 1
| #define HAVE_READLINE_READLINE_H 1
| #define HAVE_ICONV 1
| #define ICONV_CONST
| /* end confdefs.h.  */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| #  include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| #  include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <graphviz/cgraph.h>
configure:27892: result: no
configure:27892: checking graphviz/cgraph.h presence
configure:27892: g++ -E -std=gnu++11   conftest.cpp
conftest.cpp:68:10: fatal error: graphviz/cgraph.h: No such file or directory
 #include <graphviz/cgraph.h>
          ^~~~~~~~~~~~~~~~~~~
compilation terminated.
configure:27892: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Sage"
| #define PACKAGE_TARNAME "sage"
| #define PACKAGE_VERSION "9.5.rc0"
| #define PACKAGE_STRING "Sage 9.5.rc0"
| #define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
| #define PACKAGE_URL ""
| #define PACKAGE "sage"
| #define VERSION "9.5.rc0"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBM 1
| #define HAVE_CXX11 1
| #define HAVE_GMP_H 1
| #define ABSOLUTE_GMP_H "///usr/include/x86_64-linux-gnu/gmp.h"
| #define HAVE_BOOST /**/
| #define HAVE_LIBCURL 1
| #define LIBCURL_FEATURE_SSL 1
| #define LIBCURL_FEATURE_IPV6 1
| #define LIBCURL_FEATURE_UNIXSOCKETS 1
| #define LIBCURL_FEATURE_LIBZ 1
| #define LIBCURL_FEATURE_ASYNCHDNS 1
| #define LIBCURL_FEATURE_IDN 1
| #define LIBCURL_FEATURE_GSS_API 1
| #define LIBCURL_FEATURE_PSL 1
| #define LIBCURL_FEATURE_SPNEGO 1
| #define LIBCURL_FEATURE_KERBEROS 1
| #define LIBCURL_FEATURE_NTLM 1
| #define LIBCURL_FEATURE_NTLM_WB 1
| #define LIBCURL_FEATURE_TLS_SRP 1
| #define LIBCURL_FEATURE_HTTP2 1
| #define LIBCURL_FEATURE_HTTPS_PROXY 1
| #define LIBCURL_PROTOCOL_DICT 1
| #define LIBCURL_PROTOCOL_FILE 1
| #define LIBCURL_PROTOCOL_FTP 1
| #define LIBCURL_PROTOCOL_FTPS 1
| #define LIBCURL_PROTOCOL_GOPHER 1
| #define LIBCURL_PROTOCOL_HTTP 1
| #define LIBCURL_PROTOCOL_HTTPS 1
| #define LIBCURL_PROTOCOL_IMAP 1
| #define LIBCURL_PROTOCOL_IMAPS 1
| #define LIBCURL_PROTOCOL_LDAP 1
| #define LIBCURL_PROTOCOL_LDAPS 1
| #define LIBCURL_PROTOCOL_POP3 1
| #define LIBCURL_PROTOCOL_POP3S 1
| #define LIBCURL_PROTOCOL_RTMP 1
| #define LIBCURL_PROTOCOL_RTSP 1
| #define LIBCURL_PROTOCOL_SCP 1
| #define LIBCURL_PROTOCOL_SFTP 1
| #define LIBCURL_PROTOCOL_SMB 1
| #define LIBCURL_PROTOCOL_SMBS 1
| #define LIBCURL_PROTOCOL_SMTP 1
| #define LIBCURL_PROTOCOL_SMTPS 1
| #define LIBCURL_PROTOCOL_TELNET 1
| #define LIBCURL_PROTOCOL_TFTP 1
| #define HAVE_READLINE_READLINE_H 1
| #define HAVE_ICONV 1
| #define ICONV_CONST
| /* end confdefs.h.  */
| #include <graphviz/cgraph.h>
configure:27892: result: no
configure:27892: checking for graphviz/cgraph.h
configure:27892: result: no
configure:27918: no suitable system package found for SPKG libgraphviz
## ---------------------------------------------------------- ##
## Checking whether SageMath should install SPKG libhomfly... ##
## ---------------------------------------------------------- ##
configure:27977: libhomfly has already been installed by SageMath
## --------------------------------------------------- ##
## Checking whether SageMath should install SPKG xz... ##
## --------------------------------------------------- ##
configure:28208: checking for xz >= 4.999.0
configure:28288: result: /usr/bin/xz
configure:28294: will use system package and not install SPKG xz
## -------------------------------------------------------- ##
## Checking whether SageMath should install SPKG liblzma... ##
## -------------------------------------------------------- ##
configure:28401: checking whether any of xz is installed as or will be installed as SPKG
configure:28410: result: no
configure:28413: checking for lzma_raw_decoder in -llzma
configure:28438: g++ -std=gnu++11 -o conftest     conftest.cpp -llzma  -lreadline -lcurl -lbz2 -lmpfr -lgmp -lm  >&5
configure:28438: $? = 0
configure:28447: result: yes
configure:28455: checking lzma.h usability
configure:28455: g++ -std=gnu++11 -c    conftest.cpp >&5
configure:28455: $? = 0
configure:28455: result: yes
configure:28455: checking lzma.h presence
configure:28455: g++ -E -std=gnu++11   conftest.cpp
configure:28455: $? = 0
configure:28455: result: yes
configure:28455: checking for lzma.h
configure:28455: result: yes
configure:28474: will use system package and not install SPKG liblzma
## ------------------------------------------------------ ##
## Checking whether SageMath should install SPKG nauty... ##
## ------------------------------------------------------ ##
configure:28547: nauty has already been installed by SageMath
## --------------------------------------------------------- ##
## Checking whether SageMath should install SPKG libnauty... ##
## --------------------------------------------------------- ##
configure:29201: libnauty has already been installed by SageMath
## -------------------------------------------------------------- ##
## Checking whether SageMath should install SPKG libsemigroups... ##
## -------------------------------------------------------------- ##
configure:29427: checking for LIBSEMIGROUPS
configure:29434: $PKG_CONFIG --exists --print-errors "libsemigroups >= 0.6.7"
Package libsemigroups was not found in the pkg-config search path.
Perhaps you should add the directory containing `libsemigroups.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libsemigroups' found
configure:29437: $? = 1
configure:29451: $PKG_CONFIG --exists --print-errors "libsemigroups >= 0.6.7"
Package libsemigroups was not found in the pkg-config search path.
Perhaps you should add the directory containing `libsemigroups.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libsemigroups' found
configure:29454: $? = 1
configure:29468: result: no
No package 'libsemigroups' found
configure:29514: no suitable system package found for SPKG libsemigroups
## -------------------------------------------------------- ##
## Checking whether SageMath should install SPKG libxml2... ##
## -------------------------------------------------------- ##
configure:29606: checking for xml2-config
configure:29624: found /usr/bin/xml2-config
configure:29637: result: /usr/bin/xml2-config
configure:29652: will use system package and not install SPKG libxml2
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG llvm... ##
## ----------------------------------------------------- ##
configure:29761: will use system package and not install SPKG llvm
## ------------------------------------------------------- ##
## Checking whether SageMath should install SPKG lrcalc... ##
## ------------------------------------------------------- ##
configure:29834: lrcalc has already been installed by SageMath
## ------------------------------------------------------- ##
## Checking whether SageMath should install SPKG lrslib... ##
## ------------------------------------------------------- ##
configure:30054: checking whether any of gmp flint is installed as or will be installed as SPKG
configure:30058: result: yes; install lrslib as well
configure:30160: no suitable system package found for SPKG lrslib
## ------------------------------------------------------ ##
## Checking whether SageMath should install SPKG m4rie... ##
## ------------------------------------------------------ ##
configure:30219: m4rie has already been installed by SageMath
## ---------------------------------------------------- ##
## Checking whether SageMath should install SPKG mpc... ##
## ---------------------------------------------------- ##
configure:30414: mpc has already been installed by SageMath
configure:30566: result: using Sage's mpc SPKG
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG mpfi... ##
## ----------------------------------------------------- ##
configure:30619: mpfi has already been installed by SageMath
## ------------------------------------------------------------ ##
## Checking whether SageMath should install SPKG ninja_build... ##
## ------------------------------------------------------------ ##
configure:30899: checking for ninja >= 1.7.2
configure:30977: result: /home/mi/kliem/bin/ninja
configure:30986: will use system package and not install SPKG ninja_build
## -------------------------------------------------------- ##
## Checking whether SageMath should install SPKG python3... ##
## -------------------------------------------------------- ##
configure:31121: checking whether any of bzip2 liblzma libffi is installed as or will be installed as SPKG
configure:31130: result: no
configure:31134: checking for python3 >= 3.7.0, < 3.11.0 with modules sqlite3, ctypes, math, hashlib, crypt, socket, zlib, distutils.core, ssl
configure:31801: result:
configure:31825: checking ... whether /usr/bin/python3 is good
CC=gcc CXX=g++ -std=gnu++11 conftest_venv/bin/python3 conftest.py --verbose build --build-base=conftest.dir
running build
running build_ext
building 'config_check_distutils' extension
creating conftest.dir
creating conftest.dir/temp.linux-x86_64-3.7
gcc -DNDEBUG -g -fwrapv -O2 -Wall -march=native -O3 -g -fPIC -I/srv/public/kliem/sage/conftest_venv/include -I/usr/include/python3.7m -c conftest.c -o conftest.dir/temp.linux-x86_64-3.7/conftest.o
creating conftest.dir/lib.linux-x86_64-3.7
x86_64-linux-gnu-gcc -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro -march=native -O3 -g conftest.dir/temp.linux-x86_64-3.7/conftest.o -o conftest.dir/lib.linux-x86_64-3.7/config_check_distutils.cpython-37m-x86_64-linux-gnu.so
CC=gcc CXX=g++ -std=gnu++11 conftest_venv/bin/python3 conftest.py --verbose build --build-base=conftest.dir
running build
running build_ext
building 'config_check_distutils_cxx' extension
creating conftest.dir
creating conftest.dir/temp.linux-x86_64-3.7
gcc -DNDEBUG -g -fwrapv -O2 -Wall -march=native -O3 -g -fPIC -I/srv/public/kliem/sage/conftest_venv/include -I/usr/include/python3.7m -c conftest.cpp -o conftest.dir/temp.linux-x86_64-3.7/conftest.o -std=c++11
creating conftest.dir/lib.linux-x86_64-3.7
g++ -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro -march=native -O3 -g conftest.dir/temp.linux-x86_64-3.7/conftest.o -o conftest.dir/lib.linux-x86_64-3.7/config_check_distutils_cxx.cpython-37m-x86_64-linux-gnu.so
configure:32379: result: yes
configure:32381: checking for python3 >= 3.7.0, < 3.11.0 with modules sqlite3, ctypes, math, hashlib, crypt, socket, zlib, distutils.core, ssl
configure:32447: result: /usr/bin/python3
configure:32464: will use system package and not install SPKG python3
configure:32498: checking whether /usr/bin/python3 is configured to build multiarch extensions
configure:32508: result: no
configure:32522: checking whether "-march=native" works with the C/C++ compilers configured for building extensions for /usr/bin/python3
CC=gcc CXX=g++ -std=gnu++11 CFLAGS=-march=native conftest_venv/bin/python3 conftest.py --verbose build --build-base=conftest.dir
running build
running build_ext
building 'config_check_distutils' extension
creating conftest.dir
creating conftest.dir/temp.linux-x86_64-3.7
gcc -DNDEBUG -g -fwrapv -O2 -Wall -march=native -fPIC -I/srv/public/kliem/sage/conftest_venv/include -I/usr/include/python3.7m -c conftest.c -o conftest.dir/temp.linux-x86_64-3.7/conftest.o
creating conftest.dir/lib.linux-x86_64-3.7
x86_64-linux-gnu-gcc -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro -march=native conftest.dir/temp.linux-x86_64-3.7/conftest.o -o conftest.dir/lib.linux-x86_64-3.7/config_check_distutils.cpython-37m-x86_64-linux-gnu.so
CC=gcc CXX=g++ -std=gnu++11 CFLAGS=-march=native conftest_venv/bin/python3 conftest.py --verbose build --build-base=conftest.dir
running build
running build_ext
building 'config_check_distutils_cxx' extension
creating conftest.dir
creating conftest.dir/temp.linux-x86_64-3.7
gcc -DNDEBUG -g -fwrapv -O2 -Wall -march=native -fPIC -I/srv/public/kliem/sage/conftest_venv/include -I/usr/include/python3.7m -c conftest.cpp -o conftest.dir/temp.linux-x86_64-3.7/conftest.o -std=c++11
creating conftest.dir/lib.linux-x86_64-3.7
g++ -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro -march=native conftest.dir/temp.linux-x86_64-3.7/conftest.o -o conftest.dir/lib.linux-x86_64-3.7/config_check_distutils_cxx.cpython-37m-x86_64-linux-gnu.so
configure:32651: result: yes
configure:32684: checking whether OpenMP works with the C/C++ compilers configured for building extensions for /usr/bin/python3
CC=gcc CXX=g++ -std=gnu++11 CFLAGS=-march=native -O3 -g -fopenmp CXXFLAGS= -fopenmp conftest_venv/bin/python3 conftest.py --verbose build --build-base=conftest.dir
running build
running build_ext
building 'config_check_distutils' extension
creating conftest.dir
creating conftest.dir/temp.linux-x86_64-3.7
gcc -DNDEBUG -g -fwrapv -O2 -Wall -march=native -O3 -g -fopenmp -fPIC -I/srv/public/kliem/sage/conftest_venv/include -I/usr/include/python3.7m -c conftest.c -o conftest.dir/temp.linux-x86_64-3.7/conftest.o
creating conftest.dir/lib.linux-x86_64-3.7
x86_64-linux-gnu-gcc -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro -march=native -O3 -g -fopenmp conftest.dir/temp.linux-x86_64-3.7/conftest.o -o conftest.dir/lib.linux-x86_64-3.7/config_check_distutils.cpython-37m-x86_64-linux-gnu.so
CC=gcc CXX=g++ -std=gnu++11 CFLAGS=-march=native -O3 -g -fopenmp CXXFLAGS= -fopenmp conftest_venv/bin/python3 conftest.py --verbose build --build-base=conftest.dir
running build
running build_ext
building 'config_check_distutils_cxx' extension
creating conftest.dir
creating conftest.dir/temp.linux-x86_64-3.7
gcc -DNDEBUG -g -fwrapv -O2 -Wall -march=native -O3 -g -fopenmp -fPIC -I/srv/public/kliem/sage/conftest_venv/include -I/usr/include/python3.7m -c conftest.cpp -o conftest.dir/temp.linux-x86_64-3.7/conftest.o -std=c++11
creating conftest.dir/lib.linux-x86_64-3.7
g++ -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro -march=native -O3 -g -fopenmp conftest.dir/temp.linux-x86_64-3.7/conftest.o -o conftest.dir/lib.linux-x86_64-3.7/config_check_distutils_cxx.cpython-37m-x86_64-linux-gnu.so
configure:32813: result: yes
## -------------------------------------------------------- ##
## Checking whether SageMath should install SPKG openssl... ##
## -------------------------------------------------------- ##
configure:33030: SPKG openssl is not required on this system
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG palp... ##
## ----------------------------------------------------- ##
configure:33357: palp has already been installed by SageMath
## ------------------------------------------------------- ##
## Checking whether SageMath should install SPKG pandoc... ##
## ------------------------------------------------------- ##
configure:34383: checking for pandoc
configure:34401: found /usr/bin/pandoc
configure:34413: result: /usr/bin/pandoc
configure:34428: will use system package and not install SPKG pandoc
## ------------------------------------------------------------- ##
## Checking whether SageMath should install SPKG pari_elldata... ##
## ------------------------------------------------------------- ##
configure:34534: checking installing pari?
configure:34537: result: yes; install pari_elldata as well
configure:34563: no suitable system package found for SPKG pari_elldata
## ------------------------------------------------------------- ##
## Checking whether SageMath should install SPKG pari_galdata... ##
## ------------------------------------------------------------- ##
configure:34622: pari_galdata has already been installed by SageMath
## ------------------------------------------------------------ ##
## Checking whether SageMath should install SPKG pari_galpol... ##
## ------------------------------------------------------------ ##
configure:34776: checking installing pari?
configure:34779: result: yes; install pari_galpol as well
configure:34805: no suitable system package found for SPKG pari_galpol
## -------------------------------------------------------------- ##
## Checking whether SageMath should install SPKG pari_nftables... ##
## -------------------------------------------------------------- ##
configure:34896: checking installing pari?
configure:34899: result: yes; install pari_nftables as well
configure:34928: no suitable system package found for SPKG pari_nftables
## ------------------------------------------------------------- ##
## Checking whether SageMath should install SPKG pari_seadata... ##
## ------------------------------------------------------------- ##
configure:35020: checking installing pari?
configure:35023: result: yes; install pari_seadata as well
configure:35049: no suitable system package found for SPKG pari_seadata
## ------------------------------------------------------------------- ##
## Checking whether SageMath should install SPKG pari_seadata_small... ##
## ------------------------------------------------------------------- ##
configure:35108: pari_seadata_small has already been installed by SageMath
## ------------------------------------------------------ ##
## Checking whether SageMath should install SPKG patch... ##
## ------------------------------------------------------ ##
configure:35260: checking for GNU patch >= 2.7.0
configure:35338: result: /usr/bin/patch
configure:35347: will use system package and not install SPKG patch
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG pcre... ##
## ----------------------------------------------------- ##
configure:35452: checking installing bzip2?
configure:35459: result: no
configure:35463: checking for PCRE
configure:35470: $PKG_CONFIG --exists --print-errors "libpcre >= 8.39 libpcreposix libpcrecpp"
configure:35473: $? = 0
configure:35487: $PKG_CONFIG --exists --print-errors "libpcre >= 8.39 libpcreposix libpcrecpp"
configure:35490: $? = 0
configure:35676: result: yes
configure:35685: will use system package and not install SPKG pcre
## -------------------------------------------------------- ##
## Checking whether SageMath should install SPKG pdf2svg... ##
## -------------------------------------------------------- ##
configure:35791: checking for pdf2svg
configure:35824: result: no
configure:35850: no suitable system package found for SPKG pdf2svg
## -------------------------------------------------------------------------- ##
## Checking whether SageMath should install SPKG perl_cpan_polymake_prereq... ##
## -------------------------------------------------------------------------- ##
configure:36003: checking for perl module XML::Writer
configure:36013: result: ok
configure:36003: checking for perl module XML::LibXML
configure:36013: result: ok
configure:36003: checking for perl module XML::LibXSLT
configure:36013: result: ok
configure:36003: checking for perl module File::Slurp
configure:36013: result: ok
configure:36003: checking for perl module JSON
configure:36013: result: ok
configure:36003: checking for perl module SVG
configure:36013: result: ok
configure:36003: checking for perl module Term::ReadKey
configure:36013: result: ok
configure:36036: will use system package and not install SPKG perl_cpan_polymake_prereq
## ------------------------------------------------------------- ##
## Checking whether SageMath should install SPKG perl_mongodb... ##
## ------------------------------------------------------------- ##
configure:36191: checking for perl module MongoDB
configure:36201: result: ok
configure:36224: will use system package and not install SPKG perl_mongodb
## ----------------------------------------------------------------------- ##
## Checking whether SageMath should install SPKG perl_term_readline_gnu... ##
## ----------------------------------------------------------------------- ##
configure:36377: checking for perl module Term::ReadLine
configure:36387: result: ok
configure:36395: checking Term::ReadLine module...
configure:36404: result: GNU
configure:36420: will use system package and not install SPKG perl_term_readline_gnu
## -------------------------------------------------------- ##
## Checking whether SageMath should install SPKG pkgconf... ##
## -------------------------------------------------------- ##
configure:36535: result: using pkg-config from the system
configure:36543: will use system package and not install SPKG pkgconf
## ---------------------------------------------------------- ##
## Checking whether SageMath should install SPKG planarity... ##
## ---------------------------------------------------------- ##
configure:36616: planarity has already been installed by SageMath
## --------------------------------------------------------- ##
## Checking whether SageMath should install SPKG polymake... ##
## --------------------------------------------------------- ##
configure:36848: checking for polymake-config >= 3.5
configure:36924: result:
configure:37015: no suitable system package found for SPKG polymake
## ---------------------------------------------------- ##
## Checking whether SageMath should install SPKG ppl... ##
## ---------------------------------------------------- ##
configure:37074: ppl has already been installed by SageMath
## -------------------------------------------------------- ##
## Checking whether SageMath should install SPKG _prereq... ##
## -------------------------------------------------------- ##
configure:37607: will use system package and not install SPKG _prereq
## ----------------------------------------------------------- ##
## Checking whether SageMath should install SPKG primesieve... ##
## ----------------------------------------------------------- ##
configure:37680: primesieve has already been installed by SageMath
## ----------------------------------------------------------- ##
## Checking whether SageMath should install SPKG primecount... ##
## ----------------------------------------------------------- ##
configure:37863: primecount has already been installed by SageMath
## ------------------------------------------------------ ##
## Checking whether SageMath should install SPKG qhull... ##
## ------------------------------------------------------ ##
configure:38313: checking for qhull
configure:38331: found /usr/bin/qhull
configure:38343: result: /usr/bin/qhull
configure:38359: checking is qhull's version good enough?
configure:38482: will use system package and not install SPKG qhull
## -------------------------------------------------- ##
## Checking whether SageMath should install SPKG r... ##
## -------------------------------------------------- ##
configure:38555: r has already been installed by SageMath
## ------------------------------------------------------------- ##
## Checking whether SageMath should install SPKG _recommended... ##
## ------------------------------------------------------------- ##
configure:38872: no suitable system package found for SPKG _recommended
## --------------------------------------------------- ##
## Checking whether SageMath should install SPKG rw... ##
## --------------------------------------------------- ##
configure:38931: rw has already been installed by SageMath
## --------------------------------------------------------- ##
## Checking whether SageMath should install SPKG singular... ##
## --------------------------------------------------------- ##
configure:39112: singular has already been installed by SageMath
## ------------------------------------------------------- ##
## Checking whether SageMath should install SPKG sqlite... ##
## ------------------------------------------------------- ##
configure:39500: SPKG sqlite is not required on this system
## ------------------------------------------------------------ ##
## Checking whether SageMath should install SPKG suitesparse... ##
## ------------------------------------------------------------ ##
configure:39643: suitesparse has already been installed by SageMath
## ----------------------------------------------------------- ##
## Checking whether SageMath should install SPKG symmetrica... ##
## ----------------------------------------------------------- ##
configure:39993: symmetrica has already been installed by SageMath
## ------------------------------------------------------- ##
## Checking whether SageMath should install SPKG sympow... ##
## ------------------------------------------------------- ##
configure:40222: sympow has already been installed by SageMath
## -------------------------------------------------------- ##
## Checking whether SageMath should install SPKG tachyon... ##
## -------------------------------------------------------- ##
configure:40394: tachyon has already been installed by SageMath
## ----------------------------------------------------- ##
## Checking whether SageMath should install SPKG toml... ##
## ----------------------------------------------------- ##
configure:40568: SPKG toml is not required on this system
## ------------------------------------------------------- ##
## Checking whether SageMath should install SPKG zeromq... ##
## ------------------------------------------------------- ##
configure:40659: zeromq has already been installed by SageMath
## -------------------------------------------------------- ##
## Checking whether SageMath should install SPKG zn_poly... ##
## -------------------------------------------------------- ##
configure:40876: zn_poly has already been installed by SageMath
## ----------------------------------------------------------------------- ##
## Build status for each package:                                          ##
## ----------------------------------------------------------------------- ##
configure:44160: result: 4ti2-1.6.7.p0:                               already installed as an SPKG, use "./configure --disable-4ti2" to uninstall
configure:44160: result: admcycles-none:                              optional pip package; use "./sage -i admcycles" to install
configure:44160: result: alabaster-0.7.12:                            standard, will be installed as an SPKG
configure:44160: result: appdirs-1.4.4:                               not required on your platform; SPKG will not be installed
configure:44160: result: appnope-0.1.2:                               standard, will be installed as an SPKG
configure:44160: result: arb-2.19.0.p0:                               already installed as an SPKG
configure:44160: result: argcomplete-1.12.3:                          standard, will be installed as an SPKG
configure:44160: result: argon2_cffi-20.1.0:                          standard, will be installed as an SPKG
configure:44160: result: attrs-21.2.0:                                standard, will be installed as an SPKG
configure:44160: result: awali-1.0.2-190218:                          experimental, use "./configure --enable-awali" to install
configure:44160: result: babel-2.9.1:                                 standard, will be installed as an SPKG
configure:44160: result: backcall-0.2.0:                              standard, will be installed as an SPKG
configure:44160: result: barvinok-0.41.1:                             optional, use "./configure --enable-barvinok" to install
configure:44160: result: beautifulsoup4-none:                         optional pip package; use "./sage -i beautifulsoup4" to install
configure:44160: result: beniget-0.4.1:                               standard, will be installed as an SPKG
configure:44160: result: benzene-20130630:                            optional, use "./configure --enable-benzene" to install
configure:44160: result: biopython-none:                              optional pip package; use "./sage -i biopython" to install
configure:44160: result: bleach-4.1.0:                                standard, will be installed as an SPKG
configure:44160: result: bliss-0.73+debian-1+sage-2016-08-02.p0:      optional, use "./configure --enable-bliss" to install
configure:44160: result: boost_cropped-1.66.0.p0:                     using system package; SPKG will not be installed
configure:44160: result: brial-1.2.8:                                 already installed as an SPKG
configure:44160: result: buckygen-1.1:                                optional, use "./configure --enable-buckygen" to install
configure:44160: result: bzip2-1.0.6-20150304.p0:                     using system package; SPKG will not be installed
configure:44160: result: cbc-2.9.4.p0:                                no suitable system package; optional, use "./configure --enable-cbc" to install
configure:44160: result: ccache-3.3.4:                                optional, use "./configure --enable-ccache" to install
configure:44160: result: cddlib-0.94m:                                already installed as an SPKG
configure:44160: result: certifi-2021.10.8:                           standard, will be installed as an SPKG
configure:44160: result: cffi-1.15.0:                                 standard, will be installed as an SPKG
configure:44160: result: charset_normalizer-2.0.4:                    standard, will be installed as an SPKG
configure:44160: result: cliquer-1.22:                                already installed as an SPKG
configure:44160: result: cmake-3.21.0:                                using system package; SPKG will not be installed
configure:44160: result: cocoalib-0.99564:                            experimental, use "./configure --enable-cocoalib" to install
configure:44160: result: combinatorial_designs-20140630.p0:           standard, will be installed as an SPKG
configure:44160: result: configure-464e8c3d08cd20837a05fc6afa7386f89a309133:came preinstalled with the SageMath tarball
configure:44160: result: conway_polynomials-0.5:                      standard, will be installed as an SPKG
configure:44160: result: coxeter3-8ac9c71723c8ca57a836d6381aed125261e44e9e.p0:no suitable system package; optional, use "./configure --enable-coxeter3" to install
configure:44160: result: cppy-1.1.0:                                  standard, will be installed as an SPKG
configure:44160: result: cryptominisat-5.6.8:                         optional, use "./configure --enable-cryptominisat" to install
configure:44160: result: csdp-6.2.p1:                                 optional, use "./configure --enable-csdp" to install
configure:44160: result: cunningham_tables-1.0:                       optional, use "./configure --enable-cunningham_tables" to install
configure:44160: result: curl-7.62.0.p0:                              using system package; SPKG will not be installed
configure:44160: result: cvxopt-1.2.7:                                standard, will be installed as an SPKG
configure:44160: result: cycler-0.11.0:                               standard, will be installed as an SPKG
configure:44160: result: cypari-2.1.2:                                standard, will be installed as an SPKG
configure:44160: result: cysignals-1.11.2:                            standard, will be installed as an SPKG
configure:44160: result: cython-0.29.24:                              standard, will be installed as an SPKG
configure:44160: result: d3js-3.4.8:                                  optional, use "./configure --enable-d3js" to install
configure:44160: result: database_cremona_ellcurve-20190911:          optional, use "./configure --enable-database_cremona_ellcurve" to install
configure:44160: result: database_jones_numfield-4:                   optional, use "./configure --enable-database_jones_numfield" to install
configure:44160: result: database_knotinfo-2021.10.1:                 optional, use "./configure --enable-database_knotinfo" to install
configure:44160: result: database_kohel-20160724:                     optional, use "./configure --enable-database_kohel" to install
configure:44160: result: database_mutation_class-1.0:                 optional, use "./configure --enable-database_mutation_class" to install
configure:44160: result: database_odlyzko_zeta-20061209:              optional, use "./configure --enable-database_odlyzko_zeta" to install
configure:44160: result: database_stein_watkins-20110713:             optional, use "./configure --enable-database_stein_watkins" to install
configure:44160: result: database_stein_watkins_mini-20070827:        optional, use "./configure --enable-database_stein_watkins_mini" to install
configure:44160: result: database_symbolic_data-20070206:             optional, use "./configure --enable-database_symbolic_data" to install
configure:44160: result: dateutil-2.8.2:                              standard, will be installed as an SPKG
configure:44160: result: debugpy-1.4.1:                               optional, use "./configure --enable-debugpy" to install
configure:44160: result: decorator-4.4.2:                             standard, will be installed as an SPKG
configure:44160: result: deformation-20210503:                        experimental, use "./configure --enable-deformation" to install
configure:44160: result: defusedxml-0.6.0:                            standard, will be installed as an SPKG
configure:44160: result: distlib-0.3.3:                               not required on your platform; SPKG will not be installed
configure:44160: result: docutils-0.17.1:                             standard, will be installed as an SPKG
configure:44160: result: dot2tex-2.11.3.p0:                           optional, use "./configure --enable-dot2tex" to install
configure:44160: result: e_antic-0.1.9:                               optional, will be installed as an SPKG
configure:44160: result: ecl-21.2.1:                                  already installed as an SPKG
configure:44160: result: eclib-20210625:                              already installed as an SPKG
configure:44160: result: ecm-7.0.4.p2:                                already installed as an SPKG
configure:44160: result: elliptic_curves-0.8.1:                       standard, will be installed as an SPKG
configure:44160: result: entrypoints-0.3:                             standard, will be installed as an SPKG
configure:44160: result: fflas_ffpack-2.4.3.p0:                       already installed as an SPKG
configure:44160: result: ffmpeg-none:                                 using system package
configure:44160: result: filelock-3.0.12:                             not required on your platform; SPKG will not be installed
configure:44160: result: flint-2.7.1.p0:                              already installed as an SPKG
configure:44160: result: flintqs-1.0.p0:                              already installed as an SPKG
configure:44160: result: flit_core-3.4.0:                             standard, will be installed as an SPKG
configure:44160: result: fonttools-4.28.4:                            standard, will be installed as an SPKG
configure:44160: result: fplll-5.4.1:                                 already installed as an SPKG
configure:44160: result: fpylll-0.5.6:                                standard, will be installed as an SPKG
configure:44160: result: freetype-2.10.4:                             using system package; SPKG will not be installed
configure:44160: result: fricas-1.3.7.p1:                             optional, use "./configure --enable-fricas" to install
configure:44160: result: frobby-0.9.0.p2:                             optional, use "./configure --enable-frobby" to install
configure:44160: result: gambit-15.1.1.p0:                            experimental, use "./configure --enable-gambit" to install
configure:44160: result: gap-4.11.1:                                  standard, will be installed as an SPKG
configure:44160: result: gap3-04jul17:                                experimental, will be installed as an SPKG
configure:44160: result: gap_jupyter-0.9:                             optional, use "./configure --enable-gap_jupyter" to install
configure:44160: result: gap_packages-4.11.1:                         optional, use "./configure --enable-gap_packages" to install
configure:44160: result: gast-0.5.2:                                  standard, will be installed as an SPKG
configure:44160: result: gc-8.0.4:                                    already installed as an SPKG
configure:44160: result: gcc-10.3.0:                                  using system package; SPKG will not be installed
configure:44160: result: gdb-8.2:                                     experimental, use "./configure --enable-gdb" to install
configure:44160: result: gengetopt-2.23:                              already installed as an SPKG
configure:44160: result: gf2x-1.3.0:                                  already installed as an SPKG
configure:44160: result: gfan-0.6.2.p1:                               using system package; SPKG will not be installed
configure:44160: result: gfortran-10.3.0:                             using system package; SPKG will not be installed
configure:44160: result: giac-1.6.0.47p3:                             already installed as an SPKG
configure:44160: result: git-none:                                    using system package
configure:44160: result: givaro-4.1.1:                                already installed as an SPKG
configure:44160: result: glpk-5.0.p0:                                 already installed as an SPKG
configure:44160: result: glucose-4.1:                                 optional, use "./configure --enable-glucose" to install
configure:44160: result: gmp-6.2.1:                                   using system package; SPKG will not be installed
configure:44160: result: gmpy2-2.1.0rc1:                              standard, will be installed as an SPKG
configure:44160: result: gp2c-0.0.10.p0:                              no suitable system package; optional, use "./configure --enable-gp2c" to install
configure:44160: result: graphs-20210214.p0:                          standard, will be installed as an SPKG
configure:44160: result: graphviz-none:                               using system package
configure:44160: result: gsl-2.7:                                     already installed as an SPKG
configure:44160: result: html5lib-1.1:                                standard, will be installed as an SPKG
configure:44160: result: iconv-1.15:                                  using system package; SPKG will not be installed
configure:44160: result: idna-3.2:                                    standard, will be installed as an SPKG
configure:44160: result: igraph-0.8.3:                                no suitable system package; optional, use "./configure --enable-igraph" to install
configure:44160: result: imagemagick-none:                            using system package
configure:44160: result: imagesize-1.2.0:                             standard, will be installed as an SPKG
configure:44160: result: iml-1.0.4p1.p2:                              already installed as an SPKG
configure:44160: result: importlib_metadata-4.8.2:                    standard, will be installed as an SPKG
configure:44160: result: importlib_resources-5.2.2:                   standard, will be installed as an SPKG
configure:44160: result: info-6.8:                                    using system package; SPKG will not be installed
configure:44160: result: ipykernel-6.6.0:                             standard, will be installed as an SPKG
configure:44160: result: ipympl-0.7.0:                                optional, use "./configure --enable-ipympl" to install
configure:44160: result: ipython-7.29.0:                              standard, will be installed as an SPKG
configure:44160: result: ipython_genutils-0.2.0:                      standard, will be installed as an SPKG
configure:44160: result: ipywidgets-7.6.5:                            standard, will be installed as an SPKG
configure:44160: result: isl-0.20:                                    no suitable system package; optional, use "./configure --enable-isl" to install
configure:44160: result: jedi-0.18.1:                                 standard, will be installed as an SPKG
configure:44160: result: jinja2-2.11.2:                               standard, will be installed as an SPKG
configure:44160: result: jmol-14.29.52:                               standard, will be installed as an SPKG
configure:44160: result: jsonschema-3.2.0:                            standard, will be installed as an SPKG
configure:44160: result: jupymake-0.9:                                optional, use "./configure --enable-jupymake" to install
configure:44160: result: jupyter_client-7.1.0:                        standard, will be installed as an SPKG
configure:44160: result: jupyter_core-4.9.1:                          standard, will be installed as an SPKG
configure:44160: result: jupyter_jsmol-0.2.4:                         standard, will be installed as an SPKG
configure:44160: result: jupyter_packaging-0.7.12:                    optional, use "./configure --enable-jupyter_packaging" to install
configure:44160: result: jupyterlab-none:                             optional pip package; use "./sage -i jupyterlab" to install
configure:44160: result: jupyterlab_pygments-0.1.2:                   standard, will be installed as an SPKG
configure:44160: result: jupyterlab_widgets-2.0:                      optional, use "./configure --enable-jupyterlab_widgets" to install
configure:44160: result: kenzo-1.1.10:                                optional, use "./configure --enable-kenzo" to install
configure:44160: result: kiwisolver-1.3.2:                            standard, will be installed as an SPKG
configure:44160: result: latte_int-1.7.6:                             optional, will be installed as an SPKG
configure:44160: result: lcalc-2.0.5:                                 already installed as an SPKG
configure:44160: result: libatomic_ops-7.6.10:                        already installed as an SPKG
configure:44160: result: libbraiding-1.1:                             already installed as an SPKG
configure:44160: result: libffi-3.2.1:                                using system package; SPKG will not be installed
configure:44160: result: libgd-2.3.2:                                 already installed as an SPKG
configure:44160: result: libgraphviz-none:                            no suitable system package; optional
configure:44160: result: libhomfly-1.02r6:                            already installed as an SPKG
configure:44160: result: liblzma-5.2.5:                               using system package; SPKG will not be installed
configure:44160: result: libnauty-none:                               already installed as an SPKG, use "./configure --disable-libnauty" to uninstall
configure:44160: result: libogg-1.3.1.p0:                             optional, use "./configure --enable-libogg" to install
configure:44160: result: libpng-1.6.29.p1:                            using system package; SPKG will not be installed
configure:44160: result: libsemigroups-1.1.0:                         no suitable system package; optional, use "./configure --enable-libsemigroups" to install
configure:44160: result: libtheora-1.1.1:                             experimental, use "./configure --enable-libtheora" to install
configure:44160: result: libxml2-none:                                using system package
configure:44160: result: lidia-2.3.0+latte-patches-2019-05-02:        optional, will be installed as an SPKG
configure:44160: result: lie-2.2.2:                                   experimental, use "./configure --enable-lie" to install
configure:44160: result: linbox-1.6.3.p1:                             standard, will be installed as an SPKG
configure:44160: result: llvm-none:                                   not required on your platform
configure:44160: result: lrcalc-1.2.p1:                               already installed as an SPKG
configure:44160: result: lrslib-071b+autotools-2021-07-13:            no suitable system package; optional, use "./configure --enable-lrslib" to install
configure:44160: result: m4ri-20200115:                               already installed as an SPKG
configure:44160: result: m4rie-20200115:                              already installed as an SPKG
configure:44160: result: markupsafe-1.1.1:                            standard, will be installed as an SPKG
configure:44160: result: mathics-4.0.0:                               optional, use "./configure --enable-mathics" to install
configure:44160: result: mathics_scanner-1.2.4:                       optional, use "./configure --enable-mathics_scanner" to install
configure:44160: result: mathjax-2.7.4.p0:                            standard, will be installed as an SPKG
configure:44160: result: matplotlib-3.5.1:                            standard, will be installed as an SPKG
configure:44160: result: matplotlib_inline-0.1.2:                     standard, will be installed as an SPKG
configure:44160: result: maxima-5.45.0.p0:                            standard, will be installed as an SPKG
configure:44160: result: mcqd-1.0.p0:                                 optional, use "./configure --enable-mcqd" to install
configure:44160: result: meataxe-1.0.1:                               optional, use "./configure --enable-meataxe" to install
configure:44160: result: memory_allocator-0.1.1:                      standard, will be installed as an SPKG
configure:44160: result: mistune-0.8.4:                               standard, will be installed as an SPKG
configure:44160: result: modular_decomposition-20100607:              experimental, use "./configure --enable-modular_decomposition" to install
configure:44160: result: mpc-1.1.0:                                   already installed as an SPKG
configure:44160: result: mpfi-1.5.2:                                  already installed as an SPKG
configure:44160: result: mpfr-4.0.1.p0:                               using system package; SPKG will not be installed
configure:44160: result: mpfrcx-0.5:                                  optional, use "./configure --enable-mpfrcx" to install
configure:44160: result: mpmath-1.2.1:                                standard, will be installed as an SPKG
configure:44160: result: nauty-27r1.p1:                               already installed as an SPKG
configure:44160: result: nbclient-0.5.9:                              standard, will be installed as an SPKG
configure:44160: result: nbconvert-6.1.0:                             standard, will be installed as an SPKG
configure:44160: result: nbformat-5.1.3:                              standard, will be installed as an SPKG
configure:44160: result: ncurses-6.0.p0:                              using system package; SPKG will not be installed
configure:44160: result: nest_asyncio-1.5.1:                          standard, will be installed as an SPKG
configure:44160: result: networkx-2.6.3:                              standard, will be installed as an SPKG
configure:44160: result: nibabel-none:                                optional pip package; use "./sage -i nibabel" to install
configure:44160: result: ninja_build-1.8.2:                           using system package; SPKG will not be installed
configure:44160: result: nodeenv-none:                                optional pip package; use "./sage -i nodeenv" to install
configure:44160: result: nodejs-12.18.3:                              optional, use "./configure --enable-nodejs" to install
configure:44160: result: normaliz-3.8.10:                             optional, will be installed as an SPKG
configure:44160: result: notebook-6.4.6:                              standard, will be installed as an SPKG
configure:44160: result: notedown-1.5.1:                              optional, use "./configure --enable-notedown" to install
configure:44160: result: ntl-11.4.3:                                  already installed as an SPKG
configure:44160: result: numpy-1.21.4:                                standard, will be installed as an SPKG
configure:44160: result: openblas-0.3.18:                             already installed as an SPKG
configure:44160: result: openssl-3.0.1:                               not required on your platform; SPKG will not be installed
configure:44160: result: ore_algebra-none:                            optional pip package; use "./sage -i ore_algebra" to install
configure:44160: result: p_group_cohomology-3.3.2:                    optional, use "./configure --enable-p_group_cohomology" to install
configure:44160: result: packaging-21.0:                              standard, will be installed as an SPKG
configure:44160: result: palettable-3.3.0:                            optional, use "./configure --enable-palettable" to install
configure:44160: result: palp-2.11:                                   already installed as an SPKG
configure:44160: result: pandoc-none:                                 using system package
configure:44160: result: pandoc_attributes-8bc82f6d:                  optional, use "./configure --enable-pandoc_attributes" to install
configure:44160: result: pandocfilters-1.4.3:                         standard, will be installed as an SPKG
configure:44160: result: pari-2.13.3:                                 already installed as an SPKG
configure:44160: result: pari_elldata-20161017:                       no suitable system package; optional, use "./configure --enable-pari_elldata" to install
configure:44160: result: pari_galdata-20080411.p0:                    already installed as an SPKG
configure:44160: result: pari_galpol-20180625:                        no suitable system package; optional, use "./configure --enable-pari_galpol" to install
configure:44160: result: pari_nftables-20080929:                      no suitable system package; optional, use "./configure --enable-pari_nftables" to install
configure:44160: result: pari_seadata-20090618:                       no suitable system package; optional, use "./configure --enable-pari_seadata" to install
configure:44160: result: pari_seadata_small-20090618.p0:              already installed as an SPKG
configure:44160: result: parso-0.8.2:                                 standard, will be installed as an SPKG
configure:44160: result: patch-2.7.5:                                 using system package; SPKG will not be installed
configure:44160: result: pcre-8.40.p2:                                using system package; SPKG will not be installed
configure:44160: result: pdf2svg-none:                                no suitable system package; optional
configure:44160: result: perl_cpan_polymake_prereq-none:              using system package
configure:44160: result: perl_mongodb-none:                           using system package
configure:44160: result: perl_term_readline_gnu-1.35:                 using system package; SPKG will not be installed
configure:44160: result: pexpect-4.8.0:                               standard, will be installed as an SPKG
configure:44160: result: pickleshare-0.7.5:                           standard, will be installed as an SPKG
configure:44160: result: pillow-8.4.0:                                standard, will be installed as an SPKG
configure:44160: result: pint-0.17:                                   optional, use "./configure --enable-pint" to install
configure:44160: result: pip-21.3.1:                                  standard, will be installed as an SPKG
configure:44160: result: pkgconf-0.9.7.p2:                            using system package; SPKG will not be installed
configure:44160: result: pkgconfig-1.5.5:                             standard, will be installed as an SPKG
configure:44160: result: planarity-3.0.1.0:                           already installed as an SPKG
configure:44160: result: plantri-4.5:                                 optional, use "./configure --enable-plantri" to install
configure:44160: result: pluggy-1.0.0:                                standard, will be installed as an SPKG
configure:44160: result: ply-3.11:                                    standard, will be installed as an SPKG
configure:44160: result: polylib-5.22.5:                              optional, use "./configure --enable-polylib" to install
configure:44160: result: polymake-4.5:                                no suitable system package; optional, use "./configure --enable-polymake" to install
configure:44160: result: polytopes_db-20170220.p0:                    standard, will be installed as an SPKG
configure:44160: result: polytopes_db_4d-1.0:                         optional, use "./configure --enable-polytopes_db_4d" to install
configure:44160: result: ppl-1.2.p1:                                  already installed as an SPKG
configure:44160: result: pplpy-0.8.6:                                 standard, will be installed as an SPKG
configure:44160: result: pplpy_doc-0.8.6:                             standard, will be installed as an SPKG
configure:44160: result: primecount-7.1:                              already installed as an SPKG
configure:44160: result: primecountpy-0.1.0:                          standard, will be installed as an SPKG
configure:44160: result: primesieve-7.6:                              already installed as an SPKG
configure:44160: result: prometheus_client-0.11.0:                    standard, will be installed as an SPKG
configure:44160: result: prompt_toolkit-3.0.22:                       standard, will be installed as an SPKG
configure:44160: result: ptyprocess-0.5.1.p0:                         standard, will be installed as an SPKG
configure:44160: result: py-1.10.0:                                   standard, will be installed as an SPKG
configure:44160: result: pybind11-2.8.1:                              standard, will be installed as an SPKG
configure:44160: result: pybtex-none:                                 optional pip package; use "./sage -i pybtex" to install
configure:44160: result: pycosat-0.6.3:                               optional, use "./configure --enable-pycosat" to install
configure:44160: result: pycparser-2.20:                              standard, will be installed as an SPKG
configure:44160: result: pycygwin-0.1:                                standard, will be installed as an SPKG
configure:44160: result: pyflakes-none:                               optional pip package; use "./sage -i pyflakes" to install
configure:44160: result: pygments-2.10.0:                             standard, will be installed as an SPKG
configure:44160: result: pygraphviz-none:                             optional pip package; use "./sage -i pygraphviz" to install
configure:44160: result: pynormaliz-2.14:                             optional, use "./configure --enable-pynormaliz" to install
configure:44160: result: pyparsing-3.0.6:                             standard, will be installed as an SPKG
configure:44160: result: pyroaringbitmap-0.2.9:                       optional, use "./configure --enable-pyroaringbitmap" to install
configure:44160: result: pyrsistent-0.18.0:                           standard, will be installed as an SPKG
configure:44160: result: pysingular-0.9.7:                            optional, use "./configure --enable-pysingular" to install
configure:44160: result: pytest-none:                                 optional pip package; use "./sage -i pytest" to install
configure:44160: result: python3-3.9.9:                               using system package; SPKG will not be installed
configure:44160: result: python_igraph-0.8.3:                         optional, use "./configure --enable-python_igraph" to install
configure:44160: result: pythran-0.10.0:                              standard, will be installed as an SPKG
configure:44160: result: pytz-2021.3:                                 standard, will be installed as an SPKG
configure:44160: result: pyx-none:                                    optional pip package; use "./sage -i pyx" to install
configure:44160: result: pyzmq-22.3.0:                                standard, will be installed as an SPKG
configure:44160: result: qepcad-B.1.72:                               experimental, use "./configure --enable-qepcad" to install
configure:44160: result: qhull-2020-src-8.0.2:                        using system package; SPKG will not be installed
configure:44160: result: r-3.6.3:                                     already installed as an SPKG
configure:44160: result: r_jupyter-none:                              optional, use "./configure --enable-r_jupyter" to install
configure:44160: result: ratpoints-2.1.3.p5:                          standard, will be installed as an SPKG
configure:44160: result: readline-8.0:                                using system package; SPKG will not be installed
configure:44160: result: requests-2.26.0:                             standard, will be installed as an SPKG
configure:44160: result: rpy2-3.3.6:                                  standard, will be installed as an SPKG
configure:44160: result: rst2ipynb-0.2.3:                             optional, use "./configure --enable-rst2ipynb" to install
configure:44160: result: rubiks-20070912.p21:                         optional, use "./configure --enable-rubiks" to install
configure:44160: result: rw-0.9:                                      already installed as an SPKG
configure:44160: result: saclib-2.2.7:                                optional, use "./configure --enable-saclib" to install
configure:44160: result: sage_conf-9.5.rc0:                           standard, will be installed as an SPKG
configure:44160: result: sage_docbuild-9.5.rc0:                       standard, will be installed as an SPKG
configure:44160: result: sage_flatsurf-none:                          optional pip package; use "./sage -i sage_flatsurf" to install
configure:44160: result: sage_numerical_backends_coin-9.0b12:         optional, use "./configure --enable-sage_numerical_backends_coin" to install
configure:44160: result: sage_numerical_backends_cplex-9.0b12:        optional, use "./configure --enable-sage_numerical_backends_cplex" to install
configure:44160: result: sage_numerical_backends_gurobi-9.3.1:        optional, use "./configure --enable-sage_numerical_backends_gurobi" to install
configure:44160: result: sage_setup-9.5.rc0:                          standard, will be installed as an SPKG
configure:44160: result: sage_sws2rst-9.5.rc0:                        optional, use "./configure --enable-sage_sws2rst" to install
configure:44160: result: sagelib-9.5.rc0:                             standard, will be installed as an SPKG
configure:44160: result: sagemath_doc_html-none:                      standard, will be installed as an SPKG
configure:44160: result: sagemath_doc_pdf-none:                       optional, use "./configure --enable-sagemath_doc_pdf" to install
configure:44160: result: sagenb_export-3.3:                           standard, will be installed as an SPKG
configure:44160: result: sagetex-3.5:                                 standard, will be installed as an SPKG
configure:44160: result: scipoptsuite-5.0.1:                          experimental, use "./configure --enable-scipoptsuite" to install
configure:44160: result: scipy-1.7.2:                                 standard, will be installed as an SPKG
configure:44160: result: send2trash-1.8.0:                            standard, will be installed as an SPKG
configure:44160: result: setuptools-59.2.0:                           standard, will be installed as an SPKG
configure:44160: result: setuptools_scm-6.3.2:                        standard, will be installed as an SPKG
configure:44160: result: setuptools_scm_git_archive-1.1:              standard, will be installed as an SPKG
configure:44160: result: setuptools_wheel-59.2.0:                     standard, will be installed as an SPKG
configure:44160: result: simplegeneric-0.8.1.p0:                      standard, will be installed as an SPKG
configure:44160: result: singular-4.2.1p3:                            already installed as an SPKG
configure:44160: result: singular_jupyter-0.9.7:                      optional, use "./configure --enable-singular_jupyter" to install
configure:44160: result: sip-4.18:                                    optional, use "./configure --enable-sip" to install
configure:44160: result: sirocco-2.1.0:                               optional, use "./configure --enable-sirocco" to install
configure:44160: result: six-1.16.0:                                  standard, will be installed as an SPKG
configure:44160: result: slabbe-none:                                 optional pip package; use "./sage -i slabbe" to install
configure:44160: result: snappy-none:                                 optional pip package; use "./sage -i snappy" to install
configure:44160: result: snowballstemmer-2.1.0:                       standard, will be installed as an SPKG
configure:44160: result: speaklater-1.3.p0:                           optional, use "./configure --enable-speaklater" to install
configure:44160: result: sphinx-4.2.0:                                standard, will be installed as an SPKG
configure:44160: result: sphinxcontrib_applehelp-1.0.2:               standard, will be installed as an SPKG
configure:44160: result: sphinxcontrib_devhelp-1.0.2:                 standard, will be installed as an SPKG
configure:44160: result: sphinxcontrib_htmlhelp-2.0.0:                standard, will be installed as an SPKG
configure:44160: result: sphinxcontrib_jsmath-1.0.1:                  standard, will be installed as an SPKG
configure:44160: result: sphinxcontrib_qthelp-1.0.3:                  standard, will be installed as an SPKG
configure:44160: result: sphinxcontrib_serializinghtml-1.1.5:         standard, will be installed as an SPKG
configure:44160: result: sphinxcontrib_websupport-1.2.1:              standard, will be installed as an SPKG
configure:44160: result: sqlalchemy-none:                             optional pip package; use "./sage -i sqlalchemy" to install
configure:44160: result: sqlite-3.36.0:                               not required on your platform; SPKG will not be installed
configure:44160: result: suitesparse-5.10.1:                          already installed as an SPKG
configure:44160: result: surf-1.0.6-gcc6:                             experimental, use "./configure --enable-surf" to install
configure:44160: result: surface_dynamics-none:                       optional pip package; use "./sage -i surface_dynamics" to install
configure:44160: result: symengine-0.8.1:                             optional, use "./configure --enable-symengine" to install
configure:44160: result: symengine_py-0.8.1.p0:                       optional, use "./configure --enable-symengine_py" to install
configure:44160: result: symmetrica-3.0.1:                            already installed as an SPKG
configure:44160: result: sympow-2.023.6:                              already installed as an SPKG
configure:44160: result: sympy-1.9:                                   standard, will be installed as an SPKG
configure:44160: result: tachyon-0.98.9.p7:                           already installed as an SPKG
configure:44160: result: tdlib-0.3.1.p0:                              optional, use "./configure --enable-tdlib" to install
configure:44160: result: terminado-0.12.1:                            standard, will be installed as an SPKG
configure:44160: result: testpath-0.5.0:                              standard, will be installed as an SPKG
configure:44160: result: texlive-none:                                optional, use "./configure --enable-texlive" to install
configure:44160: result: texttable-1.6.3:                             optional, use "./configure --enable-texttable" to install
configure:44160: result: thebe-9624e0a0.p0:                           standard, will be installed as an SPKG
configure:44160: result: threejs-r122.p0:                             standard, will be installed as an SPKG
configure:44160: result: tides-2.0.p0:                                optional, use "./configure --enable-tides" to install
configure:44160: result: toml-0.10.2:                                 not required on your platform; SPKG will not be installed
configure:44160: result: tomli-1.2.1:                                 standard, will be installed as an SPKG
configure:44160: result: topcom-0.17.7:                               optional, use "./configure --enable-topcom" to install
configure:44160: result: tornado-6.1:                                 standard, will be installed as an SPKG
configure:44160: result: tox-3.24.3:                                  using system package; SPKG will not be installed
configure:44160: result: traitlets-5.1.1:                             standard, will be installed as an SPKG
configure:44160: result: typing_extensions-3.10.0.0:                  standard, will be installed as an SPKG
configure:44160: result: tzlocal-2.1:                                 standard, will be installed as an SPKG
configure:44160: result: urllib3-1.26.6:                              standard, will be installed as an SPKG
configure:44160: result: valgrind-3.14.0:                             experimental, will be installed as an SPKG
configure:44160: result: vcversioner-2.16.0.0.p0:                     standard, will be installed as an SPKG
configure:44160: result: virtualenv-20.7.2:                           not required on your platform; SPKG will not be installed
configure:44160: result: wcwidth-0.2.5:                               standard, will be installed as an SPKG
configure:44160: result: webencodings-0.5.1:                          standard, will be installed as an SPKG
configure:44160: result: wheel-0.37.0:                                standard, will be installed as an SPKG
configure:44160: result: widgetsnbextension-3.5.2:                    standard, will be installed as an SPKG
configure:44160: result: xz-5.2.5:                                    using system package; SPKG will not be installed
configure:44160: result: zeromq-4.3.4:                                already installed as an SPKG
configure:44160: result: zipp-3.5.0:                                  standard, will be installed as an SPKG
configure:44160: result: zlib-1.2.11.p0:                              using system package; SPKG will not be installed
configure:44160: result: zn_poly-0.9.2:                               already installed as an SPKG
configure:44380: checking that generated files are newer than configure
configure:44386: result: done
configure:44429: creating ./config.status
configure:45665:

    notice: the following SPKGs did not find equivalent system packages:

          _recommended cbc coxeter3 gp2c igraph isl libgraphviz libsemigroups lrslib pari_elldata pari_galpol pari_nftables pari_seadata pdf2svg polymake
       
configure:45672: checking for the package system in use
configure:45675: result: debian
configure:45714:

    hint: installing the following system packages, if not
    already present, may provide additional optional features:

      $ sudo apt-get update
      $ sudo apt-get install  texlive-latex-extra texlive-xetex latexmk dvipng default-jdk libavdevice-dev coinor-cbc coinor-libcbc-dev pari-gp2c libigraph-dev libisl-dev libgraphviz-dev lrslib pdf2svg polymake libpolymake-dev

configure:45732:

    hint: After installation, re-run configure using:

      $ ./config.status --recheck && ./config.status
               

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=x86_64-pc-linux-gnu
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CBC_CFLAGS_set=
ac_cv_env_CBC_CFLAGS_value=
ac_cv_env_CBC_LIBS_set=
ac_cv_env_CBC_LIBS_value=
ac_cv_env_CBLAS_CFLAGS_set=
ac_cv_env_CBLAS_CFLAGS_value=
ac_cv_env_CBLAS_LIBS_set=
ac_cv_env_CBLAS_LIBS_value=
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value='-march=native -O3 -g'
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_ECLIB_CFLAGS_set=
ac_cv_env_ECLIB_CFLAGS_value=
ac_cv_env_ECLIB_LIBS_set=
ac_cv_env_ECLIB_LIBS_value=
ac_cv_env_F77CFLAGS_set=
ac_cv_env_F77CFLAGS_value=
ac_cv_env_FCFLAGS_set=
ac_cv_env_FCFLAGS_value=
ac_cv_env_FC_set=
ac_cv_env_FC_value=
ac_cv_env_FFLAS_FFPACK_CFLAGS_set=
ac_cv_env_FFLAS_FFPACK_CFLAGS_value=
ac_cv_env_FFLAS_FFPACK_LIBS_set=
ac_cv_env_FFLAS_FFPACK_LIBS_value=
ac_cv_env_FPLLL_CFLAGS_set=
ac_cv_env_FPLLL_CFLAGS_value=
ac_cv_env_FPLLL_LIBS_set=
ac_cv_env_FPLLL_LIBS_value=
ac_cv_env_FREETYPE_CFLAGS_set=
ac_cv_env_FREETYPE_CFLAGS_value=
ac_cv_env_FREETYPE_LIBS_set=
ac_cv_env_FREETYPE_LIBS_value=
ac_cv_env_GC_CFLAGS_set=
ac_cv_env_GC_CFLAGS_value=
ac_cv_env_GC_LIBS_set=
ac_cv_env_GC_LIBS_value=
ac_cv_env_GF2X_CFLAGS_set=
ac_cv_env_GF2X_CFLAGS_value=
ac_cv_env_GF2X_LIBS_set=
ac_cv_env_GF2X_LIBS_value=
ac_cv_env_GSLPCDIR_set=
ac_cv_env_GSLPCDIR_value=
ac_cv_env_GSL_CFLAGS_set=
ac_cv_env_GSL_CFLAGS_value=
ac_cv_env_GSL_LIBS_set=
ac_cv_env_GSL_LIBS_value=
ac_cv_env_IGRAPH_CFLAGS_set=
ac_cv_env_IGRAPH_CFLAGS_value=
ac_cv_env_IGRAPH_LIBS_set=
ac_cv_env_IGRAPH_LIBS_value=
ac_cv_env_ISL_CFLAGS_set=
ac_cv_env_ISL_CFLAGS_value=
ac_cv_env_ISL_LIBS_set=
ac_cv_env_ISL_LIBS_value=
ac_cv_env_LAPACK_CFLAGS_set=
ac_cv_env_LAPACK_CFLAGS_value=
ac_cv_env_LAPACK_LIBS_set=
ac_cv_env_LAPACK_LIBS_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_LIBATOMIC_OPS_CFLAGS_set=
ac_cv_env_LIBATOMIC_OPS_CFLAGS_value=
ac_cv_env_LIBATOMIC_OPS_LIBS_set=
ac_cv_env_LIBATOMIC_OPS_LIBS_value=
ac_cv_env_LIBFFI_CFLAGS_set=
ac_cv_env_LIBFFI_CFLAGS_value=
ac_cv_env_LIBFFI_LIBS_set=
ac_cv_env_LIBFFI_LIBS_value=
ac_cv_env_LIBGD_CFLAGS_set=
ac_cv_env_LIBGD_CFLAGS_value=
ac_cv_env_LIBGD_LIBS_set=
ac_cv_env_LIBGD_LIBS_value=
ac_cv_env_LIBPNG_CFLAGS_set=
ac_cv_env_LIBPNG_CFLAGS_value=
ac_cv_env_LIBPNG_LIBS_set=
ac_cv_env_LIBPNG_LIBS_value=
ac_cv_env_LIBSEMIGROUPS_CFLAGS_set=
ac_cv_env_LIBSEMIGROUPS_CFLAGS_value=
ac_cv_env_LIBSEMIGROUPS_LIBS_set=
ac_cv_env_LIBSEMIGROUPS_LIBS_value=
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_M4RI_CFLAGS_set=
ac_cv_env_M4RI_CFLAGS_value=
ac_cv_env_M4RI_LIBS_set=
ac_cv_env_M4RI_LIBS_value=
ac_cv_env_NCURSES_CFLAGS_set=
ac_cv_env_NCURSES_CFLAGS_value=
ac_cv_env_NCURSES_LIBS_set=
ac_cv_env_NCURSES_LIBS_value=
ac_cv_env_OBJCFLAGS_set=
ac_cv_env_OBJCFLAGS_value=
ac_cv_env_OBJCXXFLAGS_set=
ac_cv_env_OBJCXXFLAGS_value=
ac_cv_env_OBJCXX_set=
ac_cv_env_OBJCXX_value=
ac_cv_env_OBJC_set=
ac_cv_env_OBJC_value=
ac_cv_env_OPENBLASPCDIR_set=
ac_cv_env_OPENBLASPCDIR_value=
ac_cv_env_OPENBLAS_CFLAGS_set=
ac_cv_env_OPENBLAS_CFLAGS_value=
ac_cv_env_OPENBLAS_LIBS_set=
ac_cv_env_OPENBLAS_LIBS_value=
ac_cv_env_PCRE_CFLAGS_set=
ac_cv_env_PCRE_CFLAGS_value=
ac_cv_env_PCRE_LIBS_set=
ac_cv_env_PCRE_LIBS_value=
ac_cv_env_PKG_CONFIG_LIBDIR_set=
ac_cv_env_PKG_CONFIG_LIBDIR_value=
ac_cv_env_PKG_CONFIG_PATH_set=
ac_cv_env_PKG_CONFIG_PATH_value=
ac_cv_env_PKG_CONFIG_set=
ac_cv_env_PKG_CONFIG_value=
ac_cv_env_PRIMECOUNT_CFLAGS_set=
ac_cv_env_PRIMECOUNT_CFLAGS_value=
ac_cv_env_PRIMECOUNT_LIBS_set=
ac_cv_env_PRIMECOUNT_LIBS_value=
ac_cv_env_PRIMESIEVE_CFLAGS_set=
ac_cv_env_PRIMESIEVE_CFLAGS_value=
ac_cv_env_PRIMESIEVE_LIBS_set=
ac_cv_env_PRIMESIEVE_LIBS_value=
ac_cv_env_READLINE_CFLAGS_set=
ac_cv_env_READLINE_CFLAGS_value=
ac_cv_env_READLINE_LIBS_set=
ac_cv_env_READLINE_LIBS_value=
ac_cv_env_R_CFLAGS_set=
ac_cv_env_R_CFLAGS_value=
ac_cv_env_R_LIBS_set=
ac_cv_env_R_LIBS_value=
ac_cv_env_SAGE_DEBUG_set=
ac_cv_env_SAGE_DEBUG_value=
ac_cv_env_SAGE_FAT_BINARY_set=
ac_cv_env_SAGE_FAT_BINARY_value=
ac_cv_env_SINGULAR_CFLAGS_set=
ac_cv_env_SINGULAR_CFLAGS_value=
ac_cv_env_SINGULAR_LIBS_set=
ac_cv_env_SINGULAR_LIBS_value=
ac_cv_env_SINGULAR_LIB_DIR_set=
ac_cv_env_SINGULAR_LIB_DIR_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_ntl_includedir_set=
ac_cv_env_ntl_includedir_value=
ac_cv_env_ntl_libdir_set=
ac_cv_env_ntl_libdir_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_fc_compiler_gnu=yes
ac_cv_fc_freeform=-ffree-form
ac_cv_func_curl_free=yes
ac_cv_header_bzlib_h=yes
ac_cv_header_complex_h=yes
ac_cv_header_gmp_h=yes
ac_cv_header_gmpxx_h=yes
ac_cv_header_graphviz_cgraph_h=no
ac_cv_header_inttypes_h=yes
ac_cv_header_lzma_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_mpfr_h=yes
ac_cv_header_readline_readline_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_unistd_h=yes
ac_cv_header_zlib_h=yes
ac_cv_host=x86_64-pc-linux-gnu
ac_cv_lib_lzma_lzma_raw_decoder=yes
ac_cv_lib_m_sqrt=yes
ac_cv_lib_z_inflateEnd=yes
ac_cv_objc_compiler_gnu=no
ac_cv_objcxx_compiler_gnu=no
ac_cv_objext=o
ac_cv_path_CMAKE=/usr/bin/cmake
ac_cv_path_CONVERT=/usr/bin/convert
ac_cv_path_CURL=/usr/bin/curl
ac_cv_path_EGREP='/usr/bin/grep -E'
ac_cv_path_FFMPEG=/usr/bin/ffmpeg
ac_cv_path_GFAN_VERSION=/usr/bin/gfan_version
ac_cv_path_GIT=/usr/bin/git
ac_cv_path_GREP=/usr/bin/grep
ac_cv_path_INFO=/usr/bin/info
ac_cv_path_NINJA=/home/mi/kliem/bin/ninja
ac_cv_path_PANDOC=/usr/bin/pandoc
ac_cv_path_PATCH=/usr/bin/patch
ac_cv_path_PERL=/usr/bin/perl
ac_cv_path_PYTHON3=/usr/bin/python3
ac_cv_path_QHULL=/usr/bin/qhull
ac_cv_path_SED=/usr/bin/sed
ac_cv_path_TAR=/usr/bin/tar
ac_cv_path_TOX=/home/mi/kliem/bin/tox
ac_cv_path_XML2_CONFIG=/usr/bin/xml2-config
ac_cv_path_XZ=/usr/bin/xz
ac_cv_path__libcurl_config=/usr/bin/curl-config
ac_cv_path_ac_pt_PKG_CONFIG=/usr/bin/pkg-config
ac_cv_path_bzip2_prog=/usr/bin/bzip2
ac_cv_path_install='/usr/bin/install -c'
ac_cv_path_mkdir=/usr/bin/mkdir
ac_cv_prog_AWK=gawk
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_CXXCPP='g++ -E'
ac_cv_prog_DOT=dot
ac_cv_prog_NEATO=neato
ac_cv_prog_TWOPI=twopi
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_CXX=g++
ac_cv_prog_ac_ct_FC=gfortran
ac_cv_prog_ac_ct_OBJC=gcc
ac_cv_prog_ac_ct_OBJCXX=g++
ac_cv_prog_cc_c89=
ac_cv_prog_cc_g=yes
ac_cv_prog_cxx_g=yes
ac_cv_prog_fc_g=yes
ac_cv_prog_found_ar=yes
ac_cv_prog_found_latex=yes
ac_cv_prog_found_m4=yes
ac_cv_prog_found_ranlib=yes
ac_cv_prog_found_strip=yes
ac_cv_prog_make_make_set=yes
ac_cv_prog_objc_g=no
ac_cv_prog_objcxx_g=no
ac_cv_search_BZ2_bzCompress=-lbz2
ac_cv_search___gmpq_cmp_z=-lgmp
ac_cv_search_mpfr_free_pool=-lmpfr
ac_cv_search_rl_bind_keyseq=-lreadline
acl_cv_hardcode_direct=no
acl_cv_hardcode_libdir_flag_spec='${wl}-rpath ${wl}$libdir'
acl_cv_hardcode_libdir_separator=
acl_cv_hardcode_minus_L=no
acl_cv_libext=a
acl_cv_libname_spec='lib$name'
acl_cv_library_names_spec='$libname$shrext'
acl_cv_path_LD=/usr/bin/ld
acl_cv_prog_gnu_ld=yes
acl_cv_rpath=done
acl_cv_shlibext=so
acl_cv_wl=-Wl,
am_cv_CC_dependencies_compiler_type=none
am_cv_CXX_dependencies_compiler_type=none
am_cv_OBJCXX_dependencies_compiler_type=none
am_cv_OBJC_dependencies_compiler_type=none
am_cv_func_iconv=yes
am_cv_func_iconv_works=yes
am_cv_lib_iconv=no
am_cv_make_support_nested_variables=yes
am_cv_prog_cc_c_o=yes
am_cv_proto_iconv='extern size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);'
am_cv_proto_iconv_arg1=
ax_cv_c_compiler_vendor=gnu
ax_cv_c_openmp=-fopenmp
ax_cv_check_cxxflags___march_native=yes
ax_cv_check_cxxflags___mavx512f__mavx512vl__mavx512dq=yes
ax_cv_check_cxxflags___mfma4=yes
ax_cv_check_cxxflags___mfma=yes
ax_cv_cxx_compile_cxx11__std_gnupp11=yes
ax_cv_cxx_openmp=-fopenmp
ax_cv_gcc_version=8
ax_cv_gxx_version=8
ax_cv_prog_perl_version=yes
gl_cv_absolute_gmp_h=///usr/include/x86_64-linux-gnu/gmp.h
libcurl_cv_lib_curl_usable=yes
libcurl_cv_lib_curl_version=7.64.0
libcurl_cv_lib_version_ok=yes
lzma_cv_liblzma=yes
lzma_cv_lzma_h=yes
pkg_cv_FREETYPE_CFLAGS='-I/usr/include/freetype2 -I/usr/include/libpng16'
pkg_cv_FREETYPE_LIBS=-lfreetype
pkg_cv_LIBFFI_CFLAGS=
pkg_cv_LIBFFI_LIBS=-lffi
pkg_cv_LIBPNG_CFLAGS=-I/usr/include/libpng16
pkg_cv_LIBPNG_LIBS='-lpng16 -lz'
pkg_cv_NCURSES_CFLAGS='-D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600'
pkg_cv_NCURSES_LIBS='-lncurses -ltinfo'
pkg_cv_PCRE_CFLAGS=
pkg_cv_PCRE_LIBS='-lpcre -lpcreposix -lpcre -lpcrecpp'
sage_libcurl_cv_lib_curl_executable=yes
zlib_cv_libz=yes
zlib_cv_zlib_h=yes

## ----------------- ##
## Output variables. ##
## ----------------- ##

    4ti2 \
    4ti2 \
    4ti2 \
    _bootstrap \
    _bootstrap \
    _prereq \
    _prereq \
    _prereq \
    _recommended \
    _recommended \
    admcycles \
    admcycles \
    alabaster \
    alabaster \
    alabaster \
    alabaster \
    appdirs \
    appdirs \
    appdirs \
    appdirs \
    appnope \
    appnope \
    appnope \
    appnope \
    arb \
    arb \
    arb \
    arb \
    argcomplete \
    argcomplete \
    argcomplete \
    argcomplete \
    argon2_cffi \
    argon2_cffi \
    argon2_cffi \
    argon2_cffi \
    attrs \
    attrs \
    attrs \
    attrs \
    awali \
    awali \
    babel \
    babel \
    babel \
    babel \
    backcall \
    backcall \
    backcall \
    backcall \
    barvinok \
    barvinok \
    beautifulsoup4 \
    beautifulsoup4 \
    beniget \
    beniget \
    beniget \
    beniget \
    benzene \
    benzene \
    biopython \
    biopython \
    bleach \
    bleach \
    bleach \
    bleach \
    bliss \
    bliss \
    boost_cropped \
    boost_cropped \
    boost_cropped \
    boost_cropped \
    brial \
    brial \
    brial \
    brial \
    buckygen \
    buckygen \
    bzip2 \
    bzip2 \
    bzip2 \
    bzip2 \
    cbc \
    cbc \
    ccache \
    ccache \
    cddlib \
    cddlib \
    cddlib \
    cddlib \
    certifi \
    certifi \
    certifi \
    certifi \
    cffi \
    cffi \
    cffi \
    cffi \
    charset_normalizer \
    charset_normalizer \
    charset_normalizer \
    charset_normalizer \
    cliquer \
    cliquer \
    cliquer \
    cliquer \
    cmake \
    cmake \
    cmake \
    cmake \
    cocoalib \
    cocoalib \
    combinatorial_designs \
    combinatorial_designs \
    combinatorial_designs \
    combinatorial_designs \
    configure \
    configure \
    configure \
    conway_polynomials \
    conway_polynomials \
    conway_polynomials \
    conway_polynomials \
    coxeter3 \
    coxeter3 \
    cppy \
    cppy \
    cppy \
    cppy \
    cryptominisat \
    cryptominisat \
    csdp \
    csdp \
    cunningham_tables \
    cunningham_tables \
    curl \
    curl \
    curl \
    curl \
    cvxopt \
    cvxopt \
    cvxopt \
    cvxopt \
    cycler \
    cycler \
    cycler \
    cycler \
    cypari \
    cypari \
    cypari \
    cypari \
    cysignals \
    cysignals \
    cysignals \
    cysignals \
    cython \
    cython \
    cython \
    cython \
    d3js \
    d3js \
    database_cremona_ellcurve \
    database_cremona_ellcurve \
    database_jones_numfield \
    database_jones_numfield \
    database_knotinfo \
    database_knotinfo \
    database_kohel \
    database_kohel \
    database_mutation_class \
    database_mutation_class \
    database_odlyzko_zeta \
    database_odlyzko_zeta \
    database_stein_watkins \
    database_stein_watkins \
    database_stein_watkins_mini \
    database_stein_watkins_mini \
    database_symbolic_data \
    database_symbolic_data \
    dateutil \
    dateutil \
    dateutil \
    dateutil \
    debugpy \
    debugpy \
    decorator \
    decorator \
    decorator \
    decorator \
    deformation \
    deformation \
    defusedxml \
    defusedxml \
    defusedxml \
    defusedxml \
    distlib \
    distlib \
    distlib \
    distlib \
    docutils \
    docutils \
    docutils \
    docutils \
    dot2tex \
    dot2tex \
    e_antic \
    e_antic \
    e_antic \
    ecl \
    ecl \
    ecl \
    ecl \
    eclib \
    eclib \
    eclib \
    eclib \
    ecm \
    ecm \
    ecm \
    ecm \
    elliptic_curves \
    elliptic_curves \
    elliptic_curves \
    elliptic_curves \
    entrypoints \
    entrypoints \
    entrypoints \
    entrypoints \
    fflas_ffpack \
    fflas_ffpack \
    fflas_ffpack \
    fflas_ffpack \
    ffmpeg \
    ffmpeg \
    filelock \
    filelock \
    filelock \
    filelock \
    flint \
    flint \
    flint \
    flint \
    flintqs \
    flintqs \
    flintqs \
    flintqs \
    flit_core \
    flit_core \
    flit_core \
    flit_core \
    fonttools \
    fonttools \
    fonttools \
    fonttools \
    fplll \
    fplll \
    fplll \
    fplll \
    fpylll \
    fpylll \
    fpylll \
    fpylll \
    freetype \
    freetype \
    freetype \
    freetype \
    fricas \
    fricas \
    frobby \
    frobby \
    gambit \
    gambit \
    gap \
    gap \
    gap \
    gap \
    gap3 \
    gap3 \
    gap3 \
    gap_jupyter \
    gap_jupyter \
    gap_packages \
    gap_packages \
    gast \
    gast \
    gast \
    gast \
    gc \
    gc \
    gc \
    gc \
    gcc \
    gcc \
    gcc \
    gcc \
    gdb \
    gdb \
    gengetopt \
    gengetopt \
    gengetopt \
    gengetopt \
    gf2x \
    gf2x \
    gf2x \
    gf2x \
    gfan \
    gfan \
    gfan \
    gfan \
    gfortran \
    gfortran \
    gfortran \
    gfortran \
    giac \
    giac \
    giac \
    giac \
    git \
    git \
    givaro \
    givaro \
    givaro \
    givaro \
    glpk \
    glpk \
    glpk \
    glpk \
    glucose \
    glucose \
    gmp \
    gmp \
    gmp \
    gmp \
    gmpy2 \
    gmpy2 \
    gmpy2 \
    gmpy2 \
    gp2c \
    gp2c \
    graphs \
    graphs \
    graphs \
    graphs \
    graphviz \
    graphviz \
    gsl \
    gsl \
    gsl \
    gsl \
    html5lib \
    html5lib \
    html5lib \
    html5lib \
    iconv \
    iconv \
    iconv \
    iconv \
    idna \
    idna \
    idna \
    idna \
    igraph \
    igraph \
    imagemagick \
    imagemagick \
    imagesize \
    imagesize \
    imagesize \
    imagesize \
    iml \
    iml \
    iml \
    iml \
    importlib_metadata \
    importlib_metadata \
    importlib_metadata \
    importlib_metadata \
    importlib_resources \
    importlib_resources \
    importlib_resources \
    importlib_resources \
    info \
    info \
    ipykernel \
    ipykernel \
    ipykernel \
    ipykernel \
    ipympl \
    ipympl \
    ipython \
    ipython \
    ipython \
    ipython \
    ipython_genutils \
    ipython_genutils \
    ipython_genutils \
    ipython_genutils \
    ipywidgets \
    ipywidgets \
    ipywidgets \
    ipywidgets \
    isl \
    isl \
    jedi \
    jedi \
    jedi \
    jedi \
    jinja2 \
    jinja2 \
    jinja2 \
    jinja2 \
    jmol \
    jmol \
    jmol \
    jmol \
    jsonschema \
    jsonschema \
    jsonschema \
    jsonschema \
    jupymake \
    jupymake \
    jupyter_client \
    jupyter_client \
    jupyter_client \
    jupyter_client \
    jupyter_core \
    jupyter_core \
    jupyter_core \
    jupyter_core \
    jupyter_jsmol \
    jupyter_jsmol \
    jupyter_jsmol \
    jupyter_jsmol \
    jupyter_packaging \
    jupyter_packaging \
    jupyterlab \
    jupyterlab \
    jupyterlab_pygments \
    jupyterlab_pygments \
    jupyterlab_pygments \
    jupyterlab_pygments \
    jupyterlab_widgets \
    jupyterlab_widgets \
    kenzo \
    kenzo \
    kiwisolver \
    kiwisolver \
    kiwisolver \
    kiwisolver \
    latte_int \
    latte_int \
    latte_int \
    lcalc \
    lcalc \
    lcalc \
    lcalc \
    libatomic_ops \
    libatomic_ops \
    libatomic_ops \
    libatomic_ops \
    libbraiding \
    libbraiding \
    libbraiding \
    libbraiding \
    libffi \
    libffi \
    libffi \
    libffi \
    libgd \
    libgd \
    libgd \
    libgd \
    libgraphviz \
    libgraphviz \
    libhomfly \
    libhomfly \
    libhomfly \
    libhomfly \
    liblzma \
    liblzma \
    liblzma \
    libnauty \
    libnauty \
    libnauty \
    libogg \
    libogg \
    libpng \
    libpng \
    libpng \
    libpng \
    libsemigroups \
    libsemigroups \
    libtheora \
    libtheora \
    libxml2 \
    libxml2 \
    lidia \
    lidia \
    lidia \
    lie \
    lie \
    linbox \
    linbox \
    linbox \
    linbox \
    llvm \
    llvm \
    lrcalc \
    lrcalc \
    lrcalc \
    lrcalc \
    lrslib \
    lrslib \
    m4ri \
    m4ri \
    m4ri \
    m4ri \
    m4rie \
    m4rie \
    m4rie \
    m4rie \
    markupsafe \
    markupsafe \
    markupsafe \
    markupsafe \
    mathics \
    mathics \
    mathics_scanner \
    mathics_scanner \
    mathjax \
    mathjax \
    mathjax \
    mathjax \
    matplotlib \
    matplotlib \
    matplotlib \
    matplotlib \
    matplotlib_inline \
    matplotlib_inline \
    matplotlib_inline \
    matplotlib_inline \
    maxima \
    maxima \
    maxima \
    maxima \
    mcqd \
    mcqd \
    meataxe \
    meataxe \
    memory_allocator \
    memory_allocator \
    memory_allocator \
    memory_allocator \
    mistune \
    mistune \
    mistune \
    mistune \
    modular_decomposition \
    modular_decomposition \
    mpc \
    mpc \
    mpc \
    mpc \
    mpfi \
    mpfi \
    mpfi \
    mpfi \
    mpfr \
    mpfr \
    mpfr \
    mpfr \
    mpfrcx \
    mpfrcx \
    mpmath \
    mpmath \
    mpmath \
    mpmath \
    nauty \
    nauty \
    nauty \
    nauty \
    nbclient \
    nbclient \
    nbclient \
    nbclient \
    nbconvert \
    nbconvert \
    nbconvert \
    nbconvert \
    nbformat \
    nbformat \
    nbformat \
    nbformat \
    ncurses \
    ncurses \
    ncurses \
    ncurses \
    nest_asyncio \
    nest_asyncio \
    nest_asyncio \
    nest_asyncio \
    networkx \
    networkx \
    networkx \
    networkx \
    nibabel \
    nibabel \
    ninja_build \
    ninja_build \
    nodeenv \
    nodeenv \
    nodejs \
    nodejs \
    normaliz \
    normaliz \
    normaliz \
    notebook \
    notebook \
    notebook \
    notebook \
    notedown \
    notedown \
    ntl \
    ntl \
    ntl \
    ntl \
    numpy \
    numpy \
    numpy \
    numpy \
    openblas \
    openblas \
    openblas \
    openblas \
    openssl \
    openssl \
    openssl \
    openssl \
    ore_algebra \
    ore_algebra \
    p_group_cohomology \
    p_group_cohomology \
    packaging \
    packaging \
    packaging \
    packaging \
    palettable \
    palettable \
    palp \
    palp \
    palp \
    palp \
    pandoc \
    pandoc \
    pandoc_attributes \
    pandoc_attributes \
    pandocfilters \
    pandocfilters \
    pandocfilters \
    pandocfilters \
    pari \
    pari \
    pari \
    pari \
    pari_elldata \
    pari_elldata \
    pari_galdata \
    pari_galdata \
    pari_galdata \
    pari_galdata \
    pari_galpol \
    pari_galpol \
    pari_nftables \
    pari_nftables \
    pari_seadata \
    pari_seadata \
    pari_seadata_small \
    pari_seadata_small \
    pari_seadata_small \
    pari_seadata_small \
    parso \
    parso \
    parso \
    parso \
    patch \
    patch \
    patch \
    patch \
    pcre \
    pcre \
    pcre \
    pcre \
    pdf2svg \
    pdf2svg \
    perl_cpan_polymake_prereq \
    perl_cpan_polymake_prereq \
    perl_mongodb \
    perl_mongodb \
    perl_term_readline_gnu \
    perl_term_readline_gnu \
    pexpect \
    pexpect \
    pexpect \
    pexpect \
    pickleshare \
    pickleshare \
    pickleshare \
    pickleshare \
    pillow \
    pillow \
    pillow \
    pillow \
    pint \
    pint \
    pip \
    pip \
    pip \
    pip \
    pkgconf \
    pkgconf \
    pkgconf \
    pkgconf \
    pkgconfig \
    pkgconfig \
    pkgconfig \
    pkgconfig \
    planarity \
    planarity \
    planarity \
    planarity \
    plantri \
    plantri \
    pluggy \
    pluggy \
    pluggy \
    pluggy \
    ply \
    ply \
    ply \
    ply \
    polylib \
    polylib \
    polymake \
    polymake \
    polytopes_db \
    polytopes_db \
    polytopes_db \
    polytopes_db \
    polytopes_db_4d \
    polytopes_db_4d \
    ppl \
    ppl \
    ppl \
    ppl \
    pplpy \
    pplpy \
    pplpy \
    pplpy \
    pplpy_doc \
    pplpy_doc \
    pplpy_doc \
    pplpy_doc \
    primecount \
    primecount \
    primecount \
    primecount \
    primecountpy \
    primecountpy \
    primecountpy \
    primecountpy \
    primesieve \
    primesieve \
    primesieve \
    primesieve \
    prometheus_client \
    prometheus_client \
    prometheus_client \
    prometheus_client \
    prompt_toolkit \
    prompt_toolkit \
    prompt_toolkit \
    prompt_toolkit \
    ptyprocess \
    ptyprocess \
    ptyprocess \
    ptyprocess \
    py \
    py \
    py \
    py \
    pybind11 \
    pybind11 \
    pybind11 \
    pybind11 \
    pybtex \
    pybtex \
    pycosat \
    pycosat \
    pycparser \
    pycparser \
    pycparser \
    pycparser \
    pycygwin \
    pycygwin \
    pycygwin \
    pycygwin \
    pyflakes \
    pyflakes \
    pygments \
    pygments \
    pygments \
    pygments \
    pygraphviz \
    pygraphviz \
    pynormaliz \
    pynormaliz \
    pyparsing \
    pyparsing \
    pyparsing \
    pyparsing \
    pyroaringbitmap \
    pyroaringbitmap \
    pyrsistent \
    pyrsistent \
    pyrsistent \
    pyrsistent \
    pysingular \
    pysingular \
    pytest \
    pytest \
    python3 \
    python3 \
    python3 \
    python3 \
    python_igraph \
    python_igraph \
    pythran \
    pythran \
    pythran \
    pythran \
    pytz \
    pytz \
    pytz \
    pytz \
    pyx \
    pyx \
    pyzmq \
    pyzmq \
    pyzmq \
    pyzmq \
    qepcad \
    qepcad \
    qhull \
    qhull \
    qhull \
    qhull \
    r \
    r \
    r \
    r \
    r_jupyter \
    r_jupyter \
    ratpoints \
    ratpoints \
    ratpoints \
    ratpoints \
    readline \
    readline \
    readline \
    readline \
    requests \
    requests \
    requests \
    requests \
    rpy2 \
    rpy2 \
    rpy2 \
    rpy2 \
    rst2ipynb \
    rst2ipynb \
    rubiks \
    rubiks \
    rw \
    rw \
    rw \
    rw \
    saclib \
    saclib \
    sage_conf \
    sage_conf \
    sage_conf \
    sage_docbuild \
    sage_docbuild \
    sage_docbuild \
    sage_flatsurf \
    sage_flatsurf \
    sage_numerical_backends_coin \
    sage_numerical_backends_coin \
    sage_numerical_backends_cplex \
    sage_numerical_backends_cplex \
    sage_numerical_backends_gurobi \
    sage_numerical_backends_gurobi \
    sage_setup \
    sage_setup \
    sage_setup \
    sage_sws2rst \
    sage_sws2rst \
    sagelib \
    sagelib \
    sagelib \
    sagemath_doc_html \
    sagemath_doc_html \
    sagemath_doc_html \
    sagemath_doc_pdf \
    sagemath_doc_pdf \
    sagenb_export \
    sagenb_export \
    sagenb_export \
    sagenb_export \
    sagetex \
    sagetex \
    sagetex \
    sagetex \
    scipoptsuite \
    scipoptsuite \
    scipy \
    scipy \
    scipy \
    scipy \
    send2trash \
    send2trash \
    send2trash \
    send2trash \
    setuptools \
    setuptools \
    setuptools \
    setuptools \
    setuptools_scm \
    setuptools_scm \
    setuptools_scm \
    setuptools_scm \
    setuptools_scm_git_archive \
    setuptools_scm_git_archive \
    setuptools_scm_git_archive \
    setuptools_scm_git_archive \
    setuptools_wheel \
    setuptools_wheel \
    setuptools_wheel \
    setuptools_wheel \
    simplegeneric \
    simplegeneric \
    simplegeneric \
    simplegeneric \
    singular \
    singular \
    singular \
    singular \
    singular_jupyter \
    singular_jupyter \
    sip \
    sip \
    sirocco \
    sirocco \
    six \
    six \
    six \
    six \
    slabbe \
    slabbe \
    snappy \
    snappy \
    snowballstemmer \
    snowballstemmer \
    snowballstemmer \
    snowballstemmer \
    speaklater \
    speaklater \
    sphinx \
    sphinx \
    sphinx \
    sphinx \
    sphinxcontrib_applehelp \
    sphinxcontrib_applehelp \
    sphinxcontrib_applehelp \
    sphinxcontrib_applehelp \
    sphinxcontrib_devhelp \
    sphinxcontrib_devhelp \
    sphinxcontrib_devhelp \
    sphinxcontrib_devhelp \
    sphinxcontrib_htmlhelp \
    sphinxcontrib_htmlhelp \
    sphinxcontrib_htmlhelp \
    sphinxcontrib_htmlhelp \
    sphinxcontrib_jsmath \
    sphinxcontrib_jsmath \
    sphinxcontrib_jsmath \
    sphinxcontrib_jsmath \
    sphinxcontrib_qthelp \
    sphinxcontrib_qthelp \
    sphinxcontrib_qthelp \
    sphinxcontrib_qthelp \
    sphinxcontrib_serializinghtml \
    sphinxcontrib_serializinghtml \
    sphinxcontrib_serializinghtml \
    sphinxcontrib_serializinghtml \
    sphinxcontrib_websupport \
    sphinxcontrib_websupport \
    sphinxcontrib_websupport \
    sphinxcontrib_websupport \
    sqlalchemy \
    sqlalchemy \
    sqlite \
    sqlite \
    sqlite \
    sqlite \
    suitesparse \
    suitesparse \
    suitesparse \
    suitesparse \
    surf \
    surf \
    surface_dynamics \
    surface_dynamics'
    symengine \
    symengine \
    symengine_py \
    symengine_py \
    symmetrica \
    symmetrica \
    symmetrica \
    symmetrica \
    sympow \
    sympow \
    sympow \
    sympow \
    sympy \
    sympy \
    sympy \
    sympy \
    tachyon \
    tachyon \
    tachyon \
    tachyon \
    tdlib \
    tdlib \
    terminado \
    terminado \
    terminado \
    terminado \
    testpath \
    testpath \
    testpath \
    testpath \
    texlive \
    texlive'
    texttable \
    texttable \
    thebe \
    thebe \
    thebe \
    thebe \
    threejs \
    threejs \
    threejs \
    threejs \
    tides \
    tides \
    toml \
    toml \
    toml \
    toml \
    tomli \
    tomli \
    tomli \
    tomli \
    topcom \
    topcom \
    tornado \
    tornado \
    tornado \
    tornado \
    tox \
    tox \
    tox \
    tox \
    traitlets \
    traitlets \
    traitlets \
    traitlets \
    typing_extensions \
    typing_extensions \
    typing_extensions \
    typing_extensions \
    tzlocal \
    tzlocal \
    tzlocal \
    tzlocal \
    urllib3 \
    urllib3 \
    urllib3 \
    urllib3 \
    valgrind \
    valgrind \
    valgrind \
    vcversioner \
    vcversioner \
    vcversioner \
    vcversioner \
    virtualenv \
    virtualenv \
    virtualenv \
    virtualenv \
    wcwidth \
    wcwidth \
    wcwidth \
    wcwidth \
    webencodings \
    webencodings \
    webencodings \
    webencodings \
    wheel \
    wheel \
    wheel \
    wheel \
    widgetsnbextension \
    widgetsnbextension \
    widgetsnbextension \
    widgetsnbextension \
    xz \
    xz \
    xz \
    xz \
    zeromq \
    zeromq \
    zeromq \
    zeromq \
    zipp \
    zipp \
    zipp \
    zipp \
    zlib \
    zlib \
    zlib \
    zlib'
    zn_poly'
    zn_poly'
    zn_poly'
    zn_poly'
ACLOCAL='${SHELL} /home/mi/kliem/localhome/sage/config/missing aclocal-1.16'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='$${TAR-tar}'
AM_BACKSLASH='\'
AM_DEFAULT_V='$(AM_DEFAULT_VERBOSITY)'
AM_DEFAULT_VERBOSITY='1'
AM_V='$(V)'
AUTOCONF='${SHELL} /home/mi/kliem/localhome/sage/config/missing autoconf'
AUTOHEADER='${SHELL} /home/mi/kliem/localhome/sage/config/missing autoheader'
AUTOMAKE='${SHELL} /home/mi/kliem/localhome/sage/config/missing automake-1.16'
AWK='gawk'
BOOST_CPPFLAGS='-I/usr/include'
BOOST_LDFLAGS='-L/usr/lib/x86_64-linux-gnu'
CBC_CFLAGS=''
CBC_LIBS=''
CBLAS_CFLAGS=''
CBLAS_LIBS=''
CC='gcc'
CCDEPMODE='depmode=none'
CDDEXEC=''
CDDEXECGMP=''
CFLAGS='-march=native -O3 -g'
CFLAGS_MARCH='-march=native'
CL=''
CONVERT='/usr/bin/convert'
CPP='gcc -E'
CPPFLAGS=' '
CXX='g++ -std=gnu++11'
CXXCPP='g++ -E -std=gnu++11'
CXXDEPMODE='depmode=none'
CXXFLAGS=''
CYGPATH_W='echo'
DEFS='-DPACKAGE_NAME=\"Sage\" -DPACKAGE_TARNAME=\"sage\" -DPACKAGE_VERSION=\"9.5.rc0\" -DPACKAGE_STRING=\"Sage\ 9.5.rc0\" -DPACKAGE_BUGREPORT=\"sage-...@googlegroups.com\" -DPACKAGE_URL=\"\" -DPACKAGE=\"sage\" -DVERSION=\"9.5.rc0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBM=1 -DHAVE_CXX11=1 -DHAVE_GMP_H=1 -DABSOLUTE_GMP_H=\"///usr/include/x86_64-linux-gnu/gmp.h\" -DHAVE_BOOST=/\*\*/ -DHAVE_LIBCURL=1 -DLIBCURL_FEATURE_SSL=1 -DLIBCURL_FEATURE_IPV6=1 -DLIBCURL_FEATURE_UNIXSOCKETS=1 -DLIBCURL_FEATURE_LIBZ=1 -DLIBCURL_FEATURE_ASYNCHDNS=1 -DLIBCURL_FEATURE_IDN=1 -DLIBCURL_FEATURE_GSS_API=1 -DLIBCURL_FEATURE_PSL=1 -DLIBCURL_FEATURE_SPNEGO=1 -DLIBCURL_FEATURE_KERBEROS=1 -DLIBCURL_FEATURE_NTLM=1 -DLIBCURL_FEATURE_NTLM_WB=1 -DLIBCURL_FEATURE_TLS_SRP=1 -DLIBCURL_FEATURE_HTTP2=1 -DLIBCURL_FEATURE_HTTPS_PROXY=1 -DLIBCURL_PROTOCOL_DICT=1 -DLIBCURL_PROTOCOL_FILE=1 -DLIBCURL_PROTOCOL_FTP=1 -DLIBCURL_PROTOCOL_FTPS=1 -DLIBCURL_PROTOCOL_GOPHER=1 -DLIBCURL_PROTOCOL_HTTP=1 -DLIBCURL_PROTOCOL_HTTPS=1 -DLIBCURL_PROTOCOL_IMAP=1 -DLIBCURL_PROTOCOL_IMAPS=1 -DLIBCURL_PROTOCOL_LDAP=1 -DLIBCURL_PROTOCOL_LDAPS=1 -DLIBCURL_PROTOCOL_POP3=1 -DLIBCURL_PROTOCOL_POP3S=1 -DLIBCURL_PROTOCOL_RTMP=1 -DLIBCURL_PROTOCOL_RTSP=1 -DLIBCURL_PROTOCOL_SCP=1 -DLIBCURL_PROTOCOL_SFTP=1 -DLIBCURL_PROTOCOL_SMB=1 -DLIBCURL_PROTOCOL_SMBS=1 -DLIBCURL_PROTOCOL_SMTP=1 -DLIBCURL_PROTOCOL_SMTPS=1 -DLIBCURL_PROTOCOL_TELNET=1 -DLIBCURL_PROTOCOL_TFTP=1 -DHAVE_READLINE_READLINE_H=1 -DHAVE_ICONV=1 -DICONV_CONST='
DEPDIR='.deps'
DOT='dot'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
ECLIB_CFLAGS=''
ECLIB_LIBS=''
ECL_CONFIG=''
ECMBIN=''
EGREP='/usr/bin/grep -E'
EXEEXT=''
F77CFLAGS=''
F77FLAGS=''
FC='gfortran'
FCFLAGS=''
FFLAS_FFPACK_CFLAGS=''
FFLAS_FFPACK_LIBS=''
FFMPEG='/usr/bin/ffmpeg'
FOURTITWO_CIRCUITS=''
FOURTITWO_GRAVER=''
FOURTITWO_GROEBNER=''
FOURTITWO_HILBERT=''
FOURTITWO_MARKOV=''
FOURTITWO_PPI=''
FOURTITWO_QSOLVE=''
FOURTITWO_RAYS=''
FOURTITWO_ZSOLVE=''
FPLLL_CFLAGS=''
FPLLL_LIBS=''
FREETYPE_CFLAGS='-I/usr/include/freetype2 -I/usr/include/libpng16'
FREETYPE_LIBS='-lfreetype'
GCC_VERSION='8'
GC_CFLAGS=''
GC_LIBS=''
GENGCHECK=''
GENGETOPT=''
GENGnautyCHECK=''
GF2X_CFLAGS=''
GF2X_LIBS=''
GIVAROCONFIG=''
GLPSOL=''
GP2C=''
GP=''
GPHELP=''
GREP='/usr/bin/grep'
GSLPCDIR=''
GSL_CFLAGS=''
GSL_LIBS=''
GXX_VERSION='8'
HAVE_CXX11='1'
HAVE_QUADRATICSIEVE=''
IGRAPH_CFLAGS=''
IGRAPH_LIBS=''
INFO='/usr/bin/info'
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
ISL_CFLAGS=''
ISL_LIBS=''
LAPACK_CFLAGS=''
LAPACK_LIBS=''
LCALC_BIN=''
LDFLAGS=''
LIBATOMIC_OPS_CFLAGS=''
LIBATOMIC_OPS_LIBS=''
LIBCURL='-lcurl'
LIBCURL_CPPFLAGS=''
LIBFFI_CFLAGS=''
LIBFFI_LIBS='-lffi'
LIBGD_CFLAGS=''
LIBGD_LIBS=''
LIBICONV=''
LIBOBJS=''
LIBPNG_CFLAGS='-I/usr/include/libpng16'
LIBPNG_LIBS='-lpng16 -lz'
LIBS='-lreadline -lcurl -lbz2 -lmpfr -lgmp -lm '
LIBSEMIGROUPS_CFLAGS=''
LIBSEMIGROUPS_LIBS=''
LIBSINGULAR_PATH='$SAGE_LOCAL/lib/libSingular.so'
LRSNASH=''
LTLIBICONV=''
LTLIBOBJS=''
M4RI_CFLAGS=''
M4RI_LIBS=''
MAINT=''
MAINTAINER_MODE_FALSE='#'
MAINTAINER_MODE_TRUE=''
MAKEINFO='${SHELL} /home/mi/kliem/localhome/sage/config/missing makeinfo'
MKDIR_P='/usr/bin/mkdir -p'
NCURSES_CFLAGS='-D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600'
NCURSES_LIBS='-lncurses -ltinfo'
NEATO='neato'
NTL_INCDIR=''
NTL_LIBDIR=''
OBJC='gcc'
OBJCDEPMODE='depmode=none'
OBJCFLAGS=''
OBJCXX='g++'
OBJCXXDEPMODE='depmode=none'
OBJCXXFLAGS=''
OBJEXT='o'
OPENBLASPCDIR=''
OPENBLAS_CFLAGS=''
OPENBLAS_LIBS=''
OPENMP_CFLAGS='-fopenmp'
OPENMP_CXXFLAGS='-fopenmp'
OPENSSL_INCLUDES=''
OPENSSL_LDFLAGS=''
OPENSSL_LIBS=''
PACKAGE='sage'
PACKAGE_BUGREPORT='sage-...@googlegroups.com'
PACKAGE_NAME='Sage'
PACKAGE_STRING='Sage 9.5.rc0'
PACKAGE_TARNAME='sage'
PACKAGE_URL=''
PACKAGE_VERSION='9.5.rc0'
PALPclass11=''
PALPclass4=''
PALPclass5=''
PALPclass6=''
PALPclass=''
PALPcws11=''
PALPcws4=''
PALPcws5=''
PALPcws6=''
PALPcws=''
PALPnef11=''
PALPnef4=''
PALPnef5=''
PALPnef6=''
PALPnef=''
PALPpoly11=''
PALPpoly4=''
PALPpoly5=''
PALPpoly6=''
PALPpoly=''
PANDOC='/usr/bin/pandoc'
PATH_SEPARATOR=':'
PCRE_CFLAGS=''
PCRE_LIBS='-lpcre -lpcreposix -lpcre -lpcrecpp'
PDF2SVG=''
PERL='/usr/bin/perl'
PKG_CONFIG='/usr/bin/pkg-config'
PKG_CONFIG_LIBDIR=''
PKG_CONFIG_PATH=''
PPL_CONFIG=''
PPL_CPPFLAGS=''
PPL_LDFLAGS=''
PPL_LIBS=''
PRIMECOUNT_CFLAGS=''
PRIMECOUNT_LIBS=''
PRIMESIEVE_CFLAGS=''
PRIMESIEVE_LIBS=''
PYTHON_FOR_VENV='/usr/bin/python3'
QHULL='/usr/bin/qhull'
R=''
READLINE_CFLAGS=''
READLINE_LIBS=''
REDCHECKGMP=''
R_CFLAGS=''
R_LIBS=''
SAGE_ARB_LIBRARY='arb'
SAGE_ARCHFLAGS='unset'
SAGE_BUILT_PACKAGES=' \
SAGE_CONFIGURE_FFLAS_FFPACK=''
SAGE_CRTI_DIR='/usr/lib/gcc/x86_64-linux-gnu/8/../../../x86_64-linux-gnu'
SAGE_CXX_WITHOUT_STD='g++'
SAGE_DEBUG=''
SAGE_DOCS='${SAGE_LOCAL}'
SAGE_DUMMY_PACKAGES=' \
SAGE_ECL_CONFIG='${prefix}/bin/ecl-config'
SAGE_EDITABLE=''
SAGE_ENABLE_4ti2='yes'
SAGE_ENABLE_awali='no'
SAGE_ENABLE_barvinok='no'
SAGE_ENABLE_benzene='no'
SAGE_ENABLE_bliss='no'
SAGE_ENABLE_buckygen='no'
SAGE_ENABLE_cbc='no'
SAGE_ENABLE_ccache='no'
SAGE_ENABLE_cocoalib='no'
SAGE_ENABLE_coxeter3='no'
SAGE_ENABLE_cryptominisat='no'
SAGE_ENABLE_csdp='no'
SAGE_ENABLE_cunningham_tables='no'
SAGE_ENABLE_d3js='no'
SAGE_ENABLE_database_cremona_ellcurve='no'
SAGE_ENABLE_database_jones_numfield='no'
SAGE_ENABLE_database_knotinfo='no'
SAGE_ENABLE_database_kohel='no'
SAGE_ENABLE_database_mutation_class='no'
SAGE_ENABLE_database_odlyzko_zeta='no'
SAGE_ENABLE_database_stein_watkins='no'
SAGE_ENABLE_database_stein_watkins_mini='no'
SAGE_ENABLE_database_symbolic_data='no'
SAGE_ENABLE_debugpy='no'
SAGE_ENABLE_deformation='no'
SAGE_ENABLE_dot2tex='no'
SAGE_ENABLE_e_antic='yes'
SAGE_ENABLE_ffmpeg='no'
SAGE_ENABLE_fricas='no'
SAGE_ENABLE_frobby='no'
SAGE_ENABLE_gambit='no'
SAGE_ENABLE_gap3='yes'
SAGE_ENABLE_gap_jupyter='no'
SAGE_ENABLE_gap_packages='no'
SAGE_ENABLE_gdb='no'
SAGE_ENABLE_git='no'
SAGE_ENABLE_glucose='no'
SAGE_ENABLE_gp2c='no'
SAGE_ENABLE_graphviz='no'
SAGE_ENABLE_igraph='no'
SAGE_ENABLE_imagemagick='no'
SAGE_ENABLE_info='no'
SAGE_ENABLE_ipympl='no'
SAGE_ENABLE_isl='no'
SAGE_ENABLE_jupymake='no'
SAGE_ENABLE_jupyter_packaging='no'
SAGE_ENABLE_jupyterlab_widgets='no'
SAGE_ENABLE_kenzo='no'
SAGE_ENABLE_latte_int='yes'
SAGE_ENABLE_libgraphviz='no'
SAGE_ENABLE_libnauty='yes'
SAGE_ENABLE_libogg='no'
SAGE_ENABLE_libsemigroups='no'
SAGE_ENABLE_libtheora='no'
SAGE_ENABLE_libxml2='no'
SAGE_ENABLE_lidia='yes'
SAGE_ENABLE_lie='no'
SAGE_ENABLE_llvm='no'
SAGE_ENABLE_lrslib='no'
SAGE_ENABLE_mathics='no'
SAGE_ENABLE_mathics_scanner='no'
SAGE_ENABLE_mcqd='no'
SAGE_ENABLE_meataxe='no'
SAGE_ENABLE_modular_decomposition='no'
SAGE_ENABLE_mpfrcx='no'
SAGE_ENABLE_ninja_build='no'
SAGE_ENABLE_nodejs='no'
SAGE_ENABLE_normaliz='yes'
SAGE_ENABLE_notedown='no'
SAGE_ENABLE_p_group_cohomology='no'
SAGE_ENABLE_palettable='no'
SAGE_ENABLE_pandoc='no'
SAGE_ENABLE_pandoc_attributes='no'
SAGE_ENABLE_pari_elldata='no'
SAGE_ENABLE_pari_galpol='no'
SAGE_ENABLE_pari_nftables='no'
SAGE_ENABLE_pari_seadata='no'
SAGE_ENABLE_pdf2svg='no'
SAGE_ENABLE_perl_cpan_polymake_prereq='no'
SAGE_ENABLE_perl_mongodb='no'
SAGE_ENABLE_perl_term_readline_gnu='no'
SAGE_ENABLE_pint='no'
SAGE_ENABLE_plantri='no'
SAGE_ENABLE_polylib='no'
SAGE_ENABLE_polymake='no'
SAGE_ENABLE_polytopes_db_4d='no'
SAGE_ENABLE_pycosat='no'
SAGE_ENABLE_pynormaliz='no'
SAGE_ENABLE_pyroaringbitmap='no'
SAGE_ENABLE_pysingular='no'
SAGE_ENABLE_python_igraph='no'
SAGE_ENABLE_qepcad='no'
SAGE_ENABLE_r_jupyter='no'
SAGE_ENABLE_rst2ipynb='no'
SAGE_ENABLE_rubiks='no'
SAGE_ENABLE_saclib='no'
SAGE_ENABLE_sage_numerical_backends_coin='no'
SAGE_ENABLE_sage_numerical_backends_cplex='no'
SAGE_ENABLE_sage_numerical_backends_gurobi='no'
SAGE_ENABLE_sage_sws2rst='no'
SAGE_ENABLE_sagemath_doc_pdf='no'
SAGE_ENABLE_scipoptsuite='no'
SAGE_ENABLE_singular_jupyter='no'
SAGE_ENABLE_sip='no'
SAGE_ENABLE_sirocco='no'
SAGE_ENABLE_speaklater='no'
SAGE_ENABLE_surf='no'
SAGE_ENABLE_symengine='no'
SAGE_ENABLE_symengine_py='no'
SAGE_ENABLE_tdlib='no'
SAGE_ENABLE_texlive='no'
SAGE_ENABLE_texttable='no'
SAGE_ENABLE_tides='no'
SAGE_ENABLE_topcom='no'
SAGE_ENABLE_valgrind='yes'
SAGE_FAT_BINARY=''
SAGE_FLINT_PREFIX='$SAGE_LOCAL'
SAGE_FREETYPE_PREFIX=''
SAGE_GCC_DEP=''
SAGE_GLPK_PREFIX='$SAGE_LOCAL'
SAGE_GMP_INCLUDE='///usr/include/x86_64-linux-gnu'
SAGE_GMP_PREFIX=''
SAGE_GSL_PC_COMMAND=''
SAGE_KENZO_FAS='${prefix}/lib/ecl/kenzo.fas'
SAGE_MAXIMA_FAS='${prefix}/lib/ecl/maxima.fas'
SAGE_MPC_PREFIX='$SAGE_LOCAL'
SAGE_MPFR_PREFIX=''
SAGE_NAUTY_BINS_PREFIX=''
SAGE_NORMAL_PACKAGES=' \
SAGE_NTL_PREFIX='$SAGE_LOCAL'
SAGE_OPENBLAS_PC_COMMAND=''
SAGE_OPTIONAL_INSTALLED_PACKAGES=' \
SAGE_OPTIONAL_UNINSTALLED_PACKAGES=''
SAGE_PACKAGE_DEPENDENCIES='
SAGE_PACKAGE_TREES='
SAGE_PACKAGE_VERSIONS='
SAGE_PARI_CFG='$SAGE_LOCAL/lib/pari/pari.cfg'
SAGE_PARI_PREFIX='$SAGE_LOCAL'
SAGE_PIP_PACKAGES=' \
SAGE_PKG_CONFIG_PATH='$SAGE_LOCAL/lib/pkgconfig'
SAGE_ROOT='/srv/public/kliem/sage'
SAGE_SCRIPT_PACKAGES=' \
SAGE_SDIST_PACKAGES=' \
SAGE_SPKG_OPTIONS=' -o'
SAGE_SUITESPARSE_PREFIX='$SAGE_LOCAL'
SAGE_SYSTEM_FACADE_PC_FILES=''
SAGE_TOOLCHAIN='gcc'
SAGE_VENV='${SAGE_LOCAL}/var/lib/sage/venv-python3.7'
SCDD=''
SED='/usr/bin/sed'
SET_MAKE=''
SHELL='/bin/bash'
SHLIBEXT='so'
SINGULAR_BIN=''
SINGULAR_CFLAGS=''
SINGULAR_LIBS=''
SINGULAR_LIB_DIR=''
STRIP=''
SYMPOW=''
TACHYON=''
TWOPI='twopi'
VERSION='9.5.rc0'
XML2_CONFIG='/usr/bin/xml2-config'
ZMQ_CPPFLAGS=''
ZMQ_LDFLAGS=''
ZMQ_LIBS=''
_libcurl_config=''
ac_ct_CC='gcc'
ac_ct_CXX='g++'
ac_ct_FC='gfortran'
ac_ct_OBJC='gcc'
ac_ct_OBJCXX='g++'
ac_path_PYTHON3='/usr/bin/python3'
am__EXEEXT_FALSE=''
am__EXEEXT_TRUE='#'
am__fastdepCC_FALSE=''
am__fastdepCC_TRUE='#'
am__fastdepCXX_FALSE=''
am__fastdepCXX_TRUE='#'
am__fastdepOBJCXX_FALSE=''
am__fastdepOBJCXX_TRUE='#'
am__fastdepOBJC_FALSE=''
am__fastdepOBJC_TRUE='#'
am__include='include'
am__isrc=''
am__leading_dot='.'
am__nodep='_no'
am__quote=''
am__tar='$${TAR-tar} chof - "$$tardir"'
am__untar='$${TAR-tar} xf -'
bindir='${exec_prefix}/bin'
build='x86_64-pc-linux-gnu'
build_alias=''
build_cpu='x86_64'
build_os='linux-gnu'
build_vendor='pc'
bzip2_prog='/usr/bin/bzip2'
datadir='${datarootdir}'
datarootdir='${prefix}/share'
deps_4ti2 = zlib $(MP_LIBRARY) glpk
deps__bootstrap =
deps__prereq =
deps__recommended =
deps_admcycles = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_alabaster = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_appdirs = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_appnope = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_arb = $(MP_LIBRARY) mpfr flint
deps_argcomplete = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_argon2_cffi = $(PYTHON) six | $(PYTHON_TOOLCHAIN) cffi
deps_attrs = $(PYTHON) vcversioner | $(PYTHON_TOOLCHAIN)
deps_awali = $(PYTHON) cmake cython nbconvert ncurses
deps_babel = $(PYTHON) | $(PYTHON_TOOLCHAIN) pytz
deps_backcall = $(PYTHON) | $(PYTHON_TOOLCHAIN) flit_core tomli
deps_barvinok = ntl isl polylib
deps_beautifulsoup4 = | pip
deps_beniget = $(PYTHON) gast | $(PYTHON_TOOLCHAIN)
deps_benzene =
deps_biopython = | pip
deps_bleach = $(PYTHON) packaging six | $(PYTHON_TOOLCHAIN)
deps_bliss =
deps_boost_cropped =
deps_brial = boost_cropped m4ri libpng | pkgconf
deps_buckygen =
deps_bzip2 = | pkgconf
deps_cbc = readline zlib bzip2 $(BLAS)
deps_ccache = zlib
deps_cddlib = $(MP_LIBRARY)
deps_certifi = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_cffi = $(PYTHON) | $(PYTHON_TOOLCHAIN) pycparser
deps_charset_normalizer = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_cliquer =
deps_cmake = curl zlib bzip2 liblzma
deps_cocoalib = $(MP_LIBRARY)
deps_combinatorial_designs =
deps_configure =
deps_conway_polynomials = $(PYTHON)
deps_coxeter3 =
deps_cppy = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_cryptominisat = $(PYTHON) m4ri zlib libpng | cmake boost_cropped
deps_csdp = $(BLAS)
deps_cunningham_tables =
deps_curl =
deps_cvxopt = $(PYTHON) numpy $(BLAS) gsl glpk suitesparse | $(PYTHON_TOOLCHAIN) pkgconfig matplotlib $(and $(filter-out no,$(SAGE_CHECK_cvxopt)), pytest)
deps_cycler = $(PYTHON) six | $(PYTHON_TOOLCHAIN)
deps_cypari = $(PYTHON) cython pari cysignals | $(PYTHON_TOOLCHAIN)
deps_cysignals = $(PYTHON) cython pari | $(PYTHON_TOOLCHAIN)
deps_cython = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_d3js =
deps_database_cremona_ellcurve =
deps_database_jones_numfield =
deps_database_knotinfo = $(PYTHON) | $(PYTHON_TOOLCHAIN) $(and $(filter-out no,$(SAGE_CHECK_database_knotinfo)), $(SAGERUNTIME) ipywidgets sympy singular gap libhomfly libbraiding matplotlib)
deps_database_kohel =
deps_database_mutation_class =
deps_database_odlyzko_zeta = | $(SAGERUNTIME)
deps_database_stein_watkins =
deps_database_stein_watkins_mini =
deps_database_symbolic_data =
deps_dateutil = $(PYTHON) six | $(PYTHON_TOOLCHAIN)
deps_debugpy = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_decorator = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_deformation = $(MP_LIBRARY) mpfr flint
deps_defusedxml = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_distlib = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_docutils = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_dot2tex = $(PYTHON) | $(PYTHON_TOOLCHAIN) pyparsing
deps_e_antic = $(MP_LIBRARY) flint arb
deps_ecl = $(MP_LIBRARY) readline gc libffi
deps_eclib = pari ntl flint
deps_ecm = $(MP_LIBRARY)
deps_elliptic_curves = | $(PYTHON)
deps_entrypoints = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_fflas_ffpack = $(MP_LIBRARY) givaro gsl $(BLAS) | pkgconf
deps_ffmpeg =
deps_filelock = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_flint = $(MP_LIBRARY) mpfr ntl
deps_flintqs = $(MP_LIBRARY)
deps_flit_core = $(PYTHON) | pip
deps_fonttools = $(PYTHON) | $(PYTHON_TOOLCHAIN) cython
deps_fplll = $(MP_LIBRARY) mpfr
deps_fpylll = $(PYTHON) cython cysignals numpy fplll
deps_freetype = libpng bzip2
deps_fricas = ecl
deps_frobby = $(MP_LIBRARY)
deps_gambit = cython | $(PYTHON_TOOLCHAIN)
deps_gap = ncurses readline zlib $(MP_LIBRARY)
deps_gap3 =
deps_gap_jupyter = $(PYTHON) | $(PYTHON_TOOLCHAIN) ipython gap
deps_gap_packages = gap libsemigroups planarity | $(SAGERUNTIME)
deps_gast = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_gc = libatomic_ops
deps_gcc = | $(MP_LIBRARY) mpfr mpc zlib xz
deps_gdb = mpfr zlib ncurses $(PYTHON) xz
deps_gengetopt = | xz
deps_gf2x =
deps_gfan = $(MP_LIBRARY) cddlib
deps_gfortran = | $(MP_LIBRARY) mpfr mpc zlib xz
deps_giac = readline libpng $(MP_LIBRARY) mpfr mpfi ntl gsl pari glpk curl
deps_git =
deps_givaro = $(MP_LIBRARY)
deps_glpk = $(MP_LIBRARY) zlib
deps_glucose = zlib
deps_gmp = xz
deps_gmpy2 = $(PYTHON) $(MP_LIBRARY) mpfr mpc | $(PYTHON_TOOLCHAIN)
deps_gp2c = pari
deps_graphs =
deps_graphviz =
deps_gsl = $(BLAS) | pkgconf
deps_html5lib = $(PYTHON) webencodings | $(PYTHON_TOOLCHAIN)
deps_iconv =
deps_idna = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_igraph = $(MP_LIBRARY) glpk $(BLAS) libxml2
deps_imagemagick =
deps_imagesize = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_iml = $(MP_LIBRARY) $(BLAS) | pkgconf
deps_importlib_metadata = $(PYTHON) zipp typing_extensions | $(PYTHON_TOOLCHAIN) tomli
deps_importlib_resources = $(PYTHON) zipp | $(PYTHON_TOOLCHAIN)
deps_info = ncurses | xz
deps_ipykernel = $(PYTHON) ipython_genutils importlib_metadata argcomplete matplotlib_inline ipython jupyter_client tornado appnope traitlets | $(PYTHON_TOOLCHAIN)
deps_ipympl = $(PYTHON) | $(PYTHON_TOOLCHAIN) ipywidgets matplotlib ipykernel jupyter_packaging $(findstring jupyterlab,$(OPTIONAL_INSTALLED_PACKAGES))
deps_ipython = $(PYTHON) jinja2 tornado pyzmq pickleshare simplegeneric traitlets | $(PYTHON_TOOLCHAIN) wcwidth prompt_toolkit pygments pexpect appnope backcall jedi
deps_ipython_genutils = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_ipywidgets = $(PYTHON) widgetsnbextension | $(PYTHON_TOOLCHAIN) ipykernel ipython traitlets
deps_isl = $(MP_LIBRARY)
deps_jedi = $(PYTHON) parso | $(PYTHON_TOOLCHAIN)
deps_jinja2 = $(PYTHON) markupsafe docutils | $(PYTHON_TOOLCHAIN)
deps_jmol =
deps_jsonschema = $(PYTHON) vcversioner attrs importlib_metadata pyrsistent | $(PYTHON_TOOLCHAIN)
deps_jupymake = $(PYTHON) polymake | $(PYTHON_TOOLCHAIN)
deps_jupyter_client = $(PYTHON) jupyter_core | $(PYTHON_TOOLCHAIN) pyzmq dateutil nest_asyncio tornado traitlets entrypoints
deps_jupyter_core = $(PYTHON) | $(PYTHON_TOOLCHAIN) traitlets
deps_jupyter_jsmol = ipywidgets $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_jupyter_packaging = $(PYTHON) packaging | $(PYTHON_TOOLCHAIN)
deps_jupyterlab = $(PYTHON) vcversioner jupyter_core jupyter_client | $(PYTHON_TOOLCHAIN)
deps_jupyterlab_pygments = $(PYTHON) pygments | $(PYTHON_TOOLCHAIN)
deps_jupyterlab_widgets = jupyterlab nodejs tornado
deps_kenzo = ecl
deps_kiwisolver = $(PYTHON) cppy | $(PYTHON_TOOLCHAIN)
deps_latte_int = $(MP_LIBRARY) ntl 4ti2 cddlib lidia $(findstring lrslib,$(OPTIONAL_INSTALLED_PACKAGES))
deps_lcalc = pari | gengetopt
deps_libatomic_ops =
deps_libbraiding =
deps_libffi =
deps_libgd = libpng freetype xz
deps_libgraphviz =
deps_libhomfly = gc
deps_liblzma = $(SAGE_LOCAL)/$(SPKG_INST_RELDIR)/xz-$(vers_xz)
deps_libnauty = $(SAGE_LOCAL)/$(SPKG_INST_RELDIR)/nauty-$(vers_nauty)
deps_libogg =
deps_libpng = zlib
deps_libsemigroups =
deps_libtheora = libogg libpng
deps_libxml2 = iconv zlib
deps_lidia = $(MP_LIBRARY)
deps_lie = readline ncurses
deps_linbox = $(MP_LIBRARY) ntl givaro mpfr fplll iml flint fflas_ffpack
deps_llvm =
deps_lrcalc =
deps_lrslib = $(MP_LIBRARY)
deps_m4ri = libpng
deps_m4rie = m4ri
deps_markupsafe = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_mathics = $(PYTHON) | $(PYTHON_TOOLCHAIN) pint palettable mathics_scanner $(and $(filter-out no,$(SAGE_CHECK_mathics)), $(SAGERUNTIME) ipywidgets importlib_metadata sympy mpmath matplotlib)
deps_mathics_scanner = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_mathjax =
deps_matplotlib = $(PYTHON) numpy freetype pillow dateutil pyparsing tornado six cycler qhull fonttools | $(PYTHON_TOOLCHAIN) pytz kiwisolver certifi setuptools_scm_git_archive
deps_matplotlib_inline = $(PYTHON) traitlets | $(PYTHON_TOOLCHAIN)
deps_maxima = ecl
deps_mcqd =
deps_meataxe =
deps_memory_allocator = $(PYTHON) cython | $(PYTHON_TOOLCHAIN)
deps_mistune = $(PYTHON) cython | $(PYTHON_TOOLCHAIN)
deps_modular_decomposition =
deps_mpc = $(MP_LIBRARY) mpfr
deps_mpfi = $(MP_LIBRARY) mpfr
deps_mpfr = $(MP_LIBRARY)
deps_mpfrcx = $(MP_LIBRARY) mpfr mpc
deps_mpmath = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_nauty =
deps_nbclient = $(PYTHON) jupyter_client | $(PYTHON_TOOLCHAIN)
deps_nbconvert = $(PYTHON)  mistune jinja2 pygments traitlets jupyter_core nbformat entrypoints bleach pandocfilters testpath defusedxml jupyter_client jupyterlab_pygments nbclient | $(PYTHON_TOOLCHAIN)
deps_nbformat = $(PYTHON) | $(PYTHON_TOOLCHAIN) jsonschema
deps_ncurses =
deps_nest_asyncio = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_networkx = $(PYTHON) decorator | $(PYTHON_TOOLCHAIN) scipy $(and $(filter-out no,$(SAGE_CHECK_networkx)), pytest)
deps_nibabel = | pip
deps_ninja_build = | $(PYTHON)
deps_nodeenv = $(PYTHON) | $(PYTHON_TOOLCHAIN) certifi
deps_nodejs = nodeenv
deps_normaliz = $(MP_LIBRARY) flint e_antic libnauty
deps_notebook = $(PYTHON) | $(PYTHON_TOOLCHAIN) ipython jupyter_client ipykernel nbconvert nbformat jinja2 tornado terminado send2trash prometheus_client argon2_cffi
deps_notedown = $(PYTHON) $(PYTHON_TOOLCHAIN) | pip nbformat nbconvert six pandoc_attributes
deps_ntl = $(MP_LIBRARY) gf2x
deps_numpy = $(PYTHON) $(BLAS) gfortran | $(PYTHON_TOOLCHAIN) pkgconfig cython
deps_openblas = gfortran | $(PYTHON)
deps_openssl =
deps_ore_algebra = $(PYTHON) | $(PYTHON_TOOLCHAIN) $(SAGERUNTIME)
deps_p_group_cohomology = $(PYTHON) cython cysignals singular meataxe $(SAGE_SRC)/sage/matrix/matrix_gfpn_dense.pxd $(SAGE_SRC)/sage/structure/element.pxd $(SAGE_SRC)/sage/matrix/matrix_gfpn_dense.pxd $(SAGE_SRC)/sage/matrix/matrix0.pxd $(SAGE_SRC)/sage/libs/meataxe.pxd $(SAGE_SRC)/sage/rings/morphism.pxd | $(PYTHON_TOOLCHAIN) matplotlib gap xz $(SAGERUNTIME) ipywidgets
deps_packaging = $(PYTHON) | setuptools pip wheel pyparsing setuptools_wheel
deps_palettable = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_palp =
deps_pandoc =
deps_pandoc_attributes = $(PYTHON) $(PYTHON_TOOLCHAIN) | pip pandocfilters
deps_pandocfilters = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_pari = readline $(MP_LIBRARY) | pari_galdata pari_seadata_small
deps_pari_elldata =
deps_pari_galdata =
deps_pari_galpol =
deps_pari_nftables =
deps_pari_seadata =
deps_pari_seadata_small =
deps_parso = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_patch =
deps_pcre = bzip2
deps_pdf2svg =
deps_perl_cpan_polymake_prereq =
deps_perl_mongodb =
deps_perl_term_readline_gnu = readline
deps_pexpect = $(PYTHON) ptyprocess | $(PYTHON_TOOLCHAIN)
deps_pickleshare = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_pillow = $(PYTHON) zlib freetype | $(PYTHON_TOOLCHAIN) pkgconf
deps_pint = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_pip = $(PYTHON) setuptools wheel
deps_pkgconf = | patch
deps_pkgconfig = $(PYTHON) | $(PYTHON_TOOLCHAIN) pkgconf
deps_planarity =
deps_plantri =
deps_pluggy = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_ply = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_polylib = $(MP_LIBRARY) mpfr ntl
deps_polymake = $(MP_LIBRARY) bliss cddlib $(findstring lrslib,$(OPTIONAL_INSTALLED_PACKAGES)) normaliz perl_term_readline_gnu ppl perl_cpan_polymake_prereq libxml2 | ninja_build
deps_polytopes_db =
deps_polytopes_db_4d =
deps_ppl = $(MP_LIBRARY) glpk
deps_pplpy = $(PYTHON) $(MP_LIBRARY) gmpy2 cysignals mpfr mpc ppl | $(PYTHON_TOOLCHAIN)
deps_pplpy_doc = pplpy | sphinx
deps_primecount = primesieve | cmake
deps_primecountpy = $(PYTHON) primecount cysignals | $(PYTHON_TOOLCHAIN) cython
deps_primesieve = | cmake
deps_prometheus_client = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_prompt_toolkit = $(PYTHON) six wcwidth | $(PYTHON_TOOLCHAIN)
deps_ptyprocess = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_py = $(PYTHON) | $(PYTHON_TOOLCHAIN) setuptools_scm
deps_pybind11 = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_pybtex = | pip
deps_pycosat = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_pycparser = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_pycygwin = $(PYTHON) cython | $(PYTHON_TOOLCHAIN)
deps_pyflakes = | pip
deps_pygments = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_pygraphviz = $(PYTHON) libgraphviz | $(PYTHON_TOOLCHAIN)
deps_pynormaliz = $(PYTHON) normaliz | $(PYTHON_TOOLCHAIN)
deps_pyparsing = $(PYTHON) | setuptools pip wheel
deps_pyroaringbitmap = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_pyrsistent = $(PYTHON) vcversioner | $(PYTHON_TOOLCHAIN)
deps_pysingular = $(PYTHON) singular | $(PYTHON_TOOLCHAIN)
deps_pytest = $(PYTHON) pluggy packaging attrs py pyparsing importlib_metadata | $(PYTHON_TOOLCHAIN)
deps_python3 = zlib readline sqlite libpng bzip2 liblzma xz libffi openssl
deps_python_igraph = igraph texttable $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_pythran = $(PYTHON) beniget gast ply numpy | $(PYTHON_TOOLCHAIN)
deps_pytz = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_pyx = | pip
deps_pyzmq = $(PYTHON) cython zeromq | $(PYTHON_TOOLCHAIN)
deps_qepcad = readline saclib
deps_qhull = | cmake
deps_r = $(BLAS) gfortran iconv readline bzip2 liblzma pcre curl | pkgconf
deps_r_jupyter = notebook r
deps_ratpoints = $(MP_LIBRARY)
deps_readline = ncurses
deps_requests = $(PYTHON) | $(PYTHON_TOOLCHAIN) idna urllib3 certifi charset_normalizer
deps_rpy2 = $(PYTHON) r cffi tzlocal pytz | $(PYTHON_TOOLCHAIN) pycparser $(and $(filter-out no,$(SAGE_CHECK_rpy2)), pytest numpy ipython)
deps_rst2ipynb = $(PYTHON) pandoc | $(PYTHON_TOOLCHAIN) notedown
deps_rubiks =
deps_rw =
deps_saclib =
deps_sage_conf = $(PYTHON) $(SAGE_ROOT)/pkgs/sage-conf/sage_conf.py $(SAGE_ROOT)/pkgs/sage-conf/setup.cfg $(SAGE_ROOT)/pkgs/sage-conf/bin/sage-env-config | $(PYTHON_TOOLCHAIN)
deps_sage_docbuild = $(PYTHON) sphinx $(SAGE_ROOT)/pkgs/sage-docbuild/sage_docbuild/*.py $(SAGE_ROOT)/pkgs/sage-docbuild/sage_docbuild/ext/*.py | $(PYTHON_TOOLCHAIN) sagelib
deps_sage_flatsurf = $(PYTHON) | $(PYTHON_TOOLCHAIN) surface_dynamics
deps_sage_numerical_backends_coin = cbc cysignals $(SAGE_SRC)/sage/numerical/backends/generic_backend.pxd $(SAGE_SRC)/sage/cpython/string.pxd $(SAGE_SRC)/sage/cpython/string_impl.h | $(SAGERUNTIME) $(PYTHON_TOOLCHAIN) cython ipywidgets
deps_sage_numerical_backends_cplex = cysignals $(SAGE_SRC)/sage/numerical/backends/generic_backend.pxd $(SAGE_SRC)/sage/cpython/string.pxd $(SAGE_SRC)/sage/cpython/string_impl.h | $(SAGERUNTIME) $(PYTHON_TOOLCHAIN) cython ipywidgets
deps_sage_numerical_backends_gurobi = cysignals $(SAGE_SRC)/sage/numerical/backends/generic_backend.pxd $(SAGE_SRC)/sage/cpython/string.pxd $(SAGE_SRC)/sage/cpython/string_impl.h | $(SAGERUNTIME) $(PYTHON_TOOLCHAIN) cython ipywidgets
deps_sage_setup = $(PYTHON) cython pkgconfig $(SAGE_ROOT)/pkgs/sage-setup/sage_setup/autogen/interpreters/specs/*.py | $(PYTHON_TOOLCHAIN)
deps_sage_sws2rst = $(PYTHON) beautifulsoup4 $(SAGE_ROOT)/pkgs/sage-sws2rst/*.py | $(PYTHON_TOOLCHAIN) $(and $(filter-out no,$(SAGE_CHECK_sage_sws2rst)), tox)
deps_sagelib = FORCE $(SCRIPTS) arb boost_cropped $(BLAS) brial cliquer cypari cysignals cython ecl eclib ecm flint libgd gap giac givaro glpk gmpy2 gsl iml jinja2 jupyter_core lcalc lrcalc libbraiding libhomfly libpng linbox m4ri m4rie memory_allocator mpc mpfi mpfr $(MP_LIBRARY) ntl numpy pari pip pkgconfig planarity ppl pplpy primesieve primecount primecountpy pycygwin $(PYTHON) ratpoints requests rw sage_conf singular symmetrica zn_poly $(PCFILES) | $(PYTHON_TOOLCHAIN) sage_setup
deps_sagemath_doc_html = sagelib sphinx pplpy_doc | $(SAGERUNTIME) maxima networkx scipy sympy matplotlib pillow mathjax mpmath ipykernel jupyter_client conway_polynomials tachyon jmol thebe ipywidgets sage_docbuild
deps_sagemath_doc_pdf = sagemath_doc_html
deps_sagenb_export = $(PYTHON) notebook nbconvert ipython six | $(PYTHON_TOOLCHAIN)
deps_sagetex = $(PYTHON) maxima scipy matplotlib pillow tachyon | $(and $(filter-out no,$(SAGE_CHECK_sagetex)), $(SAGERUNTIME) sympy elliptic_curves jmol)
deps_scipoptsuite = $(MP_LIBRARY) bliss readline | cmake
deps_scipy = $(PYTHON) $(BLAS) gfortran numpy pybind11 pythran | $(PYTHON_TOOLCHAIN)
deps_send2trash = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_setuptools = $(PYTHON)
deps_setuptools_scm = $(PYTHON) | setuptools pip wheel tomli packaging
deps_setuptools_scm_git_archive = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_setuptools_wheel = $(PYTHON) setuptools wheel
deps_simplegeneric = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_singular = $(MP_LIBRARY) ntl flint readline mpfr cddlib
deps_singular_jupyter = $(PYTHON) jupyter_client | $(PYTHON_TOOLCHAIN) pysingular ipython ipywidgets
deps_sip = $(PYTHON)
deps_sirocco =
deps_six = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_slabbe = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_snappy = $(PYTHON) decorator ipython cypari | $(PYTHON_TOOLCHAIN) sagelib
deps_snowballstemmer = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_speaklater = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_sphinx = $(PYTHON) | $(PYTHON_TOOLCHAIN) docutils jinja2 pygments six snowballstemmer imagesize babel alabaster requests sphinxcontrib_websupport sphinxcontrib_applehelp sphinxcontrib_devhelp sphinxcontrib_htmlhelp sphinxcontrib_jsmath sphinxcontrib_qthelp sphinxcontrib_serializinghtml packaging
deps_sphinxcontrib_applehelp = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_sphinxcontrib_devhelp = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_sphinxcontrib_htmlhelp = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_sphinxcontrib_jsmath = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_sphinxcontrib_qthelp = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_sphinxcontrib_serializinghtml = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_sphinxcontrib_websupport = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_sqlalchemy = | pip
deps_sqlite = readline
deps_suitesparse = $(BLAS) gfortran mpfr $(MP_LIBRARY)
deps_surf = $(MP_LIBRARY)
deps_surface_dynamics = $(PYTHON) cysignals pplpy $(SAGE_SRC)/sage/rings/integer.pxd $(SAGE_SRC)/sage/ext/stdsage.pxd | $(PYTHON_TOOLCHAIN) $(SAGERUNTIME)
deps_symengine = $(MP_LIBRARY) arb ecm flint mpc mpfr | cmake
deps_symengine_py = symengine $(PYTHON) | cmake cython $(PYTHON_TOOLCHAIN) $(and $(filter-out no,$(SAGE_CHECK_symengine_py)), pytest)
deps_symmetrica = xz
deps_sympow = | pari
deps_sympy = $(PYTHON) mpmath | $(PYTHON_TOOLCHAIN)
deps_tachyon = libpng
deps_tdlib =
deps_terminado = $(PYTHON) | $(PYTHON_TOOLCHAIN) ptyprocess tornado
deps_testpath = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_texlive =
deps_texttable = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_thebe =
deps_threejs =
deps_tides = $(MP_LIBRARY) mpfr
deps_toml = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_tomli = $(PYTHON) | pip flit_core
deps_topcom = cddlib
deps_tornado = $(PYTHON) certifi | $(PYTHON_TOOLCHAIN)
deps_tox = $(PYTHON) packaging six filelock pluggy py toml virtualenv importlib_metadata | $(PYTHON_TOOLCHAIN)
deps_traitlets = $(PYTHON) | $(PYTHON_TOOLCHAIN) ipython_genutils decorator six
deps_typing_extensions = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_tzlocal = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_urllib3 = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_valgrind =
deps_vcversioner = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_virtualenv = $(PYTHON) appdirs distlib filelock six importlib_metadata importlib_resources | $(PYTHON_TOOLCHAIN)
deps_wcwidth = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_webencodings = $(PYTHON) | $(PYTHON_TOOLCHAIN)
deps_wheel = $(PYTHON) setuptools
deps_widgetsnbextension = $(PYTHON) | $(PYTHON_TOOLCHAIN) jupyter_core
deps_xz =
deps_zeromq =
deps_zipp = $(PYTHON) vcversioner | $(PYTHON_TOOLCHAIN)
deps_zlib =
deps_zn_poly = $(MP_LIBRARY)'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='${prefix}'
fooconverseg=''
foodirectg=''
foogenbg=''
foogeng=''
foogentourng=''
found_ar='yes'
found_latex='yes'
found_m4='yes'
found_ranlib='yes'
found_strip='yes'
host='x86_64-pc-linux-gnu'
host_alias=''
host_cpu='x86_64'
host_os='linux-gnu'
host_vendor='pc'
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='${SHELL} /home/mi/kliem/localhome/sage/config/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='${datarootdir}/man'
mkdir_p='$(MKDIR_P)'
nauconverseg=''
naudirectg=''
naugenbg=''
naugeng=''
naugentourng=''
ntl_includedir=''
ntl_libdir=''
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/srv/public/kliem/sage/local'
program_transform_name='s,x,x,'
psdir='${docdir}'
runstatedir='${localstatedir}/run'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''
trees_4ti2 = SAGE_LOCAL
trees__bootstrap = SAGE_LOCAL
trees__prereq = SAGE_LOCAL
trees__recommended = SAGE_LOCAL
trees_admcycles = SAGE_VENV
trees_alabaster = SAGE_VENV
trees_appdirs = SAGE_VENV
trees_appnope = SAGE_VENV
trees_arb = SAGE_LOCAL
trees_argcomplete = SAGE_VENV
trees_argon2_cffi = SAGE_VENV
trees_attrs = SAGE_VENV
trees_awali = SAGE_LOCAL
trees_babel = SAGE_VENV
trees_backcall = SAGE_VENV
trees_barvinok = SAGE_LOCAL
trees_beautifulsoup4 = SAGE_VENV
trees_beniget = SAGE_VENV
trees_benzene = SAGE_LOCAL
trees_biopython = SAGE_VENV
trees_bleach = SAGE_VENV
trees_bliss = SAGE_LOCAL
trees_boost_cropped = SAGE_LOCAL
trees_brial = SAGE_LOCAL
trees_buckygen = SAGE_LOCAL
trees_bzip2 = SAGE_LOCAL
trees_cbc = SAGE_LOCAL
trees_ccache = SAGE_LOCAL
trees_cddlib = SAGE_LOCAL
trees_certifi = SAGE_VENV
trees_cffi = SAGE_VENV
trees_charset_normalizer = SAGE_VENV
trees_cliquer = SAGE_LOCAL
trees_cmake = SAGE_LOCAL
trees_cocoalib = SAGE_LOCAL
trees_combinatorial_designs = SAGE_LOCAL
trees_configure = SAGE_LOCAL
trees_conway_polynomials = SAGE_LOCAL
trees_coxeter3 = SAGE_LOCAL
trees_cppy = SAGE_VENV
trees_cryptominisat = SAGE_LOCAL
trees_csdp = SAGE_LOCAL
trees_cunningham_tables = SAGE_LOCAL
trees_curl = SAGE_LOCAL
trees_cvxopt = SAGE_VENV
trees_cycler = SAGE_VENV
trees_cypari = SAGE_VENV
trees_cysignals = SAGE_VENV
trees_cython = SAGE_VENV
trees_d3js = SAGE_LOCAL
trees_database_cremona_ellcurve = SAGE_LOCAL
trees_database_jones_numfield = SAGE_LOCAL
trees_database_knotinfo = SAGE_VENV
trees_database_kohel = SAGE_LOCAL
trees_database_mutation_class = SAGE_LOCAL
trees_database_odlyzko_zeta = SAGE_LOCAL
trees_database_stein_watkins = SAGE_LOCAL
trees_database_stein_watkins_mini = SAGE_LOCAL
trees_database_symbolic_data = SAGE_LOCAL
trees_dateutil = SAGE_VENV
trees_debugpy = SAGE_VENV
trees_decorator = SAGE_VENV
trees_deformation = SAGE_LOCAL
trees_defusedxml = SAGE_VENV
trees_distlib = SAGE_VENV
trees_docutils = SAGE_VENV
trees_dot2tex = SAGE_VENV
trees_e_antic = SAGE_LOCAL
trees_ecl = SAGE_LOCAL
trees_eclib = SAGE_LOCAL
trees_ecm = SAGE_LOCAL
trees_elliptic_curves = SAGE_LOCAL
trees_entrypoints = SAGE_VENV
trees_fflas_ffpack = SAGE_LOCAL
trees_ffmpeg = SAGE_LOCAL
trees_filelock = SAGE_VENV
trees_flint = SAGE_LOCAL
trees_flintqs = SAGE_LOCAL
trees_flit_core = SAGE_VENV
trees_fonttools = SAGE_VENV
trees_fplll = SAGE_LOCAL
trees_fpylll = SAGE_VENV
trees_freetype = SAGE_LOCAL
trees_fricas = SAGE_LOCAL
trees_frobby = SAGE_LOCAL
trees_gambit = SAGE_LOCAL
trees_gap = SAGE_LOCAL
trees_gap3 = SAGE_LOCAL
trees_gap_jupyter = SAGE_VENV
trees_gap_packages = SAGE_LOCAL
trees_gast = SAGE_VENV
trees_gc = SAGE_LOCAL
trees_gcc = SAGE_LOCAL
trees_gdb = SAGE_LOCAL
trees_gengetopt = SAGE_LOCAL
trees_gf2x = SAGE_LOCAL
trees_gfan = SAGE_LOCAL
trees_gfortran = SAGE_LOCAL
trees_giac = SAGE_LOCAL
trees_git = SAGE_LOCAL
trees_givaro = SAGE_LOCAL
trees_glpk = SAGE_LOCAL
trees_glucose = SAGE_LOCAL
trees_gmp = SAGE_LOCAL
trees_gmpy2 = SAGE_VENV
trees_gp2c = SAGE_LOCAL
trees_graphs = SAGE_LOCAL
trees_graphviz = SAGE_LOCAL
trees_gsl = SAGE_LOCAL
trees_html5lib = SAGE_VENV
trees_iconv = SAGE_LOCAL
trees_idna = SAGE_VENV
trees_igraph = SAGE_LOCAL
trees_imagemagick = SAGE_LOCAL
trees_imagesize = SAGE_VENV
trees_iml = SAGE_LOCAL
trees_importlib_metadata = SAGE_VENV
trees_importlib_resources = SAGE_VENV
trees_info = SAGE_LOCAL
trees_ipykernel = SAGE_VENV
trees_ipympl = SAGE_VENV
trees_ipython = SAGE_VENV
trees_ipython_genutils = SAGE_VENV
trees_ipywidgets = SAGE_VENV
trees_isl = SAGE_LOCAL
trees_jedi = SAGE_VENV
trees_jinja2 = SAGE_VENV
trees_jmol = SAGE_LOCAL
trees_jsonschema = SAGE_VENV
trees_jupymake = SAGE_VENV
trees_jupyter_client = SAGE_VENV
trees_jupyter_core = SAGE_VENV
trees_jupyter_jsmol = SAGE_VENV
trees_jupyter_packaging = SAGE_VENV
trees_jupyterlab = SAGE_VENV
trees_jupyterlab_pygments = SAGE_VENV
trees_jupyterlab_widgets = SAGE_LOCAL
trees_kenzo = SAGE_LOCAL
trees_kiwisolver = SAGE_VENV
trees_latte_int = SAGE_LOCAL
trees_lcalc = SAGE_LOCAL
trees_libatomic_ops = SAGE_LOCAL
trees_libbraiding = SAGE_LOCAL
trees_libffi = SAGE_LOCAL
trees_libgd = SAGE_LOCAL
trees_libgraphviz = SAGE_LOCAL
trees_libhomfly = SAGE_LOCAL
trees_liblzma = SAGE_LOCAL
trees_libnauty = SAGE_LOCAL
trees_libogg = SAGE_LOCAL
trees_libpng = SAGE_LOCAL
trees_libsemigroups = SAGE_LOCAL
trees_libtheora = SAGE_LOCAL
trees_libxml2 = SAGE_LOCAL
trees_lidia = SAGE_LOCAL
trees_lie = SAGE_LOCAL
trees_linbox = SAGE_LOCAL
trees_llvm = SAGE_LOCAL
trees_lrcalc = SAGE_LOCAL
trees_lrslib = SAGE_LOCAL
trees_m4ri = SAGE_LOCAL
trees_m4rie = SAGE_LOCAL
trees_markupsafe = SAGE_VENV
trees_mathics = SAGE_VENV
trees_mathics_scanner = SAGE_VENV
trees_mathjax = SAGE_LOCAL
trees_matplotlib = SAGE_VENV
trees_matplotlib_inline = SAGE_VENV
trees_maxima = SAGE_LOCAL
trees_mcqd = SAGE_LOCAL
trees_meataxe = SAGE_LOCAL
trees_memory_allocator = SAGE_VENV
trees_mistune = SAGE_VENV
trees_modular_decomposition = SAGE_LOCAL
trees_mpc = SAGE_LOCAL
trees_mpfi = SAGE_LOCAL
trees_mpfr = SAGE_LOCAL
trees_mpfrcx = SAGE_LOCAL
trees_mpmath = SAGE_VENV
trees_nauty = SAGE_LOCAL
trees_nbclient = SAGE_VENV
trees_nbconvert = SAGE_VENV
trees_nbformat = SAGE_VENV
trees_ncurses = SAGE_LOCAL
trees_nest_asyncio = SAGE_VENV
trees_networkx = SAGE_VENV
trees_nibabel = SAGE_VENV
trees_ninja_build = SAGE_LOCAL
trees_nodeenv = SAGE_VENV
trees_nodejs = SAGE_LOCAL
trees_normaliz = SAGE_LOCAL
trees_notebook = SAGE_VENV
trees_notedown = SAGE_VENV
trees_ntl = SAGE_LOCAL
trees_numpy = SAGE_VENV
trees_openblas = SAGE_LOCAL
trees_openssl = SAGE_LOCAL
trees_ore_algebra = SAGE_VENV
trees_p_group_cohomology = SAGE_VENV
trees_packaging = SAGE_VENV
trees_palettable = SAGE_VENV
trees_palp = SAGE_LOCAL
trees_pandoc = SAGE_LOCAL
trees_pandoc_attributes = SAGE_VENV
trees_pandocfilters = SAGE_VENV
trees_pari = SAGE_LOCAL
trees_pari_elldata = SAGE_LOCAL
trees_pari_galdata = SAGE_LOCAL
trees_pari_galpol = SAGE_LOCAL
trees_pari_nftables = SAGE_LOCAL
trees_pari_seadata = SAGE_LOCAL
trees_pari_seadata_small = SAGE_LOCAL
trees_parso = SAGE_VENV
trees_patch = SAGE_LOCAL
trees_pcre = SAGE_LOCAL
trees_pdf2svg = SAGE_LOCAL
trees_perl_cpan_polymake_prereq = SAGE_LOCAL
trees_perl_mongodb = SAGE_LOCAL
trees_perl_term_readline_gnu = SAGE_LOCAL
trees_pexpect = SAGE_VENV
trees_pickleshare = SAGE_VENV
trees_pillow = SAGE_VENV
trees_pint = SAGE_VENV
trees_pip = SAGE_VENV
trees_pkgconf = SAGE_LOCAL
trees_pkgconfig = SAGE_VENV
trees_planarity = SAGE_LOCAL
trees_plantri = SAGE_LOCAL
trees_pluggy = SAGE_VENV
trees_ply = SAGE_VENV
trees_polylib = SAGE_LOCAL
trees_polymake = SAGE_LOCAL
trees_polytopes_db = SAGE_LOCAL
trees_polytopes_db_4d = SAGE_LOCAL
trees_ppl = SAGE_LOCAL
trees_pplpy = SAGE_VENV
trees_pplpy_doc = SAGE_DOCS
trees_primecount = SAGE_LOCAL
trees_primecountpy = SAGE_VENV
trees_primesieve = SAGE_LOCAL
trees_prometheus_client = SAGE_VENV
trees_prompt_toolkit = SAGE_VENV
trees_ptyprocess = SAGE_VENV
trees_py = SAGE_VENV
trees_pybind11 = SAGE_VENV
trees_pybtex = SAGE_VENV
trees_pycosat = SAGE_VENV
trees_pycparser = SAGE_VENV
trees_pycygwin = SAGE_VENV
trees_pyflakes = SAGE_VENV
trees_pygments = SAGE_VENV
trees_pygraphviz = SAGE_VENV
trees_pynormaliz = SAGE_VENV
trees_pyparsing = SAGE_VENV
trees_pyroaringbitmap = SAGE_LOCAL
trees_pyrsistent = SAGE_VENV
trees_pysingular = SAGE_VENV
trees_pytest = SAGE_VENV
trees_python3 = SAGE_VENV
trees_python_igraph = SAGE_VENV
trees_pythran = SAGE_VENV
trees_pytz = SAGE_VENV
trees_pyx = SAGE_VENV
trees_pyzmq = SAGE_VENV
trees_qepcad = SAGE_LOCAL
trees_qhull = SAGE_LOCAL
trees_r = SAGE_LOCAL
trees_r_jupyter = SAGE_LOCAL
trees_ratpoints = SAGE_LOCAL
trees_readline = SAGE_LOCAL
trees_requests = SAGE_VENV
trees_rpy2 = SAGE_VENV
trees_rst2ipynb = SAGE_VENV
trees_rubiks = SAGE_LOCAL
trees_rw = SAGE_LOCAL
trees_saclib = SAGE_LOCAL
trees_sage_conf = SAGE_VENV
trees_sage_docbuild = SAGE_VENV
trees_sage_flatsurf = SAGE_VENV
trees_sage_numerical_backends_coin = SAGE_VENV
trees_sage_numerical_backends_cplex = SAGE_VENV
trees_sage_numerical_backends_gurobi = SAGE_VENV
trees_sage_setup = SAGE_VENV
trees_sage_sws2rst = SAGE_VENV
trees_sagelib = SAGE_VENV
trees_sagemath_doc_html = SAGE_DOCS
trees_sagemath_doc_pdf = SAGE_DOCS
trees_sagenb_export = SAGE_VENV
trees_sagetex = SAGE_VENV
trees_scipoptsuite = SAGE_LOCAL
trees_scipy = SAGE_VENV
trees_send2trash = SAGE_VENV
trees_setuptools = SAGE_VENV
trees_setuptools_scm = SAGE_VENV
trees_setuptools_scm_git_archive = SAGE_VENV
trees_setuptools_wheel = SAGE_VENV
trees_simplegeneric = SAGE_VENV
trees_singular = SAGE_LOCAL
trees_singular_jupyter = SAGE_VENV
trees_sip = SAGE_LOCAL
trees_sirocco = SAGE_LOCAL
trees_six = SAGE_VENV
trees_slabbe = SAGE_VENV
trees_snappy = SAGE_VENV
trees_snowballstemmer = SAGE_VENV
trees_speaklater = SAGE_VENV
trees_sphinx = SAGE_VENV
trees_sphinxcontrib_applehelp = SAGE_VENV
trees_sphinxcontrib_devhelp = SAGE_VENV
trees_sphinxcontrib_htmlhelp = SAGE_VENV
trees_sphinxcontrib_jsmath = SAGE_VENV
trees_sphinxcontrib_qthelp = SAGE_VENV
trees_sphinxcontrib_serializinghtml = SAGE_VENV
trees_sphinxcontrib_websupport = SAGE_VENV
trees_sqlalchemy = SAGE_VENV
trees_sqlite = SAGE_LOCAL
trees_suitesparse = SAGE_LOCAL
trees_surf = SAGE_LOCAL
trees_surface_dynamics = SAGE_VENV
trees_symengine = SAGE_LOCAL
trees_symengine_py = SAGE_VENV
trees_symmetrica = SAGE_LOCAL
trees_sympow = SAGE_LOCAL
trees_sympy = SAGE_VENV
trees_tachyon = SAGE_LOCAL
trees_tdlib = SAGE_LOCAL
trees_terminado = SAGE_VENV
trees_testpath = SAGE_VENV
trees_texlive = SAGE_LOCAL
trees_texttable = SAGE_VENV
trees_thebe = SAGE_LOCAL
trees_threejs = SAGE_LOCAL
trees_tides = SAGE_LOCAL
trees_toml = SAGE_VENV
trees_tomli = SAGE_VENV
trees_topcom = SAGE_LOCAL
trees_tornado = SAGE_VENV
trees_tox = SAGE_VENV
trees_traitlets = SAGE_VENV
trees_typing_extensions = SAGE_VENV
trees_tzlocal = SAGE_VENV
trees_urllib3 = SAGE_VENV
trees_valgrind = SAGE_LOCAL
trees_vcversioner = SAGE_VENV
trees_virtualenv = SAGE_VENV
trees_wcwidth = SAGE_VENV
trees_webencodings = SAGE_VENV
trees_wheel = SAGE_VENV
trees_widgetsnbextension = SAGE_VENV
trees_xz = SAGE_LOCAL
trees_zeromq = SAGE_LOCAL
trees_zipp = SAGE_VENV
trees_zlib = SAGE_LOCAL
trees_zn_poly = SAGE_LOCAL'
vers_4ti2 = 1.6.7.p0
vers__bootstrap = none
vers__prereq = none
vers__recommended = none
vers_admcycles = none
vers_alabaster = 0.7.12
vers_appdirs = 1.4.4
vers_appnope = 0.1.2
vers_arb = 2.19.0.p0
vers_argcomplete = 1.12.3
vers_argon2_cffi = 20.1.0
vers_attrs = 21.2.0
vers_awali = 1.0.2-190218
vers_babel = 2.9.1
vers_backcall = 0.2.0
vers_barvinok = 0.41.1
vers_beautifulsoup4 = none
vers_beniget = 0.4.1
vers_benzene = 20130630
vers_biopython = none
vers_bleach = 4.1.0
vers_bliss = 0.73+debian-1+sage-2016-08-02.p0
vers_boost_cropped = 1.66.0.p0
vers_brial = 1.2.8
vers_buckygen = 1.1
vers_bzip2 = 1.0.6-20150304.p0
vers_cbc = 2.9.4.p0
vers_ccache = 3.3.4
vers_cddlib = 0.94m
vers_certifi = 2021.10.8
vers_cffi = 1.15.0
vers_charset_normalizer = 2.0.4
vers_cliquer = 1.22
vers_cmake = 3.21.0
vers_cocoalib = 0.99564
vers_combinatorial_designs = 20140630.p0
vers_configure = 464e8c3d08cd20837a05fc6afa7386f89a309133
vers_conway_polynomials = 0.5
vers_coxeter3 = 8ac9c71723c8ca57a836d6381aed125261e44e9e.p0
vers_cppy = 1.1.0
vers_cryptominisat = 5.6.8
vers_csdp = 6.2.p1
vers_cunningham_tables = 1.0
vers_curl = 7.62.0.p0
vers_cvxopt = 1.2.7
vers_cycler = 0.11.0
vers_cypari = 2.1.2
vers_cysignals = 1.11.2
vers_cython = 0.29.24
vers_d3js = 3.4.8
vers_database_cremona_ellcurve = 20190911
vers_database_jones_numfield = 4
vers_database_knotinfo = 2021.10.1
vers_database_kohel = 20160724
vers_database_mutation_class = 1.0
vers_database_odlyzko_zeta = 20061209
vers_database_stein_watkins = 20110713
vers_database_stein_watkins_mini = 20070827
vers_database_symbolic_data = 20070206
vers_dateutil = 2.8.2
vers_debugpy = 1.4.1
vers_decorator = 4.4.2
vers_deformation = 20210503
vers_defusedxml = 0.6.0
vers_distlib = 0.3.3
vers_docutils = 0.17.1
vers_dot2tex = 2.11.3.p0
vers_e_antic = 0.1.9
vers_ecl = 21.2.1
vers_eclib = 20210625
vers_ecm = 7.0.4.p2
vers_elliptic_curves = 0.8.1
vers_entrypoints = 0.3
vers_fflas_ffpack = 2.4.3.p0
vers_ffmpeg = none
vers_filelock = 3.0.12
vers_flint = 2.7.1.p0
vers_flintqs = 1.0.p0
vers_flit_core = 3.4.0
vers_fonttools = 4.28.4
vers_fplll = 5.4.1
vers_fpylll = 0.5.6
vers_freetype = 2.10.4
vers_fricas = 1.3.7.p1
vers_frobby = 0.9.0.p2
vers_gambit = 15.1.1.p0
vers_gap = 4.11.1
vers_gap3 = 04jul17
vers_gap_jupyter = 0.9
vers_gap_packages = 4.11.1
vers_gast = 0.5.2
vers_gc = 8.0.4
vers_gcc = 10.3.0
vers_gdb = 8.2
vers_gengetopt = 2.23
vers_gf2x = 1.3.0
vers_gfan = 0.6.2.p1
vers_gfortran = 10.3.0
vers_giac = 1.6.0.47p3
vers_git = none
vers_givaro = 4.1.1
vers_glpk = 5.0.p0
vers_glucose = 4.1
vers_gmp = 6.2.1
vers_gmpy2 = 2.1.0rc1
vers_gp2c = 0.0.10.p0
vers_graphs = 20210214.p0
vers_graphviz = none
vers_gsl = 2.7
vers_html5lib = 1.1
vers_iconv = 1.15
vers_idna = 3.2
vers_igraph = 0.8.3
vers_imagemagick = none
vers_imagesize = 1.2.0
vers_iml = 1.0.4p1.p2
vers_importlib_metadata = 4.8.2
vers_importlib_resources = 5.2.2
vers_info = 6.8
vers_ipykernel = 6.6.0
vers_ipympl = 0.7.0
vers_ipython = 7.29.0
vers_ipython_genutils = 0.2.0
vers_ipywidgets = 7.6.5
vers_isl = 0.20
vers_jedi = 0.18.1
vers_jinja2 = 2.11.2
vers_jmol = 14.29.52
vers_jsonschema = 3.2.0
vers_jupymake = 0.9
vers_jupyter_client = 7.1.0
vers_jupyter_core = 4.9.1
vers_jupyter_jsmol = 0.2.4
vers_jupyter_packaging = 0.7.12
vers_jupyterlab = none
vers_jupyterlab_pygments = 0.1.2
vers_jupyterlab_widgets = 2.0
vers_kenzo = 1.1.10
vers_kiwisolver = 1.3.2
vers_latte_int = 1.7.6
vers_lcalc = 2.0.5
vers_libatomic_ops = 7.6.10
vers_libbraiding = 1.1
vers_libffi = 3.2.1
vers_libgd = 2.3.2
vers_libgraphviz = none
vers_libhomfly = 1.02r6
vers_liblzma = 5.2.5
vers_libnauty = none
vers_libogg = 1.3.1.p0
vers_libpng = 1.6.29.p1
vers_libsemigroups = 1.1.0
vers_libtheora = 1.1.1
vers_libxml2 = none
vers_lidia = 2.3.0+latte-patches-2019-05-02
vers_lie = 2.2.2
vers_linbox = 1.6.3.p1
vers_llvm = none
vers_lrcalc = 1.2.p1
vers_lrslib = 071b+autotools-2021-07-13
vers_m4ri = 20200115
vers_m4rie = 20200115
vers_markupsafe = 1.1.1
vers_mathics = 4.0.0
vers_mathics_scanner = 1.2.4
vers_mathjax = 2.7.4.p0
vers_matplotlib = 3.5.1
vers_matplotlib_inline = 0.1.2
vers_maxima = 5.45.0.p0
vers_mcqd = 1.0.p0
vers_meataxe = 1.0.1
vers_memory_allocator = 0.1.1
vers_mistune = 0.8.4
vers_modular_decomposition = 20100607
vers_mpc = 1.1.0
vers_mpfi = 1.5.2
vers_mpfr = 4.0.1.p0
vers_mpfrcx = 0.5
vers_mpmath = 1.2.1
vers_nauty = 27r1.p1
vers_nbclient = 0.5.9
vers_nbconvert = 6.1.0
vers_nbformat = 5.1.3
vers_ncurses = 6.0.p0
vers_nest_asyncio = 1.5.1
vers_networkx = 2.6.3
vers_nibabel = none
vers_ninja_build = 1.8.2
vers_nodeenv = none
vers_nodejs = 12.18.3
vers_normaliz = 3.8.10
vers_notebook = 6.4.6
vers_notedown = 1.5.1
vers_ntl = 11.4.3
vers_numpy = 1.21.4
vers_openblas = 0.3.18
vers_openssl = 3.0.1
vers_ore_algebra = none
vers_p_group_cohomology = 3.3.2
vers_packaging = 21.0
vers_palettable = 3.3.0
vers_palp = 2.11
vers_pandoc = none
vers_pandoc_attributes = 8bc82f6d
vers_pandocfilters = 1.4.3
vers_pari = 2.13.3
vers_pari_elldata = 20161017
vers_pari_galdata = 20080411.p0
vers_pari_galpol = 20180625
vers_pari_nftables = 20080929
vers_pari_seadata = 20090618
vers_pari_seadata_small = 20090618.p0
vers_parso = 0.8.2
vers_patch = 2.7.5
vers_pcre = 8.40.p2
vers_pdf2svg = none
vers_perl_cpan_polymake_prereq = none
vers_perl_mongodb = none
vers_perl_term_readline_gnu = 1.35
vers_pexpect = 4.8.0
vers_pickleshare = 0.7.5
vers_pillow = 8.4.0
vers_pint = 0.17
vers_pip = 21.3.1
vers_pkgconf = 0.9.7.p2
vers_pkgconfig = 1.5.5
vers_planarity = 3.0.1.0
vers_plantri = 4.5
vers_pluggy = 1.0.0
vers_ply = 3.11
vers_polylib = 5.22.5
vers_polymake = 4.5
vers_polytopes_db = 20170220.p0
vers_polytopes_db_4d = 1.0
vers_ppl = 1.2.p1
vers_pplpy = 0.8.6
vers_pplpy_doc = 0.8.6
vers_primecount = 7.1
vers_primecountpy = 0.1.0
vers_primesieve = 7.6
vers_prometheus_client = 0.11.0
vers_prompt_toolkit = 3.0.22
vers_ptyprocess = 0.5.1.p0
vers_py = 1.10.0
vers_pybind11 = 2.8.1
vers_pybtex = none
vers_pycosat = 0.6.3
vers_pycparser = 2.20
vers_pycygwin = 0.1
vers_pyflakes = none
vers_pygments = 2.10.0
vers_pygraphviz = none
vers_pynormaliz = 2.14
vers_pyparsing = 3.0.6
vers_pyroaringbitmap = 0.2.9
vers_pyrsistent = 0.18.0
vers_pysingular = 0.9.7
vers_pytest = none
vers_python3 = 3.9.9
vers_python_igraph = 0.8.3
vers_pythran = 0.10.0
vers_pytz = 2021.3
vers_pyx = none
vers_pyzmq = 22.3.0
vers_qepcad = B.1.72
vers_qhull = 2020-src-8.0.2
vers_r = 3.6.3
vers_r_jupyter = none
vers_ratpoints = 2.1.3.p5
vers_readline = 8.0
vers_requests = 2.26.0
vers_rpy2 = 3.3.6
vers_rst2ipynb = 0.2.3
vers_rubiks = 20070912.p21
vers_rw = 0.9
vers_saclib = 2.2.7
vers_sage_conf = 9.5.rc0
vers_sage_docbuild = 9.5.rc0
vers_sage_flatsurf = none
vers_sage_numerical_backends_coin = 9.0b12
vers_sage_numerical_backends_cplex = 9.0b12
vers_sage_numerical_backends_gurobi = 9.3.1
vers_sage_setup = 9.5.rc0
vers_sage_sws2rst = 9.5.rc0
vers_sagelib = 9.5.rc0
vers_sagemath_doc_html = none
vers_sagemath_doc_pdf = none
vers_sagenb_export = 3.3
vers_sagetex = 3.5
vers_scipoptsuite = 5.0.1
vers_scipy = 1.7.2
vers_send2trash = 1.8.0
vers_setuptools = 59.2.0
vers_setuptools_scm = 6.3.2
vers_setuptools_scm_git_archive = 1.1
vers_setuptools_wheel = 59.2.0
vers_simplegeneric = 0.8.1.p0
vers_singular = 4.2.1p3
vers_singular_jupyter = 0.9.7
vers_sip = 4.18
vers_sirocco = 2.1.0
vers_six = 1.16.0
vers_slabbe = none
vers_snappy = none
vers_snowballstemmer = 2.1.0
vers_speaklater = 1.3.p0
vers_sphinx = 4.2.0
vers_sphinxcontrib_applehelp = 1.0.2
vers_sphinxcontrib_devhelp = 1.0.2
vers_sphinxcontrib_htmlhelp = 2.0.0
vers_sphinxcontrib_jsmath = 1.0.1
vers_sphinxcontrib_qthelp = 1.0.3
vers_sphinxcontrib_serializinghtml = 1.1.5
vers_sphinxcontrib_websupport = 1.2.1
vers_sqlalchemy = none
vers_sqlite = 3.36.0
vers_suitesparse = 5.10.1
vers_surf = 1.0.6-gcc6
vers_surface_dynamics = none
vers_symengine = 0.8.1
vers_symengine_py = 0.8.1.p0
vers_symmetrica = 3.0.1
vers_sympow = 2.023.6
vers_sympy = 1.9
vers_tachyon = 0.98.9.p7
vers_tdlib = 0.3.1.p0
vers_terminado = 0.12.1
vers_testpath = 0.5.0
vers_texlive = none
vers_texttable = 1.6.3
vers_thebe = 9624e0a0.p0
vers_threejs = r122.p0
vers_tides = 2.0.p0
vers_toml = 0.10.2
vers_tomli = 1.2.1
vers_topcom = 0.17.7
vers_tornado = 6.1
vers_tox = 3.24.3
vers_traitlets = 5.1.1
vers_typing_extensions = 3.10.0.0
vers_tzlocal = 2.1
vers_urllib3 = 1.26.6
vers_valgrind = 3.14.0
vers_vcversioner = 2.16.0.0.p0
vers_virtualenv = 20.7.2
vers_wcwidth = 0.2.5
vers_webencodings = 0.5.1
vers_wheel = 0.37.0
vers_widgetsnbextension = 3.5.2
vers_xz = 5.2.5
vers_zeromq = 4.3.4
vers_zipp = 3.5.0
vers_zlib = 1.2.11.p0
vers_zn_poly = 0.9.2'

## ----------- ##
## confdefs.h. ##
## ----------- ##

/* confdefs.h */
#define PACKAGE_NAME "Sage"
#define PACKAGE_TARNAME "sage"
#define PACKAGE_VERSION "9.5.rc0"
#define PACKAGE_STRING "Sage 9.5.rc0"
#define PACKAGE_BUGREPORT "sage-...@googlegroups.com"
#define PACKAGE_URL ""
#define PACKAGE "sage"
#define VERSION "9.5.rc0"
#define STDC_HEADERS 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_MEMORY_H 1
#define HAVE_STRINGS_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_UNISTD_H 1
#define HAVE_LIBM 1
#define HAVE_CXX11 1
#define HAVE_GMP_H 1
#define ABSOLUTE_GMP_H "///usr/include/x86_64-linux-gnu/gmp.h"
#define HAVE_BOOST /**/
#define HAVE_LIBCURL 1
#define LIBCURL_FEATURE_SSL 1
#define LIBCURL_FEATURE_IPV6 1
#define LIBCURL_FEATURE_UNIXSOCKETS 1
#define LIBCURL_FEATURE_LIBZ 1
#define LIBCURL_FEATURE_ASYNCHDNS 1
#define LIBCURL_FEATURE_IDN 1
#define LIBCURL_FEATURE_GSS_API 1
#define LIBCURL_FEATURE_PSL 1
#define LIBCURL_FEATURE_SPNEGO 1
#define LIBCURL_FEATURE_KERBEROS 1
#define LIBCURL_FEATURE_NTLM 1
#define LIBCURL_FEATURE_NTLM_WB 1
#define LIBCURL_FEATURE_TLS_SRP 1
#define LIBCURL_FEATURE_HTTP2 1
#define LIBCURL_FEATURE_HTTPS_PROXY 1
#define LIBCURL_PROTOCOL_DICT 1
#define LIBCURL_PROTOCOL_FILE 1
#define LIBCURL_PROTOCOL_FTP 1
#define LIBCURL_PROTOCOL_FTPS 1
#define LIBCURL_PROTOCOL_GOPHER 1
#define LIBCURL_PROTOCOL_HTTP 1
#define LIBCURL_PROTOCOL_HTTPS 1
#define LIBCURL_PROTOCOL_IMAP 1
#define LIBCURL_PROTOCOL_IMAPS 1
#define LIBCURL_PROTOCOL_LDAP 1
#define LIBCURL_PROTOCOL_LDAPS 1
#define LIBCURL_PROTOCOL_POP3 1
#define LIBCURL_PROTOCOL_POP3S 1
#define LIBCURL_PROTOCOL_RTMP 1
#define LIBCURL_PROTOCOL_RTSP 1
#define LIBCURL_PROTOCOL_SCP 1
#define LIBCURL_PROTOCOL_SFTP 1
#define LIBCURL_PROTOCOL_SMB 1
#define LIBCURL_PROTOCOL_SMBS 1
#define LIBCURL_PROTOCOL_SMTP 1
#define LIBCURL_PROTOCOL_SMTPS 1
#define LIBCURL_PROTOCOL_TELNET 1
#define LIBCURL_PROTOCOL_TFTP 1
#define HAVE_READLINE_READLINE_H 1
#define HAVE_ICONV 1
#define ICONV_CONST

configure: exit 0

## ---------------------- ##
## Running config.status. ##
## ---------------------- ##

This file was extended by Sage config.status 9.5.rc0, which was
generated by GNU Autoconf 2.69.  Invocation command line was

  CONFIG_FILES    =
  CONFIG_HEADERS  =
  CONFIG_LINKS    =
  CONFIG_COMMANDS =
  $ ./config.status

on cofio

config.status:3400: creating build/make/Makefile-auto
config.status:3400: creating build/make/Makefile
config.status:3400: creating src/bin/sage-env-config
config.status:3400: creating src/bin/sage-src-env-config
config.status:3400: creating build/bin/sage-build-env-config
config.status:3400: creating pkgs/sage-conf/sage_conf.py
config.status:3400: creating pkgs/sage-conf/setup.cfg
config.status:3572: executing depfiles commands
config.status:3572: executing mkdirs commands
config.status:3702: creating directory /srv/public/kliem/sage/logs/pkgs
config.status:3702: creating directory local
config.status:3702: creating directory local/bin
config.status:3702: creating directory local/etc
config.status:3702: creating directory local/include
config.status:3702: creating directory local/lib
config.status:3702: creating directory local/lib/pkgconfig
config.status:3702: creating directory local/share
config.status:3702: creating directory local/var/lib/sage/installed
config.status:3572: executing links commands
config.status:3723: creating convenience symlink prefix -> local
config.status:3737: creating convenience symlink venv -> local/var/lib/sage/venv-python3.7

Sébastien Labbé

unread,
Jan 10, 2022, 9:54:06 AMJan 10
to sage-release
On Monday, January 10, 2022 at 1:52:51 PM UTC+1 Sébastien Labbé wrote:
My first attempt at building the new version finishes with what is copied below (from make with V=0). I get the same thing after `make doc-clean` and also `make doc-uninstall`, a new command which I have seen recently.


Just to say that the above issue went away after a `make distclean`.

Eric Gourgoulhon

unread,
Jan 10, 2022, 11:27:11 AMJan 10
to sage-release
Hi Volker,

Thank you for this release.
Would it be possible to include
in the next rc if any? This ticket has been in positive review state for 17 days; it introduces symplectic structures on manifolds and it would be nice if Sage 9.5 is shipped with them. Thank you.

Eric.

Emmanuel Charpentier

unread,
Jan 10, 2022, 12:11:57 PMJan 10
to sage-release

FWIW, on Debian testing running on core i7 + 16 GB RAM upgrading from 9.5.beta9 and running ptestlong results in two ermanent failures :

sage -t --long --warn-long 230.6 --random-seed=55945959185617375554737887082041268498 src/sage/algebras/quantum_groups/quantum_group_gap.py  # 1 doctest failed
sage -t --long --warn-long 230.6 --random-seed=55945959185617375554737887082041268498 src/sage/functions/min_max.py  # 2 doctests failed

The first one has already been reported.

Re-running them results in :

charpent@zen-book-flip:/usr/local/sage-9$ sage -t --long --warn-long 230.6 --random-seed=55945959185617375554737887082041268498 src/sage/algebras/quantum_groups/quantum_group_gap.py  # 1 doctest failed
Running doctests with ID 2022-01-10-17-58-44-00fb8404.
Git branch: develop
Using --optional=build,debian,debugpy,dot2tex,fricas,gap_packages,libsemigroups,pip,sage,sage_spkg
Features to be detected: 4ti2,benzene,bliss,buckygen,conway_polynomials,csdp,database_cremona_ellcurve,database_cremona_mini_ellcurve,database_jones_numfield,database_knotinfo,dvipng,ffmpeg,graphviz,imagemagick,jupymake,kenzo,latte_int,lrslib,mcqd,meataxe,pandoc,pdf2svg,plantri,pynormaliz,rubiks,sage.combinat,sage.geometry.polyhedron,sage.graphs,sage.plot,sage.rings.number_field,sage.rings.real_double,sage.symbolic,sage_numerical_backends_coin,sagemath_doc_html,sphinx,tdlib
Doctesting 1 file.
sage -t --long --warn-long 230.6 --random-seed=55945959185617375554737887082041268498 src/sage/algebras/quantum_groups/quantum_group_gap.py
**********************************************************************
File "src/sage/algebras/quantum_groups/quantum_group_gap.py", line 1752, in sage.algebras.quantum_groups.quantum_group_gap.HighestWeightModule._latex_
Failed example:
    latex(V)  # optional - gap_packages
Expected:
    V(\Lambda_{1} + 2\Lambda_{2})
Got:
    V(\Lambda_{1} + 2 \Lambda_{2})
**********************************************************************
1 item had failures:
   1 of   4 in sage.algebras.quantum_groups.quantum_group_gap.HighestWeightModule._latex_
    [529 tests, 1 failure, 10.26 s]
----------------------------------------------------------------------
sage -t --long --warn-long 230.6 --random-seed=55945959185617375554737887082041268498 src/sage/algebras/quantum_groups/quantum_group_gap.py  # 1 doctest failed
----------------------------------------------------------------------
Total time for all tests: 10.4 seconds
    cpu time: 8.6 seconds
    cumulative wall time: 10.3 seconds
Features detected for doctesting: 
Pytest is not installed, skip checking tests that rely on it.

Appears to be purely cosmetic.

charpent@zen-book-flip:/usr/local/sage-9$ sage -t --long --warn-long 230.6 --random-seed=55945959185617375554737887082041268498 src/sage/functions/min_max.py  # 2 doctests failed
Running doctests with ID 2022-01-10-17-59-37-1c60f093.
Git branch: develop
Using --optional=build,debian,debugpy,dot2tex,fricas,gap_packages,libsemigroups,pip,sage,sage_spkg
Features to be detected: 4ti2,benzene,bliss,buckygen,conway_polynomials,csdp,database_cremona_ellcurve,database_cremona_mini_ellcurve,database_jones_numfield,database_knotinfo,dvipng,ffmpeg,graphviz,imagemagick,jupymake,kenzo,latte_int,lrslib,mcqd,meataxe,pandoc,pdf2svg,plantri,pynormaliz,rubiks,sage.combinat,sage.geometry.polyhedron,sage.graphs,sage.plot,sage.rings.number_field,sage.rings.real_double,sage.symbolic,sage_numerical_backends_coin,sagemath_doc_html,sphinx,tdlib
Doctesting 1 file.
sage -t --long --warn-long 230.6 --random-seed=55945959185617375554737887082041268498 src/sage/functions/min_max.py
**********************************************************************
File "src/sage/functions/min_max.py", line 236, in sage.functions.min_max.MaxSymbolic._evalf_
Failed example:
    r
Expected:
    sqrt(2) - cos(1)
Got:
    0.873911256505000
**********************************************************************
File "src/sage/functions/min_max.py", line 238, in sage.functions.min_max.MaxSymbolic._evalf_
Failed example:
    r.n()
Expected:
    0.873911256504955
Got:
    0.873911256505000
**********************************************************************
1 item had failures:
   2 of  11 in sage.functions.min_max.MaxSymbolic._evalf_
    [69 tests, 2 failures, 1.15 s]
----------------------------------------------------------------------
sage -t --long --warn-long 230.6 --random-seed=55945959185617375554737887082041268498 src/sage/functions/min_max.py  # 2 doctests failed
----------------------------------------------------------------------
Total time for all tests: 1.2 seconds
    cpu time: 1.3 seconds
    cumulative wall time: 1.1 seconds
Features detected for doctesting: 
Pytest is not installed, skip checking tests that rely on it.

Numerical noise ?

HTH,

François Bissey

unread,
Jan 10, 2022, 1:05:18 PMJan 10
to 'Justin C. Walker' via sage-release
That one is because a recent gain is used see https://trac.sagemath.org/ticket/31563

Samuel Lelièvre

unread,
Jan 10, 2022, 2:04:30 PMJan 10
to sage-release
2022-01-10 19:05, François Bissey on sage-release:
>
> That one is because a recent gain is used
> see https://trac.sagemath.org/ticket/31563

Probably you typed "a recent giac" and some software on
your computer decided to change that into "a recent gain".

Matthias Köppe

unread,
Jan 10, 2022, 2:30:13 PMJan 10
to sage-release
On Sunday, January 9, 2022 at 8:02:34 PM UTC-8 Matthias Köppe wrote:
On Sunday, January 9, 2022 at 3:15:23 AM UTC-8 Volker Braun wrote:
38323507f6 (tag: 9.5.rc0, trac/develop) Updated SageMath version to 9.5.rc0

Thanks, Volker, for preparing the first release candidate.
Tests for Linux and macOS are running on https://github.com/sagemath/sage/actions/runs/1673712139; the first results:

ubuntu-{trusty,xenial,bionic,focal,hirsute,impish,jammy}: All clean.
debian-{stretch,buster}: Clean
 - buster ... timed out
 - bullseye: clean except for:
    sage -t --random-seed=262814732239279112879080798255409713274 src/sage/schemes/toric/sheaf/klyachko.py
     # 1 doctest failed (could be https://trac.sagemath.org/ticket/32773)
 - bookworm: clean except for:
sage -t --random-seed=136664711393402801413958433388104558783 src/sage/functions/min_max.py
# 2 doctests failed (probably from a newer giac)

More results:
linuxmint-{17,18,19,19.3,20.1,20.2,20.3}: Clean
fedora-{26,27,28,...}-minimal: pyzmq build failurehttps://trac.sagemath.org/ticket/33145



 

Vincent Delecroix

unread,
Jan 11, 2022, 6:31:08 AMJan 11
to sage-r...@googlegroups.com
Got a matplotlib related doctest failure in graph plotting (via
elliptic curves on this example)

File "ell_number_field.py", line 2752, in
sage.schemes.elliptic_curves.ell_number_field.EllipticCurve_number_field.isogeny_class
Failed example:
G.show(edge_labels=True) # long time
Exception raised:
...
File "<doctest
sage.schemes.elliptic_curves.ell_number_field.EllipticCurve_number_field.isogeny_class[9]>",
line 1, in <module>
G.show(edge_labels=True) # long time
...
File ".../matplotlib/cbook/__init__.py", line 518, in _get_data_path
return Path(matplotlib.get_data_path(), *args)
AttributeError: module 'matplotlib' has no attribute 'get_data_path'

My sage installation is built from source (using matplotlib 3.5.1 from
source).

Best
Vincent

Vincent Delecroix

unread,
Jan 11, 2022, 6:31:34 AMJan 11
to sage-r...@googlegroups.com
Got a matplotlib related doctest failure in graph plotting (via
elliptic curves on this example)

File "ell_number_field.py", line 2752, in
sage.schemes.elliptic_curves.ell_number_field.EllipticCurve_number_field.isogeny_class
Failed example:
G.show(edge_labels=True) # long time
Exception raised:
...
File "<doctest
sage.schemes.elliptic_curves.ell_number_field.EllipticCurve_number_field.isogeny_class[9]>",
line 1, in <module>
G.show(edge_labels=True) # long time
...
File ".../matplotlib/cbook/__init__.py", line 518, in _get_data_path
return Path(matplotlib.get_data_path(), *args)
AttributeError: module 'matplotlib' has no attribute 'get_data_path'

My sage installation is built from source (using matplotlib 3.5.1 from
source).

Best
Vincent

Le 09/01/2022 à 12:15, Volker Braun a écrit :

Samuel Lelièvre

unread,
Jan 11, 2022, 7:59:58 AMJan 11
to sage-release
2022-01-11 11:31 UTC, Vincent Delecroix on sage-release:
>
> Got a matplotlib related doctest failure in graph plotting
> (via elliptic curves on this example)

Maybe related to this recently opened ticket:

- Sage Trac ticket 33143
Matplotlib update breaks build on debian buster
https://trac.sagemath.org/ticket/33143

It already has positive review. --Samuel

Sébastien Labbé

unread,
Jan 11, 2022, 3:08:35 PMJan 11
to sage-release
Dear Volker,

I would also like to ask whether it is possible to include
in the next rc? It got a positive review last Thursday. It adds a new module sage/plot/tikzpicture.py to deal with tikzpicture, show them automatically in a Jupyter cell and export them to various format (pdf, png, svg), etc. The module was in preparation in my personnal package since 6 years. It is now mature enough to go into Sage. I know few people who install my package only for that module. I think it will be a nice new feature for 9.5.

Note: it can go with or without the dependency https://trac.sagemath.org/ticket/33005

Sincerely,

Sébastien

Dave Morris

unread,
Jan 11, 2022, 7:19:41 PMJan 11
to sage-release
I failed to build 9.5rc0 on MacOS 11.5.2 after "make distclean", because I got "ERROR: pplpy-0.8.6-cp39-cp39-macosx_11_0_x86_64.whl is not a supported wheel on this platform."  I know nothing about build systems, so I wouldn't be surprised if I'm doing something stupid, but I did know to do "source .homebrew-build-env" and ".bootstrap" before "./configure" and "make build", and I was able to build 9.5b9 again after this failure, so it seems to me that some commit is causing a problem for me.   I posted config.log and pplpy-0.8.6.log on the internet.

Suggestions or a diagnosis are welcome.  (Perhaps I should learn how to use conda?)

Best,
Dave

Matthias Köppe

unread,
Jan 11, 2022, 8:32:20 PMJan 11
to sage-release
The python3 used in this build is /Library/Frameworks/Python.framework/Versions/3.9/bin/python3 -- could you check which version this is and do you recall how you installed it?

Dave Morris

unread,
Jan 11, 2022, 9:56:52 PMJan 11
to sage-release
Thanks for your reply.  The message when I start python says:
Python 3.9.9 (v3.9.9:ccb0e6a345, Nov 15 2021, 13:29:20)
[Clang 6.0 (clang-600.0.57)] on darwin

I installed this version of python yesterday, by downloading a MacOS installer from https://www.python.org/downloads/macos/.  I did this because my first failed attempt to build 9.5.rc0 was with Python 3.7, and I thought that having an old python version might be the problem (and I understand that Python 3.10 is not yet fully supported).  I got the same error message with the old install of python as with this new one.

Matthias Köppe

unread,
Jan 12, 2022, 12:43:13 AMJan 12
to sage-release
I have tried to reproduce this environment (with https://trac.sagemath.org/ticket/33140, this is "tox -e local-homebrew-macos-usrlocal-python3_pythonorg-python3.9"), but pplpy compiles without problem here.
Could you check whether you have an environment variable such as MACOSX_DEPLOYMENT_TARGET set in your environment?
Also "xcrun --show-sdk-version" could give some helpful information.
Finally, I would suggest to make sure that the Xcode Command Line Tools are up to date (using softwareupdate)


Kwankyu Lee

unread,
Jan 12, 2022, 6:17:37 AMJan 12
to sage-release

Finally, I would suggest to make sure that the Xcode Command Line Tools are up to date (using softwareupdate)

In my case, usual "xcode-select --install" and software update reported that the command line tools was up to date, but sage make still failed. I finally succeeded after having installed the latest command line tools downloaded from the apple developer site. 
 

Kwankyu Lee

unread,
Jan 12, 2022, 6:23:58 AMJan 12
to sage-release
On Wednesday, January 12, 2022 at 11:56:52 AM UTC+9 dmo...@deductivepress.ca wrote:
I installed this version of python yesterday, by downloading a MacOS installer from https://www.python.org/downloads/macos/.  I did this because my first failed attempt to build 9.5.rc0 was with Python 3.7, and I thought that having an old python version might be the problem (and I understand that Python 3.10 is not yet fully supported).  I got the same error message with the old install of python as with this new one.
 
In my case, it helped to remove the python from www.python.org, and only have python 3.9 installed by homebrew. 
 

Matthias Köppe

unread,
Jan 12, 2022, 9:37:59 PMJan 12
to sage-release
I've opened https://trac.sagemath.org/ticket/33155 for the issue "pplpy-0.8.6-cp39-cp39-macosx_11_0_x86_64.whl is not a supported wheel on this platform."  
I think I now understand what's happening there. 

Dave Morris

unread,
Jan 12, 2022, 11:07:03 PMJan 12
to sage-release
Using "make -j8 build" instead of "make build" seems to have solved the problem for me.  (I have 8 cores.)  I was able to build, and "make ptestlong" says "All tests passed!".

Thanks for your suggestions and your patience! 

Fyi, I updated the command line tools to 13.2, but that didn't solve the problem on its own (although it may have contributed to the solution).  Answering the other questions, I don't seem to have MACOSX_DEPLOYMENT_TARGET or any other similar environment variables set, and "xcrun --show-sdk-version" says 11.3, both before and after the update.  "pkgutil --pkg-info=com.apple.pkg.CLTools_Executables" used to say 12.5, but now says 13.2.  (My next step was going to be replacing python, as suggested, but I didn't need to so that.)

Sébastien Labbé

unread,
Jan 13, 2022, 12:27:33 PMJan 13
to sage-release
On Ubuntu 20.04, when I ran `make ptestlong`, I obtain

----------------------------------------------------------------------
sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/sat/boolean_polynomials.py  # 18 doctests failed
sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/graphs/generic_graph.py  # 2 doctests failed
sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/graphs/graph.py  # 3 doctests failed
sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/rings/polynomial/multi_polynomial_sequence.py  # 1 doctest failed
sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/interfaces/expect.py  # 2 doctests failed
sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/combinat/matrices/dancing_links.pyx  # 1 doctest failed
sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/combinat/designs/incidence_structures.py  # 1 doctest failed
sage -t --long --random-seed=277349812120896257585806851727004727044 src/doc/en/reference/sat/index.rst  # 2 doctests failed
sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/sat/solvers/satsolver.pyx  # 5 doctests failed
sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/sat/solvers/cryptominisat.py  # 38 doctests failed
----------------------------------------------------------------------
Total time for all tests: 2916.3 seconds
    cpu time: 17168.4 seconds
    cumulative wall time: 22791.9 seconds
Features detected for doctesting: dvipng,ffmpeg,graphviz,imagemagick,pandoc,pdf2svg,sage.combinat,sage.geometry.polyhedron,sage.graphs,sage.plot,sage.rings.number_field,sage.rings.real_double,sage.symbolic,sagemath_doc_html,sphinx

The failures of the following 6 six files are related to cryptominisat:

sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/sat/boolean_polynomials.py  # 18 doctests failed
sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/rings/polynomial/multi_polynomial_sequence.py  # 1 doctest failed
sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/combinat/matrices/dancing_links.pyx  # 1 doctest failed
sage -t --long --random-seed=277349812120896257585806851727004727044 src/doc/en/reference/sat/index.rst  # 2 doctests failed
sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/sat/solvers/satsolver.pyx  # 5 doctests failed
sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/sat/solvers/cryptominisat.py  # 38 doctests failed

The optional spkg cryptominisat is installed on my machine:

$ sage -optional | grep cryptominisat
cryptominisat...........................5.6.8 (5.6.8)

But it seems the feature is broken for me.

Failures are copied below.

Follow up at https://trac.sagemath.org/ticket/25536



sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/sat/boolean_polynomials.py
**********************************************************************
File "src/sage/sat/boolean_polynomials.py", line 85, in sage.sat.boolean_polynomials.solve
Failed example:
    s = solve_sat(F)                                            # optional - cryptominisat
Exception raised:

    Traceback (most recent call last):
      File "sage/misc/lazy_import.pyx", line 253, in sage.misc.lazy_import.LazyImport._get_object (build/cythonized/sage/misc/lazy_import.c:2866)
        self._object = getattr(__import__(self._module, {}, {}, [self._name]), self._name)
    ModuleNotFoundError: No module named 'pycryptosat'

    During handling of the above exception, another exception occurred:


    Traceback (most recent call last):
      File "/home/slabbe/GitBox/sage/local/var/lib/sage/venv-python3.8/lib/python3.8/site-packages/sage/doctest/forker.py", line 694, in _run
        self.compile_and_execute(example, compiler, test.globs)
      File "/home/slabbe/GitBox/sage/local/var/lib/sage/venv-python3.8/lib/python3.8/site-packages/sage/doctest/forker.py", line 1088, in compile_and_execute
        exec(compiled, globs)
      File "<doctest sage.sat.boolean_polynomials.solve[3]>", line 1, in <module>
        s = solve_sat(F)                                            # optional - cryptominisat
      File "/home/slabbe/GitBox/sage/local/var/lib/sage/venv-python3.8/lib/python3.8/site-packages/sage/sat/boolean_polynomials.py", line 252, in solve
        solver = solver(**solver_kwds)
      File "/home/slabbe/GitBox/sage/local/var/lib/sage/venv-python3.8/lib/python3.8/site-packages/sage/sat/solvers/cryptominisat.py", line 69, in __init__
        self._solver = Solver(verbose=int(verbosity), confl_limit=int(confl_limit), threads=int(threads))
      File "sage/misc/lazy_import.pyx", line 391, in sage.misc.lazy_import.LazyImport.__call__ (build/cythonized/sage/misc/lazy_import.c:4183)
        return self.get_object()(*args, **kwds)
      File "sage/misc/lazy_import.pyx", line 217, in sage.misc.lazy_import.LazyImport.get_object (build/cythonized/sage/misc/lazy_import.c:2543)
        return self._get_object()
      File "sage/misc/lazy_import.pyx", line 256, in sage.misc.lazy_import.LazyImport._get_object (build/cythonized/sage/misc/lazy_import.c:2981)
        raise FeatureNotPresentError(self._feature, reason=f'Importing {self._name} failed: {e}')
    sage.features.FeatureNotPresentError: pycryptosat is not available.
    Importing Solver failed: No module named 'pycryptosat'
    No equivalent system packages for debian are known to Sage.
    To install pycryptosat using the Sage package manager, you can try to run:
      !sage -i cryptominisat
    No equivalent system packages for pip are known to Sage.
**********************************************************************
File "src/sage/sat/boolean_polynomials.py", line 86, in sage.sat.boolean_polynomials.solve
Failed example:
    F.subs(s[0])                                                # optional - cryptominisat
Exception raised:

    Traceback (most recent call last):
      File "/home/slabbe/GitBox/sage/local/var/lib/sage/venv-python3.8/lib/python3.8/site-packages/sage/doctest/forker.py", line 694, in _run
        self.compile_and_execute(example, compiler, test.globs)
      File "/home/slabbe/GitBox/sage/local/var/lib/sage/venv-python3.8/lib/python3.8/site-packages/sage/doctest/forker.py", line 1088, in compile_and_execute
        exec(compiled, globs)
      File "<doctest sage.sat.boolean_polynomials.solve[4]>", line 1, in <module>
        F.subs(s[Integer(0)])                                                # optional - cryptominisat
    KeyError: 0
**********************************************************************




sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/combinat/matrices/dancing_links.pyx
**********************************************************************
File "src/sage/combinat/matrices/dancing_links.pyx", line 925, in sage.combinat.matrices.dancing_links.dancing_linksWrapper.to_sat_solver
Failed example:
    x.to_sat_solver('cryptominisat')          # optional - cryptominisat
Exception raised:

    Traceback (most recent call last):
      File "sage/misc/cachefunc.pyx", line 1943, in sage.misc.cachefunc.CachedMethodCaller.__call__ (build/cythonized/sage/misc/cachefunc.c:10347)
        return cache[k]
    KeyError: (('cryptominisat',), ())

    During handling of the above exception, another exception occurred:


    Traceback (most recent call last):
      File "sage/misc/lazy_import.pyx", line 253, in sage.misc.lazy_import.LazyImport._get_object (build/cythonized/sage/misc/lazy_import.c:2866)
        self._object = getattr(__import__(self._module, {}, {}, [self._name]), self._name)
    ModuleNotFoundError: No module named 'pycryptosat'

    During handling of the above exception, another exception occurred:


    Traceback (most recent call last):
      File "/home/slabbe/GitBox/sage/local/var/lib/sage/venv-python3.8/lib/python3.8/site-packages/sage/doctest/forker.py", line 694, in _run
        self.compile_and_execute(example, compiler, test.globs)
      File "/home/slabbe/GitBox/sage/local/var/lib/sage/venv-python3.8/lib/python3.8/site-packages/sage/doctest/forker.py", line 1088, in compile_and_execute
        exec(compiled, globs)
      File "<doctest sage.combinat.matrices.dancing_links.dancing_linksWrapper.to_sat_solver[4]>", line 1, in <module>
        x.to_sat_solver('cryptominisat')          # optional - cryptominisat
      File "sage/misc/cachefunc.pyx", line 1948, in sage.misc.cachefunc.CachedMethodCaller.__call__ (build/cythonized/sage/misc/cachefunc.c:10483)
        w = self._instance_call(*args, **kwds)
      File "sage/misc/cachefunc.pyx", line 1824, in sage.misc.cachefunc.CachedMethodCaller._instance_call (build/cythonized/sage/misc/cachefunc.c:9949)
        return self.f(self._instance, *args, **kwds)
      File "sage/combinat/matrices/dancing_links.pyx", line 930, in sage.combinat.matrices.dancing_links.dancing_linksWrapper.to_sat_solver (build/cythonized/sage/combinat/matrices/dancing_links.cpp:7158)
        s = SAT(solver)
      File "sage/sat/solvers/satsolver.pyx", line 382, in sage.sat.solvers.satsolver.SAT (build/cythonized/sage/sat/solvers/satsolver.c:3268)
        return CryptoMiniSat(*args, **kwds)
      File "/home/slabbe/GitBox/sage/local/var/lib/sage/venv-python3.8/lib/python3.8/site-packages/sage/sat/solvers/cryptominisat.py", line 69, in __init__
        self._solver = Solver(verbose=int(verbosity), confl_limit=int(confl_limit), threads=int(threads))
      File "sage/misc/lazy_import.pyx", line 391, in sage.misc.lazy_import.LazyImport.__call__ (build/cythonized/sage/misc/lazy_import.c:4183)
        return self.get_object()(*args, **kwds)
      File "sage/misc/lazy_import.pyx", line 217, in sage.misc.lazy_import.LazyImport.get_object (build/cythonized/sage/misc/lazy_import.c:2543)
        return self._get_object()
      File "sage/misc/lazy_import.pyx", line 256, in sage.misc.lazy_import.LazyImport._get_object (build/cythonized/sage/misc/lazy_import.c:2981)
        raise FeatureNotPresentError(self._feature, reason=f'Importing {self._name} failed: {e}')
    sage.features.FeatureNotPresentError: pycryptosat is not available.
    Importing Solver failed: No module named 'pycryptosat'
    No equivalent system packages for debian are known to Sage.
    To install pycryptosat using the Sage package manager, you can try to run:
      !sage -i cryptominisat
    No equivalent system packages for pip are known to Sage.

**********************************************************************
1 item had failures:
   1 of   6 in sage.combinat.matrices.dancing_links.dancing_linksWrapper.to_sat_solver
    [250 tests, 1 failure, 6.72 s]



sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/sat/solvers/cryptominisat.py
**********************************************************************
File "src/sage/sat/solvers/cryptominisat.py", line 50, in sage.sat.solvers.cryptominisat.CryptoMiniSat
Failed example:
    solver = CryptoMiniSat()                                  # optional - cryptominisat
Exception raised:

    Traceback (most recent call last):
      File "sage/misc/lazy_import.pyx", line 253, in sage.misc.lazy_import.LazyImport._get_object (build/cythonized/sage/misc/lazy_import.c:2866)
        self._object = getattr(__import__(self._module, {}, {}, [self._name]), self._name)
    ModuleNotFoundError: No module named 'pycryptosat'

    During handling of the above exception, another exception occurred:


    Traceback (most recent call last):
      File "/home/slabbe/GitBox/sage/local/var/lib/sage/venv-python3.8/lib/python3.8/site-packages/sage/doctest/forker.py", line 694, in _run
        self.compile_and_execute(example, compiler, test.globs)
      File "/home/slabbe/GitBox/sage/local/var/lib/sage/venv-python3.8/lib/python3.8/site-packages/sage/doctest/forker.py", line 1088, in compile_and_execute
        exec(compiled, globs)
      File "<doctest sage.sat.solvers.cryptominisat.CryptoMiniSat[1]>", line 1, in <module>
        solver = CryptoMiniSat()                                  # optional - cryptominisat
      File "/home/slabbe/GitBox/sage/local/var/lib/sage/venv-python3.8/lib/python3.8/site-packages/sage/sat/solvers/cryptominisat.py", line 69, in __init__
        self._solver = Solver(verbose=int(verbosity), confl_limit=int(confl_limit), threads=int(threads))
      File "sage/misc/lazy_import.pyx", line 391, in sage.misc.lazy_import.LazyImport.__call__ (build/cythonized/sage/misc/lazy_import.c:4183)
        return self.get_object()(*args, **kwds)
      File "sage/misc/lazy_import.pyx", line 217, in sage.misc.lazy_import.LazyImport.get_object (build/cythonized/sage/misc/lazy_import.c:2543)
        return self._get_object()
      File "sage/misc/lazy_import.pyx", line 256, in sage.misc.lazy_import.LazyImport._get_object (build/cythonized/sage/misc/lazy_import.c:2981)
        raise FeatureNotPresentError(self._feature, reason=f'Importing {self._name} failed: {e}')
    sage.features.FeatureNotPresentError: pycryptosat is not available.
    Importing Solver failed: No module named 'pycryptosat'
    No equivalent system packages for debian are known to Sage.
    To install pycryptosat using the Sage package manager, you can try to run:
      !sage -i cryptominisat
    No equivalent system packages for pip are known to Sage.
**********************************************************************


sage -t --long --random-seed=277349812120896257585806851727004727044 src/sage/sat/solvers/satsolver.pyx
**********************************************************************
File "src/sage/sat/so